-- Einfache Abfragen: Alias-Namen fr Spalten
SELECT D_Nr       AS Nr, 
       D_Anrede   AS Anrede,
       D_Vorname  AS Vorname,
       D_Nachname AS Nachname
  FROM dozent;

SELECT d.D_Nr       AS Nr, 
       d.D_Anrede   AS Anrede,
       d.D_Vorname  AS Vorname,
       d.D_Nachname AS Nachname,
       d.D_Stadt    AS Stadt
  FROM dozent d
  WHERE D_Stadt  = 'Bochum';

-- Ergebnis
/*

        NR ANRED VORNAME              NACHNAME
---------- ----- -------------------- ------------------------------
         1 Frau  Birte                Sonnenschein
         2 Frau  Susanne              Rollstein
         3 Herr  Martin               Dnn
         4 Herr  Holger               Schnellschuss
         5 Herr  Stefan               Erdbau
         6 Herr  Ralf                 Hostell
         7 Herr  Lars                 Klapp
         8 Frau  Anja                 Doppelt
         9 Herr  Reinhard             Bergluft
        10 Herr  Marco                Scheffchen
        11 Frau  Marcus               Bodensee
        12 Herr  Dirk                 Still
        13 Herr  Markus               Brchen
        14 Herr  Nils                 Latz
        15 Frau  Kristina             Gelddreh
        16 Herr  Markus               Feder
        17 Herr  Thomas               Gold
        18 Herr  Mischa               Fingerflink
        19 Herr  Christian            Ordinarius
        20 Herr  Anton                Ebenhof

20 Zeilen ausgewhlt.


        NR ANREDE VORNAME              NACHNAME        STADT
---------- ------ -------------------- --------------- -----
         7 Herr  Lars                 Klapp           Bochum
         8 Frau  Anja                 Doppelt         Bochum
         9 Herr  Reinhard             Bergluft        Bochum
        10 Herr  Marco                Scheffchen      Bochum
        12 Herr  Dirk                 Still           Bochum
5 Zeilen ausgewhlt.
*/