-- Einfache Abfragen: Qualifizierte Spaltennamen
-- Originrer Tabellename
SELECT dozent.D_Vorname  AS Vorname,
       dozent.D_Nachname AS Nachname
  FROM dozent
  WHERE dozent.D_Stadt  = 'Bochum';

-- Aliasname
SELECT d.D_Vorname  AS Vorname,
       d.D_Nachname AS Nachname
  FROM dozent d
  WHERE d.D_Stadt  = 'Bochum';

-- Ergebnis
/*
VORNAME              NACHNAME
-------------------- ------------------------------
Lars                 Klapp
Anja                 Doppelt
Reinhard             Bergluft
Marco                Scheffchen
Dirk                 Still

5 Zeilen ausgewhlt.
*/

-- Falscher Aufruf
SELECT d.D_Vorname  AS Vorname,
       d.D_Nachname AS Nachname
  FROM dozent d
  WHERE dozent.D_Stadt  = 'Bochum' -- falsch
    AND        D_Anrede = 'Herr';

-- Fehlermeldung
/*
  WHERE dozent.D_Stadt  = 'Bochum' -- falsch
        *
FEHLER in Zeile 4:
ORA-00904: Ungltiger Spaltenname
*/