-- Angabe des Schemas
-- Falsch
SELECT *
  FROM  dozent
  WHERE SCOTT.dozent.D_Stadt  = 'Bochum';

-- Fehlermeldung
  FROM  dozent
        *
FEHLER in Zeile 2:
ORA-00942: Tabelle oder View nicht vorhanden

-- Richtig
SELECT *
  FROM  SCOTT.dozent
  WHERE D_Stadt  = 'Bochum';

SELECT *
  FROM  SCOTT.dozent
  WHERE SCOTT.dozent.D_Stadt  = 'Bochum';

-- Ergebnis
/*
      D_NR D_ANR D_VORNAME            D_NACHNAME                     D_STRASSE                                D_HAU D_STADTTEIL                    D_      D_PLZ D_STADT                         D_VORWAHL    D_TELNR
---------- ----- -------------------- ------------------------------ ---------------------------------------- ----- ------------------------------ -- ---------- ------------------------------ ---------- ----------
         7 Herr  Lars                 Klapp                          Lohbergstr.                              5     Innenstadt                     D       44789 Bochum                                234       9593
         8 Frau  Anja                 Doppelt                        Ratiborer Str.                           6     Weitmar                        D       44795 Bochum                                234      20509
         9 Herr  Reinhard             Bergluft                       Dr.-C.-Otto-Str.                         13    Dahlhausen                     D       44879 Bochum                                234      21534
        10 Herr  Marco                Scheffchen                     Alter Zoll                               14    Hntrop                        D       44867 Bochum                               2327     851873
        12 Herr  Dirk                 Still                          Brckstr.                                2a    Innenstadt                     D       44787 Bochum                                234    3387881

5 Zeilen ausgewhlt.
*/