-- Ausdrcke
SELECT TN_Nr,
       TN_Anrede AS Anrede,
       SUBSTR(TN_Vorname||' '||TN_Nachname, 1, 25) AS Name,
       SUBSTR(TN_Stadt, 1, 10) AS Stadt
  FROM teilnehmer
  WHERE TN_Stadt  IN ('Bochum', 'Dortmund')
    AND (U_Nr BETWEEN 7 AND 15)
    AND (TN_Anrede = 'Herr' OR TN_Anrede IS NULL)
    AND NOT (TN_Nachname LIKE 'E%' OR
             TN_Nachname LIKE 'G%');

-- Ergebnis
/*
     TN_NR ANRED NAME                      STADT
---------- ----- ------------------------- ----------
       158 Herr  Jrgen Delzer             Bochum
       851       R. Briese                 Bochum
       915 Herr  Valerij Sudau             Bochum
      1080 Herr  Peter Janetzki            Dortmund
       466 Herr  Wilhelm Meinhvel         Bochum
       606 Herr  Josef Bender              Bochum
      1312 Herr  Helmut Fh                Dortmund
      1406 Herr  Leonhard Fortkamp         Dortmund
8 Zeilen ausgewhlt.
*/