-- Vergleichsoperatoren

SELECT K_Titel, K_Untertitel, K_Bereich, K_Dauer
  FROM kurs
 WHERE K_Bereich = 'Programmierung';

-- Ergebnis
/*

K_TITEL                        K_UNTERTITEL                             K_BEREICH                         K_DAUER
------------------------------ ---------------------------------------- ------------------------------ ----------
Perl                           Module programmieren in Perl             Programmierung                          2
Perl                           Programmierung von GUIs mit Perl/Tk      Programmierung                          1
Perl                           Netzwerkprogrammierung                   Programmierung                          2
Perl                           Systemadministration                     Programmierung                          2
Perl                           Datenbankprogrammierung                  Programmierung                          1
PHP                            Syntax + Konzepte                        Programmierung                          3
PHP                            Webanwendungen                           Programmierung                          3
PHP                            MySQL Programmbeispiele                  Programmierung                          3
PHP                            Kochrezepte                              Programmierung                          4
Python                         Syntax + Konzepte                        Programmierung                          3
UML                            Konzepte und Anwendung                   Programmierung                          3
UML                            Objektorientierung und Strategien        Programmierung                          2
VBA                            Syntax + Konzepte                        Programmierung                          4
VisualBasic                    Syntax + Konzepte                        Programmierung                          4
VisualBasic                    OOP, APIs + DBs                          Programmierung                          4
VisualBasic                    Kochrezepte                              Programmierung                          4
XML                            Syntax                                   Programmierung                          2
XML                            XSLT                                     Programmierung                          2
XML                            XMLSpy                                   Programmierung                          3
ActionScript                   Syntax + Konzepte                        Programmierung                          3
ActionScript                   PHP + MySQL                              Programmierung                          3
ASP                            XML-Konzepte                             Programmierung                          3
ASP.NET                        Syntax + Konzepte                        Programmierung                          2
ASP.NET                        Webservices und XML                      Programmierung                          3
C sharp                        Syntax + Konzepte                        Programmierung                          3
C++                            Syntax + Konzepte                        Programmierung                          4
C++                            MFC (Windows-Programmierung)             Programmierung                          4
C++                            Multithreading                           Programmierung                          2
C++                            COM/ATL                                  Programmierung                          4
Delphi                         Syntax + Konzepte                        Programmierung                          3
Delphi                         Datenbankprogrammierung                  Programmierung                          3
Delphi                         Anwendungsentwicklung                    Programmierung                          4
Delphi                         Programmierbeispiele                     Programmierung                          4
Java                           Designpatterns                           Programmierung                          3
Java                           Syntax + Konzepte                        Programmierung                          4
Java                           Servlets                                 Programmierung                          3
Java                           Enterprise Java Beans                    Programmierung                          3
Java                           Kochrezepte                              Programmierung                          4
Java                           Java fr Oracle                          Programmierung                          4
Java                           Datenbankprogrammierung                  Programmierung                          3
Java                           Java Server Pages (JSP)                  Programmierung                          3
Java                           Netzwerke + Sockets                      Programmierung                          3
JavaScript                     Syntax + Konzepte                        Programmierung                          3
Matlab                         Syntax + Konzepte                        Programmierung                          3
Perl                           Syntax + Konzepte                        Programmierung                          3
Perl                           Perl + CGI                               Programmierung                          3

46 Zeilen ausgewhlt.

*/

SELECT *
  FROM termin
 WHERE T_Beginn >= '15.06.2003'
   AND T_Beginn <= '15.08.2003'
   AND T_Ort != 'Bochum';

-- Ergebnis
/*

      T_NR       K_NR T_BEGINN T_ENDE   T_ORT
---------- ---------- -------- -------- --------------------
       501    1015043 16.06.03 18.06.03 Dsseldorf
       502    1015043 16.06.03 18.06.03 Kln
       503    2020110 16.06.03 18.06.03 Dortmund
       511    1015036 23.06.03 24.06.03 Dortmund
       512    1015038 23.06.03 25.06.03 Dortmund
       518    1010005 01.07.03 04.07.03 Dortmund
       522    1010009 03.07.03 04.07.03 Dortmund
       524    1010009 07.07.03 09.07.03 Dortmund
       525    1025061 07.07.03 09.07.03 Dortmund
       527    1025048 14.07.03 16.07.03 Mnster
       528    1015065 14.07.03 17.07.03 Mnster
       529    1015065 14.07.03 17.07.03 Dortmund
       530    1015065 14.07.03 17.07.03 Leipzig
       532    1025096 17.07.03 19.07.03 Mnster
       533    1025039 17.07.03 18.07.03 Dortmund
       535    1015065 21.07.03 24.07.03 Dortmund
       546    1025071 11.08.03 14.08.03 Berlin
       548    1015043 11.08.03 13.08.03 Dortmund
       549    1010009 11.08.03 14.08.03 Dortmund

19 Zeilen ausgewhlt.


*/