-- Zugehrigkeit: [NOT] IN
SELECT K_Titel, K_Untertitel, K_Bereich, K_Dauer
  FROM kurs
 WHERE K_Nr NOT IN (SELECT K_Nr
                      FROM kurs
                     WHERE K_Dauer <=3)

-- Ergebnis
/*
K_TITEL                        K_UNTERTITEL                             K_BEREICH                         K_DAUER
------------------------------ ---------------------------------------- ------------------------------ ----------
Photoshop                      Bildbearbeitung                          Grafik                                  4
PHP                            Kochrezepte                              Programmierung                          4
VBA                            Syntax + Konzepte                        Programmierung                          4
VisualBasic                    Syntax + Konzepte                        Programmierung                          4
VisualBasic                    OOP, APIs + DBs                          Programmierung                          4
VisualBasic                    Kochrezepte                              Programmierung                          4
3D Studio                      3D-Modelling                             Grafik                                  4
Access                         VBA-Kochrezepte                          Programmierung(Office)                  4
AutoCAD                        CAD-Technik                              Grafik                                  4
C++                            Syntax + Konzepte                        Programmierung                          4
C++                            MFC (Windows-Programmierung)             Programmierung                          4
C++                            COM/ATL                                  Programmierung                          4
Delphi                         Anwendungsentwicklung                    Programmierung                          4
Delphi                         Programmierbeispiele                     Programmierung                          4
Director                       Authoring                                Grafik                                  4
Excel                          VBA-Kochrezepte                          Programmierung(Office)                  4
Flash                          Animation                                Grafik                                  4
Java                           Syntax + Konzepte                        Programmierung                          4
Java                           Kochrezepte                              Programmierung                          4
Java                           Java fr Oracle                          Programmierung                          4
Oracle                         Designer R6i + Developer 6i              Datenbanken                             4
Oracle                         Networking                               Datenbanken                             4
Oracle                         DB-Administration                        Datenbanken                             4

23 Zeilen ausgewhlt.
*/
SELECT U_Name, U_Branche, U_Stadt
  FROM unternehmen
 WHERE U_Stadt = 'Dsseldorf'
    OR U_Stadt = 'Dortmund'
    OR U_Stadt = 'Dinslaken';

SELECT U_Name, U_Branche, U_Stadt
  FROM unternehmen
 WHERE U_Stadt IN ('Dsseldorf', 'Dortmund', 'Dinslaken');

-- Ergebnis
/*
U_NAME                                                                                                                                                                                                   U_BRANCHE                                                                                            U_STADT
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ---------------------------------------------------------------------------------------------------- ------------------------------
TN Turbinen Nrnberg GmbH                                                                                                                                                                                Maschinenbau                                                                                         Dortmund
Blinks Werbemittel GmbH                                                                                                                                                                                  Marketing u. Consulting                                                                              Dsseldorf
Kolben Deutschland GmbH                                                                                                                                                                                  Maschinenbau                                                                                         Dortmund
NASS Bder und Ambiente OHG                                                                                                                                                                              Sanitr                                                                                              Dsseldorf
PRINT Druckservice                                                                                                                                                                                       Druckerei                                                                                            Dsseldorf
QA Shows, Marketing + More                                                                                                                                                                               Veranstaltungsservice                                                                                Dortmund
5D Trading Computer + Communikation                                                                                                                                                                      EDV                                                                                                  Dortmund
Herberts Objekteinrichtung                                                                                                                                                                               Innenausstattung                                                                                     Dortmund
Akrobat Wirtschaftsberatungs GmbH                                                                                                                                                                        Consulting                                                                                           Dortmund
tu+mach                                                                                                                                                                                                  Werbeagentur                                                                                         Dortmund
BRAND Immobilien GmbH                                                                                                                                                                                    Immobilien-Finanz-Service                                                                            Dortmund
Trommp Spedition GmbH                                                                                                                                                                                    Logistik                                                                                             Dortmund
Stadt-Hotel Dortmund                                                                                                                                                                                     Hotel                                                                                                Dortmund
Deutsche Vermgensrat                                                                                                                                                                                    Consulting                                                                                           Dortmund
IKO Trend-Spirituosen GmbH                                                                                                                                                                               Getrnke                                                                                             Dortmund
VOL-Baugesellschaft mit beschrnkter Haftung                                                                                                                                                             Baugesellschaft                                                                                      Dortmund
Kalb Gesellschaft mit beschrnkter Haftung, Gebrder                                                                                                                                                     Druckerei                                                                                            Dortmund
PUK Software + Systeme GmbH + Co. KG                                                                                                                                                                     EDV                                                                                                  Dortmund
Michels Industrie- u. Sicherheitstechnik e.K.                                                                                                                                                            Hebezeuge, Ketten, Seile                                                                             Dortmund
Strner GmbH                                                                                                                                                                                             Consulting                                                                                           Dortmund
Trunk Gesellschaft fr Projektmanagement und Grundstcksentwicklung mbH                                                                                                                                                                                                                                       Dortmund
Sanft Gartenbau Hartmann Bednorz GbR                                                                                                                                                                     Gartenbau                                                                                            Dortmund
Neuhaus TEAM GmbH                                                                                                                                                                                        Consulting                                                                                           Dortmund
Immobilien-Multimedia-Center Kuczek                                                                                                                                                                      Immobilien-Finanz-Service                                                                            Dortmund
Dominum Immobilien Vertriebs + Verwaltung GmbH                                                                                                                                                           Immobilien-Finanz-Service                                                                            Dortmund
Industrie-Metallbau Winkler GmbH                                                                                                                                                                         Metall                                                                                               Dortmund
INFOMAX GmbH Unternehmensberatungsges.                                                                                                                                                                   Marketing u. Consulting                                                                              Dortmund
Ingenieurbro fr Elektrotechnik Max Weber                                                                                                                                                               Elektronik                                                                                           Dortmund
Ingenieurbro fr Prftechnik Dipl.Ing. Hans Pferd                                                                                                                                                       Elektronik                                                                                           Dortmund
Ingenieurbro am Hafen GmbH                                                                                                                                                                              Elektronik                                                                                           Dortmund
Initiative Qualittssicherung Ost-West e.V.                                                                                                                                                              Qualittssicherung                                                                                   Dortmund
Innenausbau Pfand Hey + Co. GmbH                                                                                                                                                                         Innenausstattung                                                                                     Dortmund
Institut fr Datenverarbeitung                                                                                                                                                                           EDV                                                                                                  Dortmund
Institut fr Umwelttechnik GmbH                                                                                                                                                                          Umwelttechnik                                                                                        Dortmund
HYGO Hygiene GmbH                                                                                                                                                                                        Sanitr                                                                                              Dortmund
Krachmann Software und Systeme GmbH                                                                                                                                                                      EDV                                                                                                  Dortmund
NET Netzwerk- und Datensysteme GmbH                                                                                                                                                                      EDV                                                                                                  Dortmund
Isolierbau Peter Pfeffer GmbH + Co. KG                                                                                                                                                                   Innenausstattung                                                                                     Dortmund
IKO-Bro Krummer + Co                                                                                                                                                                                    Immobilien-Finanz-Service                                                                            Dortmund
Industrie-Wschereianlagen-GmbH                                                                                                                                                                          Wscherei                                                                                            Dortmund
KMU D. Holzmann KG                                                                                                                                                                                       Maschinenbau                                                                                         Dortmund
Schwitters Spezial-Stahl-Handelsgesellschaft mbH                                                                                                                                                         Metall                                                                                               Dortmund
TAZZ das kreative Pub                                                                                                                                                                                    Marketing u. Consulting                                                                              Dortmund
Amper Bauunternehmung GmbH                                                                                                                                                                               Bauunternehmung                                                                                      Dortmund
Winke                                                                                                                                                                                                    Immobilien-Finanz-Service                                                                            Dortmund
NAZU                                                                                                                                                                                                     Marketing u. Consulting                                                                              Dortmund
QCat Software AG                                                                                                                                                                                         EDV                                                                                                  Dortmund
Brink Gesellschaft fr Anlagen-, Bau- u. Gleistechnik mbH                                                                                                                                                Tiefbautechnik                                                                                       Dortmund
Stolz + Prall GmbH, Ingenieurbro                                                                                                                                                                        EDV                                                                                                  Dortmund
Liedchen GmbH + Co. KG Verw. Stelle                                                                                                                                                                      EDV                                                                                                  Dortmund
Knstlertermine GbR                                                                                                                                                                                      Knstler                                                                                             Dortmund
Rabatzek                                                                                                                                                                                                 Marketing u. Consulting                                                                              Dortmund
Fernhost                                                                                                                                                                                                 EDV                                                                                                  Dortmund
Stronzo                                                                                                                                                                                                  EDV                                                                                                  Dortmund
Winkelmeyer                                                                                                                                                                                              Verpackungen                                                                                         Dortmund
Taub Recycling GmbH + Co. KG                                                                                                                                                                             Recycling                                                                                            Dortmund
QUABEX GmbH                                                                                                                                                                                              Servicestation Medizintechnik                                                                        Dortmund
Personalberatung Dr. Stolz + Partner GmbH                                                                                                                                                                Personal                                                                                             Dortmund
Kunze Schwertransporte                                                                                                                                                                                   Logistik                                                                                             Dortmund
Quo DV  Software GmbH                                                                                                                                                                                    EDV                                                                                                  Dortmund
Top Plan                                                                                                                                                                                                 Consulting                                                                                           Dortmund
Schrill Werbung GmbH                                                                                                                                                                                     Marketing u. Consulting                                                                              Dortmund
Globalix Auenhandel GmbH                                                                                                                                                                                Logistik                                                                                             Dsseldorf
advertising services GmbH                                                                                                                                                                                Marketing u. Consulting                                                                              Dsseldorf
Accessoires + Mode Handelsgesellschaft mbH                                                                                                                                                               Kleidung                                                                                             Dsseldorf
COK Agentur fr Werbung u. Kommunikation GmbH                                                                                                                                                            Marketing u. Consulting                                                                              Dsseldorf
Kolck Wirtschaftsprfungsges. und Steuerberatungsges. mbH                                                                                                                                                Steuerberatung                                                                                       Dsseldorf
Graff Hochbau GMBH                                                                                                                                                                                       Bauunternehmung                                                                                      Dsseldorf
OL Metall Agentur GmbH                                                                                                                                                                                   Metall                                                                                               Dsseldorf
Struzz Satz + Druck oHG, P.                                                                                                                                                                              Druckerei                                                                                            Dsseldorf
Arbeit Textilhandel GmbH                                                                                                                                                                                 Kleidung                                                                                             Dsseldorf
Flinke                                                                                                                                                                                                   Marketing u. Consulting                                                                              Dsseldorf
Handlender                                                                                                                                                                                               Consulting                                                                                           Dsseldorf
Glotz + Struck GmbH, Ingenieurbro                                                                                                                                                                       Verkehrstechnik                                                                                      Dsseldorf
Gesellschaft fr Informationstechnik und -beratung mbH                                                                                                                                                   EDV                                                                                                  Dsseldorf
Witz                                                                                                                                                                                                     Grafik-Design                                                                                        Dsseldorf
Team 1 GmbH Planungsbro f. techn. Gebudeausrstung                                                                                                                                                     Gebudeausrstung                                                                                    Dsseldorf
O.L.Injektions- und Bautenschutz GmbH                                                                                                                                                                    Bautenschutz                                                                                         Dsseldorf
Gold-Enterprises Ltd.                                                                                                                                                                                    Gastronomiebedarf                                                                                    Dsseldorf
HELLMICH GMBH                                                                                                                                                                                            Elektronik                                                                                           Dsseldorf
Orange GmbH                                                                                                                                                                                              Personal                                                                                             Dsseldorf
VILLAGE Grundstcksverwaltung GmbH + Co. KG                                                                                                                                                              Grundstcksverwaltung                                                                                Dsseldorf
Orient-Teppich-Handelsgesellschaft Arabesque                                                                                                                                                             Innenausstattung                                                                                     Dsseldorf
Lothmann GmbH                                                                                                                                                                                            Bromaschinen- Broorganisation                                                                      Dsseldorf
Steyer GmbH Assekuranzgeschft                                                                                                                                                                           Versicherungen                                                                                       Dsseldorf
Haut-AUFZGE Horst Buchwaldt GmbH + Co KG                                                                                                                                                                Aufzge                                                                                              Dsseldorf
IYW-Ingenieure Wassertechnik GmbH                                                                                                                                                                        Wassertechnik                                                                                        Dsseldorf
Overnight Transport GmbH                                                                                                                                                                                 Logistik                                                                                             Dsseldorf
Grundstcksverwertungs-Gesellschaft mbH + Co. Kommanditgesellschaft                                                                                                                                      Grundstcksverwaltung                                                                                Dsseldorf
LOOK Gesellschaft fr Broeinrichtung mbH                                                                                                                                                                Bromaschinen- Broorganisation                                                                      Dsseldorf
Plankontor                                                                                                                                                                                               Stadtplanung, Verkehrsplanung, Forschung                                                             Dsseldorf
Gluck Capital GmbH, Vermittlung u. Management internationaler Kapitalanlagen                                                                                                                             Vermgen                                                                                             Dsseldorf
Schrother Broeinrichtungen GmbH                                                                                                                                                                         Bromaschinen- Broorganisation                                                                      Dsseldorf
Gluth Handelsgesellschaft fr Rohstoffe mbH                                                                                                                                                              Rohstoffe                                                                                            Dsseldorf
Amante Unternehmensberatung GmbH                                                                                                                                                                         Consulting                                                                                           Dsseldorf
Flox Textilhandels- und Produktionsges. mbH                                                                                                                                                              Kleidung                                                                                             Dsseldorf
Golpp Treuhandgesellschaft m.b.H.                                                                                                                                                                        Steuerberatung                                                                                       Dsseldorf
Marketing Research Prof. Dr. Winter GmbH                                                                                                                                                                 Marketing u. Consulting                                                                              Dsseldorf
AAA Modeagentur GmbH                                                                                                                                                                                     Kleidung                                                                                             Dsseldorf
Niemeyer BANK GmbH + Co KG                                                                                                                                                                               Bank                                                                                                 Dsseldorf
ETOFFES MONDE Textilhandelsgesellschaft mbH                                                                                                                                                              Kleidung                                                                                             Dsseldorf

101 Zeilen ausgewhlt.
*/