-- NULL und [NOT] IN
SELECT TN_Nr, TN_Anrede, TN_Stadt
  FROM teilnehmer
 WHERE TN_Anrede NOT IN ('Herr', NULL);
SELECT TN_Nr, TN_Anrede, TN_Stadt
  FROM teilnehmer
 WHERE TN_Anrede IN ('Herr', NULL);

-- bersicht

SELECT DISTINCT
      (SELECT COUNT(TN_Nr)
          FROM teilnehmer
         WHERE TN_Anrede = 'Herr') AS Herr,
       (SELECT COUNT(TN_Nr)
          FROM teilnehmer
         WHERE TN_Anrede = 'Frau') AS Frau,
       (SELECT COUNT(TN_Nr)
          FROM teilnehmer
         WHERE TN_Anrede IN ('Herr', NULL)) AS HerrNULL,
       (SELECT COUNT(TN_Nr)
          FROM teilnehmer
         WHERE TN_Anrede NOT IN ('Herr', NULL)) AS HerrNULL,
       (SELECT COUNT(TN_Nr)
          FROM teilnehmer
         WHERE TN_Anrede IS NULL) AS NullWerte,
       (SELECT COUNT(*)
          FROM teilnehmer) AS Gesamt
  FROM teilnehmer;


-- Ergebnis
/*
      HERR       FRAU   HERRNULL   HERRNULL  NULLWERTE     GESAMT
---------- ---------- ---------- ---------- ---------- ----------
       928        373        928          0        136       1449
1 Zeile wurde ausgewhlt.
*/