-- Test auf NULL-Werte
SELECT TN_Anrede, TN_Vorname, TN_Nachname
  FROM teilnehmer
 WHERE TN_Anrede IS NULL;

-- Ergebnis
/*
TN_AN TN_VORNAME           TN_NACHNAME
----- -------------------- ------------------------------
      Mary-Jane            Wahlich
      L.                   Dreier
      I.                   Arlt
      A.                   Frodermann
      Kandasamy            Wurmbach
                           Jaschke
      Ch.                  Fromm
      Kara                 Weihrauch
      Brkic                Benduch
      H.                   Drevermann
      Hans-Jrgen          Bessel
      E.                   Damm
      Drthe               Elpelt
      E.                   Balzar
      Th.                  Drygalla
      W.                   Elsing
      A.                   Golibrzuch
                           Zumbach
      W.                   Baltz
      B.                   Brock
      A.                   Fryc
      U.                   Frbel
      G.                   Mende
      T.                   Mnx
      K.                   Antons
      B.                   Bessel
      E. R.                Drevermann
      B.                   Fller
      U.                   Erwin
                           Seefeldt
      R. J.                Fonnell
      H.                   Drewlo
      Atsuko               Golinski
      A.                   Goldmann
      A.                   Balser
      R.                   Judith
      D.                   Drilling
                           Dalian
                           Kirstein
      Donay                Zorn
      A.                   Ackermann-Wantia
      C.                   Balthasar
      R.                   Emde
      H.                   Driemeyer
      Jonathan Roger       Schfer
      F.                   Genge
      R.                   Briese
      M.                   Grembowietz
      E.                   Cenk
      N.                   Giering
      Nasser               Pletz
      S.                   Weigelt
      E.                   Melzer
      M.                   Dormann
      H.                   Baltrusch
      Ccilie              Mnz
      P.                   Kiefert
      B.                   Drke
      S.                   Golman
      H.                   Gollub
      W.                   Balve
      I.                   Glckner
      lker                Besser
      E.                   Balthasar
      H.                   Besser
      H.                   Fischer
      G.                   Balz
      K.                   Tietje
      Hikmet               Hveler
      Heinz-Gnter         Elsenbruch
      B.                   Balter
      Serijan              Schfer
      Semen                Ploch
      Heinz-Jrg           Sehr
      S.                   Seifer
                           Vorbrodt
      E.                   Merten
                           Ottenberg
                           Gertloff
      I.                   Poschmann
      Shoaei               Wawrzyniak
      W.                   Srmeli
      F.                   Meier
                           Vonau
      A.                   Hennebhl
      nder                Ishender
      M.                   Wemhoff
      G.                   Daum
      Lisete               Goldmann
      Arslan               Besser
      Jacky                Dietsche
      I.                   Tabak
                           Redel
      A.                   Best-Line
      G.                   Balster
      P. M.                Festor
      G.                   Driescher
      G.                   Weinberg
      K.-H.                Gems
      U.                   Cocci
      E.                   Baltruschat
      D.                   Menne
      Ccilie              Frster
      Yves                 Punkt
      Stonica              Ehmke
      E.                   Zllig
      E.                   Ftterer
      R.-H.                Evertz
      Shinichi             Voigt
      J.                   Denneborg
      Jose-Daniel          Gengenbacher
                           Erb
      H.-G.                Eckai
      Michelino            Rethers
      Lenery               von Cieminski
      C.                   Fust
                           Krahe
      R.                   Zimmer
      E.                   Cupok
      P.                   Duch
      A.                   Lenschen
      Khaled               Richter
      H.-J.                Tahmass
      E.                   Pilgrim
      D.                   Gerkens
      K.                   Gdigk
      F.                   Dressler
      G.                   Meiritz
      W.                   Fhr
      M.                   Weigand
                           Senger
      Admir                Arndt
      Hans-Jrgen          Dahlbeck
      B.                   Ewers
      E.                   Ehrhardt
      Th.                  Digna

136 Zeilen ausgewhlt.
*/

-- Negativierter Test
SELECT TN_Anrede, TN_Vorname, TN_Nachname
  FROM teilnehmer
 WHERE TN_Anrede IS NOT NULL;