-- Standardaggregatfunktionen
SELECT MAX(TN_Nr) AS Nr
  FROM teilnehmer;
SELECT MIN(T_Beginn) AS Beginn
  FROM termin
 WHERE T_Ort = 'Dortmund';
SELECT COUNT(*)
  FROM teilnehmer;
SELECT AVG(K_Dauer)
  FROM kurs;
SELECT SUBSTR(K_Titel || ' ' || K_Untertitel,1,20) AS Titel,
       K_Dauer AS Dauer
  FROM kurs
 WHERE K_Dauer <= (SELECT AVG(K_Dauer)
                     FROM kurs)
 ORDER BY Titel DESC;

-- Ergebnis
/*

        NR
----------
      1449
1 Zeile wurde ausgewhlt.


BEGINN
--------
01.01.03
1 Zeile wurde ausgewhlt.


  COUNT(*)
----------
      1449
1 Zeile wurde ausgewhlt.


AVG(K_DAUER)
------------
  2,90740741
1 Zeile wurde ausgewhlt.


TITEL                     DAUER
-------------------- ----------
XML XSLT                      2
XML Syntax                    2
Word VBA-Programmier          2
Visio Grafikerstellu          2
UML Objektorientieru          2
Suchmaschinen-Optimi          1
SQL DDL, DML + DCL            2
Publisher Satztechni          2
Project Projektmanag          2
Powerpoint Prsentat          2
Perl Systemadministr          2
Perl Programmierung           1
Perl Netzwerkprogram          2
Perl Module programm          2
Perl Datenbankprogra          1
Outlook VBA-Programm          2
Outlook Kommunikatio          1
MySQL DB-Administrat          2
HTML Webdesign                2
Grafikformate Dateit          2
Freehand Grafikerste          2
Fireworks Webgrafik           2
Excel Datenverabeitu          2
Excel Datenanalyse            2
C++ Multithreading            2
ASP.NET Syntax + Kon          2
Acrobat Satztechnik           2
Access Datenbankbenu          2
Access Analyse + Kon          2

29 Zeilen ausgewhlt.

*/