-- Gruppierungen
SELECT TN_Stadt                 AS Stadt,
       COUNT(DISTINCT TN_PLZ)   AS PLZZahl,
       COUNT(TN_Stadt)          AS StadtZahl
  FROM teilnehmer
 GROUP BY TN_Stadt
 HAVING COUNT(TN_Nr) > 30
 ORDER BY COUNT(TN_Stadt) DESC;

-- Ergebnis
/*
STADT                             PLZZAHL  STADTZAHL
------------------------------ ---------- ----------
Gelsenkirchen                          14        561
Bochum                                 19        418
Essen, Ruhr                            30         73
Dortmund                               24         72
Dsseldorf                             29         72
Duisburg                               21         64
Hattingen, Ruhr                         4         33
7 Zeilen ausgewhlt.
*/