-- Kreuzverknpfung
SELECT DISTINCT
       (SELECT COUNT(*)
        FROM buchung, teilnehmer, unternehmen,
             termin, kurs, preis) AS Gesamt,
       (SELECT COUNT(*)
          FROM buchung) AS Buchung,
       (SELECT COUNT(*)
          FROM teilnehmer) AS Teilnehmer,
       (SELECT COUNT(*)
          FROM unternehmen) AS Unternehmen,
       (SELECT COUNT(*)
          FROM termin) AS Termin,
       (SELECT COUNT(*)
          FROM kurs) AS Kurs,
       (SELECT COUNT(*)
          FROM preis) AS Preis,
       ((SELECT COUNT(*) FROM buchung)
       *(SELECT COUNT(*) FROM teilnehmer)
       *(SELECT COUNT(*) FROM unternehmen)
       *(SELECT COUNT(*) FROM termin)
       *(SELECT COUNT(*) FROM kurs)
       *(SELECT COUNT(*) FROM preis)) AS Produkt
FROM buchung;

-- Ergebnis
/*
    GESAMT    BUCHUNG TEILNEHMER UNTERNEHMEN     TERMIN       KURS      PREIS    PRODUKT
---------- ---------- ---------- ----------- ---------- ---------- ---------- ----------
2,3397E+15       2794       1449         280        659        108         29 2,3397E+15
1 Zeile wurde ausgewhlt.
*/