-- ANSI-SQL-Verknpfungen
SELECT SUBSTR(TN_Nachname, 1, 10) AS Teilnehmer,
       SUBSTR(U_Name, 1, 10)      AS Unternehmen,
       SUBSTR(T_Ort, 1, 10)       AS Ort,
       SUBSTR(K_Titel, 1, 6)      AS Titel,
       B_Preis,
       P_TN1
  FROM buchung INNER JOIN teilnehmer
    ON buchung.TN_Nr = teilnehmer.TN_Nr
               INNER JOIN unternehmen
    ON teilnehmer.U_Nr = unternehmen.U_Nr
               INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
               INNER JOIN preis
    ON kurs.P_Nr = preis.P_Nr
 WHERE B_Nr = 333;

-- Ergebnis
/*
TEILNEHMER UNTERNEHME ORT        TITEL     B_PREIS      P_TN1
---------- ---------- ---------- ------ ---------- ----------
Msken     OffSet Tec Bochum     PHP           750        920
1 Zeile wurde ausgewhlt.
*/