-- Innere und uere Verknpfungen
SELECT dozent.D_Nr, D_Nachname, kurs.K_Nr, K_Titel
  FROM kurs INNER JOIN themenverteilung
    ON kurs.K_Nr = themenverteilung.K_Nr
            INNER JOIN dozent
    ON dozent.D_Nr = themenverteilung.D_Nr;

SELECT SUBSTR(dozent.D_Nr, 1,4) AS D_Nr,
       SUBSTR(D_Nachname,1,15) AS D_Nachname,
       SUBSTR(kurs.K_Nr,1,8)   AS K_Nr,
       SUBSTR(K_Titel, 1, 20)  AS K_Titel
  FROM kurs INNER JOIN themenverteilung
    ON kurs.K_Nr = themenverteilung.K_Nr
            INNER JOIN dozent
    ON dozent.D_Nr = themenverteilung.D_Nr;



-- Ergebnis
/*

D_NR D_NACHNAME      K_NR     K_TITEL
---- --------------- -------- --------------------
6    Hostell         1010004  Fireworks
18   Fingerflink     1010004  Fireworks
7    Klapp           1010005  Photoshop
2    Rollstein       1010006  Flash
18   Fingerflink     1010006  Flash
13   Brchen         1010007  Pagemaker
13   Brchen         1010008  Freehand
7    Klapp           1010009  Photoshop
13   Brchen         1010010  Illustrator
13   Brchen         1010011  InDesign
7    Klapp           1010074  Grafikformate
10   Scheffchen      1010077  3D Studio
10   Scheffchen      1010078  AutoCAD
2    Rollstein       1010079  Director
2    Rollstein       1010084  Cinema 4D SE
4    Schnellschuss   1015024  PHP
3    Dnn            1015025  JavaScript
17   Gold            1015025  JavaScript
20   Ebenhof         1015025  JavaScript
8    Doppelt         1015026  Perl
17   Gold            1015026  Perl
5    Erdbau          1015027  C++
20   Ebenhof         1015027  C++
5    Erdbau          1015028  C++
20   Ebenhof         1015028  C++
5    Erdbau          1015029  C++
20   Ebenhof         1015029  C++
15   Gelddreh        1015030  Matlab
3    Dnn            1015031  Java
17   Gold            1015031  Java
20   Ebenhof         1015031  Java
5    Erdbau          1015032  C++
20   Ebenhof         1015032  C++
5    Erdbau          1015033  C sharp
20   Ebenhof         1015033  C sharp
3    Dnn            1015034  Java
17   Gold            1015034  Java
20   Ebenhof         1015034  Java
9    Bergluft        1015035  Python
3    Dnn            1015036  Java
17   Gold            1015036  Java
20   Ebenhof         1015036  Java
8    Doppelt         1015037  Perl
17   Gold            1015037  Perl
3    Dnn            1015038  Java
17   Gold            1015038  Java
20   Ebenhof         1015038  Java
2    Rollstein       1015040  ActionScript
18   Fingerflink     1015040  ActionScript
4    Schnellschuss   1015041  ASP.NET
2    Rollstein       1015042  ActionScript
18   Fingerflink     1015042  ActionScript
4    Schnellschuss   1015043  PHP
17   Gold            1015043  PHP
4    Schnellschuss   1015044  PHP
17   Gold            1015044  PHP
1    Sonnenschein    1015064  VisualBasic
19   Ordinarius      1015064  VisualBasic
19   Ordinarius      1015064  VisualBasic
1    Sonnenschein    1015065  VisualBasic
19   Ordinarius      1015065  VisualBasic
1    Sonnenschein    1015066  VisualBasic
19   Ordinarius      1015066  VisualBasic
3    Dnn            1015067  Java
17   Gold            1015067  Java
20   Ebenhof         1015067  Java
4    Schnellschuss   1015068  PHP
17   Gold            1015068  PHP
6    Hostell         1020052  HTML
18   Fingerflink     1020052  HTML
6    Hostell         1020052  HTML
3    Dnn            1020052  HTML
4    Schnellschuss   1020052  HTML
6    Hostell         1020053  Dreamweaver
18   Fingerflink     1020053  Dreamweaver
6    Hostell         1020054  GoLive
6    Hostell         1020055  Dreamweaver
18   Fingerflink     1020055  Dreamweaver
6    Hostell         1020056  Suchmaschinen-Optimi
6    Hostell         1020057  Frontpage
3    Dnn            1020058  XML
17   Gold            1020058  XML
20   Ebenhof         1020058  XML
6    Hostell         1020059  Dreamweaver
18   Fingerflink     1020059  Dreamweaver
1    Sonnenschein    1025012  Word
19   Ordinarius      1025012  Word
1    Sonnenschein    1025013  Powerpoint
19   Ordinarius      1025013  Powerpoint
1    Sonnenschein    1025014  Excel
19   Ordinarius      1025014  Excel
1    Sonnenschein    1025015  Excel
19   Ordinarius      1025015  Excel
1    Sonnenschein    1025017  Access
19   Ordinarius      1025017  Access
16   Feder           1025017  Access
1    Sonnenschein    1025018  Access
19   Ordinarius      1025018  Access
16   Feder           1025018  Access
1    Sonnenschein    1025019  Access
19   Ordinarius      1025019  Access
16   Feder           1025019  Access
1    Sonnenschein    1025020  Outlook
19   Ordinarius      1025020  Outlook
14   Latz            1025021  lexware
13   Brchen         1025022  Visio
3    Dnn            1025039  SQL
16   Feder           1025039  SQL
20   Ebenhof         1025039  SQL
5    Erdbau          1025039  SQL
4    Schnellschuss   1025039  SQL
8    Doppelt         1025039  SQL
1    Sonnenschein    1025039  SQL
12   Still           1025047  MS Exchange
12   Still           1025048  MS SQL-Server
16   Feder           1025048  MS SQL-Server
3    Dnn            1025051  Oracle
16   Feder           1025051  Oracle
20   Ebenhof         1025051  Oracle
3    Dnn            1025061  Oracle
16   Feder           1025061  Oracle
20   Ebenhof         1025061  Oracle
1    Sonnenschein    1025062  Project
19   Ordinarius      1025062  Project
3    Dnn            1025063  Oracle
16   Feder           1025063  Oracle
20   Ebenhof         1025063  Oracle
3    Dnn            1025071  Oracle
16   Feder           1025071  Oracle
20   Ebenhof         1025071  Oracle
3    Dnn            1025072  Oracle
16   Feder           1025072  Oracle
20   Ebenhof         1025072  Oracle
3    Dnn            1025073  Oracle
16   Feder           1025073  Oracle
20   Ebenhof         1025073  Oracle
13   Brchen         1025075  Publisher
19   Ordinarius      1025075  Publisher
13   Brchen         1025080  Acrobat
1    Sonnenschein    1025081  Excel
19   Ordinarius      1025081  Excel
1    Sonnenschein    1025082  Excel
19   Ordinarius      1025082  Excel
1    Sonnenschein    1025083  Excel
19   Ordinarius      1025083  Excel
12   Still           1030045  Windows 2000 Server
4    Schnellschuss   1030048  MySQL
16   Feder           1030048  MySQL
12   Still           1030049  IIS
11   Bodensee        1030050  Apache 2
3    Dnn            1030073  Java
17   Gold            1030073  Java
20   Ebenhof         1030073  Java
1    Sonnenschein    1040016  Excel
19   Ordinarius      1040016  Excel
1    Sonnenschein    1040023  Word
19   Ordinarius      1040023  Word
1    Sonnenschein    1040060  Outlook
19   Ordinarius      1040060  Outlook
1    Sonnenschein    1040069  Access
19   Ordinarius      1040069  Access
16   Feder           1040069  Access
1    Sonnenschein    1040070  Excel
19   Ordinarius      1040070  Excel
1    Sonnenschein    1040076  VBA
19   Ordinarius      1040076  VBA

166 Zeilen ausgewhlt.
*/