-- uere Verknpfungen
SELECT D_Nachname, kurs.K_Nr, K_Titel
  FROM kurs LEFT OUTER JOIN themenverteilung
    ON kurs.K_Nr = themenverteilung.K_Nr
            INNER JOIN dozent
    ON themenverteilung.D_Nr = dozent.D_Nr
    ORDER BY TH_Nr;

SELECT D_Nachname, kurs.K_Nr, K_Titel
  FROM kurs LEFT OUTER JOIN themenverteilung
    ON kurs.K_Nr = themenverteilung.K_Nr
            LEFT OUTER JOIN dozent
    ON themenverteilung.D_Nr = dozent.D_Nr
    ORDER BY TH_Nr;

SELECT SUBSTR(D_Nachname,1,15) AS D_Nachname,
       SUBSTR(kurs.K_Nr,1,8)   AS K_Nr,
       SUBSTR(K_Titel, 1, 20)  AS K_Titel
  FROM kurs LEFT OUTER JOIN themenverteilung
    ON kurs.K_Nr = themenverteilung.K_Nr
            LEFT OUTER JOIN dozent
    ON themenverteilung.D_Nr = dozent.D_Nr
    ORDER BY TH_Nr;

-- Ergebnis
/*
D_NACHNAME      K_NR     K_TITEL
--------------- -------- --------------------
Hostell         1010004  Fireworks
Fingerflink     1010004  Fireworks
Klapp           1010005  Photoshop
Rollstein       1010006  Flash
Fingerflink     1010006  Flash
Brchen         1010007  Pagemaker
Brchen         1010008  Freehand
Klapp           1010009  Photoshop
Brchen         1010010  Illustrator
Brchen         1010011  InDesign
Klapp           1010074  Grafikformate
Scheffchen      1010077  3D Studio
Scheffchen      1010078  AutoCAD
Rollstein       1010079  Director
Rollstein       1010084  Cinema 4D SE
Schnellschuss   1015024  PHP
Dnn            1015025  JavaScript
Gold            1015025  JavaScript
Ebenhof         1015025  JavaScript
Doppelt         1015026  Perl
Gold            1015026  Perl
Erdbau          1015027  C++
Ebenhof         1015027  C++
Erdbau          1015028  C++
Ebenhof         1015028  C++
Erdbau          1015029  C++
Ebenhof         1015029  C++
Gelddreh        1015030  Matlab
Dnn            1015031  Java
Gold            1015031  Java
Ebenhof         1015031  Java
Erdbau          1015032  C++
Ebenhof         1015032  C++
Erdbau          1015033  C sharp
Ebenhof         1015033  C sharp
Dnn            1015034  Java
Gold            1015034  Java
Ebenhof         1015034  Java
Bergluft        1015035  Python
Dnn            1015036  Java
Gold            1015036  Java
Ebenhof         1015036  Java
Doppelt         1015037  Perl
Gold            1015037  Perl
Dnn            1015038  Java
Gold            1015038  Java
Ebenhof         1015038  Java
Rollstein       1015040  ActionScript
Fingerflink     1015040  ActionScript
Schnellschuss   1015041  ASP.NET
Rollstein       1015042  ActionScript
Fingerflink     1015042  ActionScript
Schnellschuss   1015043  PHP
Gold            1015043  PHP
Schnellschuss   1015044  PHP
Gold            1015044  PHP
Sonnenschein    1015064  VisualBasic
Ordinarius      1015064  VisualBasic
Ordinarius      1015064  VisualBasic
Sonnenschein    1015065  VisualBasic
Ordinarius      1015065  VisualBasic
Sonnenschein    1015066  VisualBasic
Ordinarius      1015066  VisualBasic
Dnn            1015067  Java
Gold            1015067  Java
Ebenhof         1015067  Java
Schnellschuss   1015068  PHP
Gold            1015068  PHP
Hostell         1020052  HTML
Fingerflink     1020052  HTML
Hostell         1020052  HTML
Dnn            1020052  HTML
Schnellschuss   1020052  HTML
Hostell         1020053  Dreamweaver
Fingerflink     1020053  Dreamweaver
Hostell         1020054  GoLive
Hostell         1020055  Dreamweaver
Fingerflink     1020055  Dreamweaver
Hostell         1020056  Suchmaschinen-Optimi
Hostell         1020057  Frontpage
Dnn            1020058  XML
Gold            1020058  XML
Ebenhof         1020058  XML
Hostell         1020059  Dreamweaver
Fingerflink     1020059  Dreamweaver
Sonnenschein    1025012  Word
Ordinarius      1025012  Word
Sonnenschein    1025013  Powerpoint
Ordinarius      1025013  Powerpoint
Sonnenschein    1025014  Excel
Ordinarius      1025014  Excel
Sonnenschein    1025015  Excel
Ordinarius      1025015  Excel
Sonnenschein    1025017  Access
Ordinarius      1025017  Access
Feder           1025017  Access
Sonnenschein    1025018  Access
Ordinarius      1025018  Access
Feder           1025018  Access
Sonnenschein    1025019  Access
Ordinarius      1025019  Access
Feder           1025019  Access
Sonnenschein    1025020  Outlook
Ordinarius      1025020  Outlook
Latz            1025021  lexware
Brchen         1025022  Visio
Dnn            1025039  SQL
Feder           1025039  SQL
Ebenhof         1025039  SQL
Erdbau          1025039  SQL
Schnellschuss   1025039  SQL
Doppelt         1025039  SQL
Sonnenschein    1025039  SQL
Still           1025047  MS Exchange
Still           1025048  MS SQL-Server
Feder           1025048  MS SQL-Server
Dnn            1025051  Oracle
Feder           1025051  Oracle
Ebenhof         1025051  Oracle
Dnn            1025061  Oracle
Feder           1025061  Oracle
Ebenhof         1025061  Oracle
Sonnenschein    1025062  Project
Ordinarius      1025062  Project
Dnn            1025063  Oracle
Feder           1025063  Oracle
Ebenhof         1025063  Oracle
Dnn            1025071  Oracle
Feder           1025071  Oracle
Ebenhof         1025071  Oracle
Dnn            1025072  Oracle
Feder           1025072  Oracle
Ebenhof         1025072  Oracle
Dnn            1025073  Oracle
Feder           1025073  Oracle
Ebenhof         1025073  Oracle
Brchen         1025075  Publisher
Ordinarius      1025075  Publisher
Brchen         1025080  Acrobat
Sonnenschein    1025081  Excel
Ordinarius      1025081  Excel
Sonnenschein    1025082  Excel
Ordinarius      1025082  Excel
Sonnenschein    1025083  Excel
Ordinarius      1025083  Excel
Still           1030045  Windows 2000 Server
Schnellschuss   1030048  MySQL
Feder           1030048  MySQL
Still           1030049  IIS
Bodensee        1030050  Apache 2
Dnn            1030073  Java
Gold            1030073  Java
Ebenhof         1030073  Java
Sonnenschein    1040016  Excel
Ordinarius      1040016  Excel
Sonnenschein    1040023  Word
Ordinarius      1040023  Word
Sonnenschein    1040060  Outlook
Ordinarius      1040060  Outlook
Sonnenschein    1040069  Access
Ordinarius      1040069  Access
Feder           1040069  Access
Sonnenschein    1040070  Excel
Ordinarius      1040070  Excel
Sonnenschein    1040076  VBA
Ordinarius      1040076  VBA
                2020109  XML
                1015091  Java
                1015088  Delphi
                1015089  UML
                1030108  ActiveDirectory
                1025096  MS SQL-Server
                1015093  Java
                1030107  TCP IP
                1040097  VBA
                1015092  ASP.NET
                1015090  UML
                1015105  Perl
                1015101  Perl
                1015098  ASP
                2020110  XML
                1015099  Java
                1015102  Perl
                1015086  Delphi
                1025094  Lotus Notes
                1030106  TCP IP
                1015087  Delphi
                1015104  Perl
                1015103  Perl
                1015085  Delphi
                1010095  Director
                1030100  Lotus Domino

192 Zeilen ausgewhlt.
*/