-- Unterabfragen

SELECT SUBSTR(K_Titel,1,15)      AS Titel,
       SUBSTR(K_Untertitel,1,20) AS Untertitel,
       K_Dauer                   AS Dauer
  FROM kurs
 WHERE (SELECT AVG(K_Dauer)
          FROM kurs) + 1 <= 4;

-- Ergebnis
/*
TITEL           UNTERTITEL                DAUER
--------------- -------------------- ----------
Perl            Module programmieren          2
Perl            Programmierung von G          1
Perl            Netzwerkprogrammieru          2
Perl            Systemadministration          2
Perl            Datenbankprogrammier          1
Photoshop       Bildbearbeitung               4
Photoshop       Korrektur + Verfremd          3
PHP             Syntax + Konzepte             3
PHP             Webanwendungen                3
PHP             MySQL Programmbeispi          3
PHP             Kochrezepte                   4
Powerpoint      Prsentationsdesign           2
Project         Projektmanagement             2
Publisher       Satztechnik                   2
Python          Syntax + Konzepte             3
SQL             DDL, DML + DCL                2
Suchmaschinen-O Web-Controlling               1
TCP IP          TCP/IP 1                      3
TCP IP          TCP/IP 2                      3
UML             Konzepte und Anwendu          3
UML             Objektorientierung u          2
VBA             Syntax + Konzepte             4
VBA             XML-Konzepte                  3
Visio           Grafikerstellung              2
VisualBasic     Syntax + Konzepte             4
VisualBasic     OOP, APIs + DBs               4
VisualBasic     Kochrezepte                   4
Windows 2000 Se Administration                3
Word            VBA-Programmierung            2
Word            Textverarbeitung              3
XML             Syntax                        2
XML             XSLT                          2
XML             XMLSpy                        3
3D Studio       3D-Modelling                  4
Access          VBA-Kochrezepte               4
Access          Datenbankbenutzung            2
Access          Analyse + Kontrolle           2
Access          VBA-Programmierung            3
Acrobat         Satztechnik                   2
ActionScript    Syntax + Konzepte             3
ActionScript    PHP + MySQL                   3
ActiveDirectory Konfiguration                 3
Apache 2        DB-Administration             3
ASP             XML-Konzepte                  3
ASP.NET         Syntax + Konzepte             2
ASP.NET         Webservices und XML           3
AutoCAD         CAD-Technik                   4
C sharp         Syntax + Konzepte             3
C++             Syntax + Konzepte             4
C++             MFC (Windows-Program          4
C++             Multithreading                2
C++             COM/ATL                       4
Cinema 4D SE    3D-Modelling                  3
Delphi          Syntax + Konzepte             3
Delphi          Datenbankprogrammier          3
Delphi          Anwendungsentwicklun          4
Delphi          Programmierbeispiele          4
Director        Authoring                     4
Director        Lingo                         3
Dreamweaver     Webdesign                     3
Dreamweaver     E-Commerce / Ultra D          3
Dreamweaver     DHTML-Erweiterungen           3
Excel           VBA-Programmierung            3
Excel           VBA-Kochrezepte               4
Excel           Datenverabeitung              2
Excel           Datenanalyse                  2
Excel           Statistik + Prognose          3
Excel           Kostenrechnung                3
Excel           Controlling                   3
Fireworks       Webgrafik + Mens             2
Flash           Animation                     4
Freehand        Grafikerstellung              2
Frontpage       Webdesign                     3
GoLive          Webdesign                     3
Grafikformate   Dateitypen und Funkt          2
HTML            Webdesign                     2
IIS             Administration                3
Illustrator     Grafikerstellung              3
InDesign        Satztechnik                   3
Java            Designpatterns                3
Java            Syntax + Konzepte             4
Java            Servlets                      3
Java            Enterprise Java Bean          3
Java            Kochrezepte                   4
Java            Java fr Oracle               4
Java            Datenbankprogrammier          3
Java            Java Server Pages (J          3
Java            Netzwerke + Sockets           3
JavaScript      Syntax + Konzepte             3
lexware         FiBu + Controlling            3
Lotus Domino    Administration                3
Lotus Notes     Kommunikation                 3
Matlab          Syntax + Konzepte             3
MS Exchange     Administration                3
MS SQL-Server   DB-Administration             3
MS SQL-Server   Transact SQL                  3
MySQL           DB-Administration             2
Oracle          Architektur                   3
Oracle          PL/SQL-Programmierun          3
Oracle          XML-Konzepte                  3
Oracle          Designer R6i + Devel          4
Oracle          Networking                    4
Oracle          DB-Administration             4
Outlook         VBA-Programmierung            2
Outlook         Kommunikation                 1
Pagemaker       Satztechnik                   3
Perl            Syntax + Konzepte             3
Perl            Perl + CGI                    3

108 Zeilen ausgewhlt.
*/