-- Unterabfragen in der Spaltenliste
SELECT U_Nr,
       buchung.TN_Nr,
       SUM(B_Preis),
       (SELECT SUM(B_Preis)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = 150
           AND T_Nr = 136) AS Gesamt,
        (SELECT COUNT(B_Nr)
          FROM teilnehmer INNER JOIN buchung
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = 150
           AND T_Nr = 136) AS Zahl
  FROM teilnehmer INNER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
  WHERE U_Nr = 150
    AND T_Nr = 136
  GROUP BY U_Nr, buchung.TN_Nr, T_Nr;

-- Ergebnis
/*
      U_NR      TN_NR SUM(B_PREIS)     GESAMT       ZAHL
---------- ---------- ------------ ---------- ----------
       150         74          957       4785          5
       150        136          957       4785          5
       150        341          957       4785          5
       150       1368          957       4785          5
       150       1432          957       4785          5
5 Zeilen ausgewhlt.
*/