-- Unterabfragen in der Spaltenliste

SELECT DISTINCT
       (SELECT COUNT(K_Nr)
          FROM kurs) AS Gesamt,
       (SELECT AVG(K_Dauer)
          FROM kurs) AS Dauer,
       (SELECT AVG(P_TN1)
          FROM kurs INNER JOIN preis
            ON kurs.P_Nr = preis.P_Nr) AS Preis
  FROM kurs;  

-- Ergebnis
/*
    GESAMT      DAUER      PREIS
---------- ---------- ----------
       108 2,90740741        890
1 Zeile wurde ausgewhlt.
*/