-- Korrelierte Unterabfragen

SELECT SUBSTR(T_Nr,1,6)                    AS Termin,
       SUBSTR(T_Ort,1,10)                  AS TOrt,
       SUBSTR(D_Stadt,1,10)                AS DStadt,
       SUBSTR(D_Nachname,1,12)             AS Dozent,
       SUBSTR(TO_CHAR(T_Beginn, 'MM'),1,2) AS Monat
  FROM termin a INNER JOIN kurs b
    ON a.K_Nr = b.K_Nr
                INNER JOIN themenverteilung c
    ON c.K_Nr = b.K_Nr
                INNER JOIN dozent d
    ON d.D_Nr = c.D_Nr
 WHERE TO_CHAR(T_Beginn, 'MM') = '08'
   AND T_Ort = (SELECT D_Stadt
                  FROM dozent e
                 WHERE e.D_Stadt = a.T_Ort
                   AND e.D_Nr    = c.D_Nr);

-- Ergebnis
/*
TERMIN TORT       DSTADT     DOZENT       MO
------ ---------- ---------- ------------ --
302    Bochum     Bochum     Doppelt      08
561    Dortmund   Dortmund   Dnn         08
548    Dortmund   Dortmund   Schnellschus 08
562    Dortmund   Dortmund   Dnn         08
89     Bochum     Bochum     Still        08
554    Bochum     Bochum     Still        08
304    Bochum     Bochum     Still        08
303    Bochum     Bochum     Still        08
187    Bochum     Bochum     Still        08
90     Bochum     Bochum     Still        08
564    Dortmund   Dortmund   Schnellschus 08

11 Zeilen ausgewhlt.
*/