-- Prdikate bei Unterabfragen

SELECT a.U_Nr, U_Stadt, TN_Nr, TN_Stadt
  FROM unternehmen a INNER JOIN teilnehmer b
    ON a.U_Nr = b.U_Nr
 WHERE a.U_Stadt = b.TN_Stadt;

SELECT U_Nr,
       SUBSTR(U_Name,1,20) AS Unternehmen,
       U_Stadt
  FROM unternehmen
 WHERE U_Stadt  = ANY (SELECT DISTINCT TN_Stadt
                         FROM teilnehmer);

-- Ergebnis
/*
      U_NR UNTERNEHME U_STADT
---------- ---------- ------------------------------
       212 Kolben Eur Berlin
       217 HOCH Aufzu Berlin
       250 OffSet Tec Berlin
       271 Foster Tra Berlin
       266 Konrad Anl Berlin
       245 ConIB Cons Berlin
       218 HOCH Aufzu Berlin
       273 Dybenstahl Bochum
       274 Dybenstahl Bochum
       275 Dybenstahl Bochum
       276 Heinrich P Bochum
       278 Herrlich   Bochum
       280 Die Zucker Bochum
         9 KB Koch +  Bochum
         8 Heck Treuh Bochum
         7 Zwinger    Bochum
         6 ELMO Elekt Bochum
         5 Elektrotec Bochum
         4 Elektro-Ba Bochum
         3 A.B.C. + C Bochum
         2 A.B.T. Qua Bochum
         1 XY PR Mult Bochum
        34 MU-SA GmbH Bochum
        33 LES Immobi Bochum
        32 Willmich u Bochum
        31 Blattwerk  Bochum
        30 Kirzich    Bochum
        29 Wellmer Wo Bochum
        28 Knig Hof  Bochum
        27 Kunststoff Bochum
        26 Baum Baust Bochum
        25 Fleckner + Bochum
        24 Kchenstud Bochum
        23 Quabeck Gm Bochum
        22 LKM-Steuer Bochum
        21 KS Khl-Sy Bochum
        20 OPV Frder Bochum
        19 Mckenberg Bochum
        18 Hans-Werne Bochum
        17 Uckster E. Bochum
        16 Flachnicki Bochum
        15 KIURE Hart Bochum
        14 Muck Indus Bochum
        13 Frommstedt Bochum
        12 Frster    Bochum
        11 Meime      Bochum
        10 Leuchtfeld Bochum
        40 Wohnwrme  Bochum
        39 Wohn+Licht Bochum
        38 Kchs Gese Bochum
        37 Heinmann I Bochum
        36 Treffer Ma Bochum
        35 Fleischere Bochum
       279 Heinrich P Bochum
       277 Tollwandt  Bochum
       207 TN Turbine Dortmund
       211 Kolben Deu Dortmund
        61 Industrie- Dortmund
        60 Dominum Im Dortmund
        59 Immobilien Dortmund
        58 Neuhaus TE Dortmund
        57 Sanft Gart Dortmund
        56 Trunk Gese Dortmund
        55 Strner Gm Dortmund
        54 Michels In Dortmund
        53 PUK Softwa Dortmund
        97 Schrill We Dortmund
        96 Top Plan   Dortmund
        95 Quo DV  So Dortmund
        94 Kunze Schw Dortmund
        93 Personalbe Dortmund
        92 QUABEX Gmb Dortmund
        91 Taub Recyc Dortmund
        90 Winkelmeye Dortmund
        89 Stronzo    Dortmund
        88 Fernhost   Dortmund
        87 Rabatzek   Dortmund
        86 Knstlerte Dortmund
        85 Liedchen G Dortmund
        84 Stolz + Pr Dortmund
        83 Brink Gese Dortmund
        82 QCat Softw Dortmund
        81 NAZU       Dortmund
        80 Winke      Dortmund
        79 Amper Bauu Dortmund
        78 TAZZ das k Dortmund
        77 Schwitters Dortmund
        76 KMU D. Hol Dortmund
        75 Industrie- Dortmund
        74 IKO-Bro K Dortmund
        73 Isolierbau Dortmund
        72 NET Netzwe Dortmund
        71 Krachmann  Dortmund
        70 HYGO Hygie Dortmund
        69 Institut f Dortmund
        68 Institut f Dortmund
        67 Innenausba Dortmund
        66 Initiative Dortmund
        65 Ingenieurb Dortmund
        64 Ingenieurb Dortmund
        63 Ingenieurb Dortmund
        62 INFOMAX Gm Dortmund
        52 Kalb Gesel Dortmund
        51 VOL-Bauges Dortmund
        50 IKO Trend- Dortmund
        49 Deutsche V Dortmund
        48 Stadt-Hote Dortmund
        47 Trommp Spe Dortmund
        46 BRAND Immo Dortmund
        45 tu+mach    Dortmund
        44 Akrobat Wi Dortmund
        43 Herberts O Dortmund
        42 5D Trading Dortmund
        41 QA Shows,  Dortmund
       175 Bildungsfo Duisburg
       178 Key Wohnun Duisburg
       180 Pulito Geb Duisburg
       182 Energieanl Duisburg
       191 Libert Da Duisburg
       190 IKS Entwic Duisburg
       189 OKI Indust Duisburg
       188 Abraham Tr Duisburg
       187 Lumper     Duisburg
       186 Baustahlha Duisburg
       185 Zukunftsha Duisburg
       184 Gruppe 7 T Duisburg
       183 Ehrmanns   Duisburg
       194 Stdt. Sen Duisburg
       193 Eiche AG W Duisburg
       192 CASA Grund Duisburg
       181 Wisch-Rein Duisburg
       179 CLH Chemie Duisburg
       177 HJK Winkle Duisburg
       176 Bildungswe Duisburg
       209 Blinks Wer Dsseldorf
       139 COK Agentu Dsseldorf
       141 Graff Hoch Dsseldorf
       143 Struzz Sat Dsseldorf
       174 ETOFFES MO Dsseldorf
       173 Niemeyer B Dsseldorf
       172 AAA Modeag Dsseldorf
       171 Marketing  Dsseldorf
       152 Gold-Enter Dsseldorf
       151 O.L.Injekt Dsseldorf
       150 Team 1 Gmb Dsseldorf
       149 Witz       Dsseldorf
       148 Gesellscha Dsseldorf
       147 Glotz + St Dsseldorf
       146 Handlender Dsseldorf
       145 Flinke     Dsseldorf
       144 Arbeit Tex Dsseldorf
       161 Overnight  Dsseldorf
       160 IYW-Ingeni Dsseldorf
       159 Haut-AUFZ Dsseldorf
       158 Steyer Gmb Dsseldorf
       157 Lothmann G Dsseldorf
       156 Orient-Tep Dsseldorf
       155 VILLAGE Gr Dsseldorf
       154 Orange Gmb Dsseldorf
       153 HELLMICH G Dsseldorf
       170 Golpp Treu Dsseldorf
       169 Flox Texti Dsseldorf
       168 Amante Unt Dsseldorf
       167 Gluth Hand Dsseldorf
       166 Schrother  Dsseldorf
       165 Gluck Capi Dsseldorf
       164 Plankontor Dsseldorf
       163 LOOK Gesel Dsseldorf
       162 Grundstck Dsseldorf
       142 OL Metall  Dsseldorf
       140 Kolck Wirt Dsseldorf
       138 Accessoire Dsseldorf
       213 NASS Bder Dsseldorf
       136 Globalix A Dsseldorf
       137 advertisin Dsseldorf
       229 PRINT Druc Dsseldorf
        98 Harald Men Essen, Ruhr
        99 Data Integ Essen, Ruhr
       101 TRANS Gese Essen, Ruhr
       104 LOM-Datent Essen, Ruhr
       103 Lux Werbet Essen, Ruhr
       102 Bimsmeier  Essen, Ruhr
       100 Halbers Ba Essen, Ruhr
       105 Einrichtun Essen, Ruhr
       125 Privatbank Essen, Ruhr
       124 Privatbank Essen, Ruhr
       123  KVZ Bank  Essen, Ruhr
       122 Gebrder M Essen, Ruhr
       121 Trisch Fei Essen, Ruhr
       120 Legnum Imm Essen, Ruhr
       119 Goldsteier Essen, Ruhr
       118 Rehabilita Essen, Ruhr
       117 Concrete B Essen, Ruhr
       116 Schwingel  Essen, Ruhr
       115 Caput GmbH Essen, Ruhr
       114 Ingenieurb Essen, Ruhr
       113 DB-Admin O Essen, Ruhr
       112 SOLARIS Ve Essen, Ruhr
       111 PH Petrol- Essen, Ruhr
       110 CELL Infor Essen, Ruhr
       109 TOIT GmbH  Essen, Ruhr
       108 DOC Gesell Essen, Ruhr
       107 Kreischke  Essen, Ruhr
       106 GSE Gesell Essen, Ruhr
       251 Meyer Auto Gelsenkirchen
       197 Berufsfort Gelsenkirchen
       196 Schlund Gm Gelsenkirchen
       195 MER Mllen Gelsenkirchen
       198 Kuschel Po Gelsenkirchen
       200 Marienhosp Gelsenkirchen
       199 Messer Sta Gelsenkirchen
       210 Kolben Deu Hamburg
       246 Trunk Cons Hannover
       256 Nouvelle v Hattingen, Ruhr
       126 Abfallents Hattingen, Ruhr
       127 Lucis LICH Hattingen, Ruhr
       129 Reponse ED Hattingen, Ruhr
       131 Filtertech Hattingen, Ruhr
       135 Beratung f Hattingen, Ruhr
       134 Blechmann  Hattingen, Ruhr
       133 G + K Glad Hattingen, Ruhr
       132 First EDV- Hattingen, Ruhr
       130 Automatisi Hattingen, Ruhr
       128 Anlagenbau Hattingen, Ruhr
       203 Froid Klt Mnchen
       206 TN Turbine Nrnberg, Mittelfr
       230 Vogue Merc Nrnberg, Mittelfr
       255 Ultimo Ind Oldenburg, Oldb
       240 SH Systemh Stuttgart
       234 Lot Parkha Wiesbaden
       262 Prof. Kni Wiesbaden

231 Zeilen ausgewhlt.
*/

