-- Fallunterscheidung mit DECODE

SELECT DECODE(TN_Anrede, 'Herr', 'Monsieur', 
                         'Frau', 'Madame', 
                         'INCONNU') AS Anrede,
              TN_Nachname
  FROM teilnehmer
 WHERE TN_Nr BETWEEN 1 AND 20;

-- Ergebnis
/*
ANREDE   TN_NACHNAME
-------- ------------------------------
Monsieur Diehm
INCONNU  Brock
Monsieur Pilger
Monsieur Fulland
Monsieur Fahle
Monsieur Wersinski
Madame   Kirste
Monsieur Hohnwald
INCONNU  Fryc
Monsieur Gollann
Monsieur Swenshon
Monsieur Burkert
Monsieur Dammasch
Monsieur Gerstenberger
INCONNU  Frbel
Monsieur Besser
Monsieur Krger
Madame   Faust
Monsieur Daube
Monsieur Krolak
20 Zeilen ausgewhlt.
*/