-- Test auf NULL

SELECT SUBSTR(D_Vorname ||' ' || D_Nachname,1,22) AS Name,
       SUBSTR( NULLIF(D_Vorwahl, 0234) 
                          || '/' || D_Telnr,1,20) AS Fon,
       D_Stadt AS Stadt
  FROM dozent;

-- Ergebnis
/*
NAME                   FON                  STADT
---------------------- -------------------- ------------------------------
Birte Sonnenschein     2054/203610          Essen, Ruhr
Susanne Rollstein      2871/335970          Dortmund
Martin Dnn            2872/491473          Dortmund
Holger Schnellschuss   231/492637           Dortmund
Stefan Erdbau          2874/501970          Isselburg
Ralf Hostell           209/2333             Gelsenkirchen
Lars Klapp             /9593                Bochum
Anja Doppelt           /20509               Bochum
Reinhard Bergluft      /21534               Bochum
Marco Scheffchen       2327/851873          Bochum
Marcus Bodensee        2365/3191628         Marl, Westf
Dirk Still             /3387881             Bochum
Markus Brchen         2862/4629325         Sdlohn
Nils Latz              2361/9501153         Recklinghausen, Westf
Kristina Gelddreh      208/29326            Mlheim an der Ruhr
Markus Feder           2323/53490           Herne, Westf
Thomas Gold            281/62515            Wesel a Rhein
Mischa Fingerflink     2324/80488           Hattingen, Ruhr
Christian Ordinarius   208/139568           Oberhausen, Rheinl
Anton Ebenhof          2056/181513          Heiligenhaus b Velbert

20 Zeilen ausgewhlt.

*/