-- Verwendung von Sequenzen

INSERT INTO test
VALUES (testzaehler.NEXTVAL, 'Eintrag 1', SYSDATE);

SELECT * FROM test;

-- Ergebnis
/*
      T_NR T_TEXT     T_ZEIT
---------- ---------- --------
         1 Eintrag 1  23.05.03
1 Zeile wurde ausgewhlt.
*/

SELECT testzaehler.CURRVAL,
       testzaehler.NEXTVAL
  FROM test;

-- Ergebnis
/*
   CURRVAL    NEXTVAL
---------- ----------
         2          2
1 Zeile wurde ausgewhlt.
*/

-- Falsche Verwendung
/*
SELECT *
  FROM test
 WHERE testzaehler.CURRVAL = 1;

 WHERE testzaehler.CURRVAL = 1
                   *
FEHLER in Zeile 3:
ORA-02287: Sequenznummer hier nicht zulssig
*/

