-- TOP-10-Abfragen
SELECT *
  FROM (SELECT ROWNUM, T_Nr, T_Beginn,
               SUBSTR(K_Titel||' - '||K_Untertitel,1,20)
                                                    AS Titel
          FROM termin NATURAL JOIN kurs
         ORDER BY T_Beginn ASC)
 WHERE ROWNUM <= 10;

-- Ergebnis
/*

    ROWNUM       T_NR T_BEGINN TITEL
---------- ---------- -------- --------------------
        87          1 18.02.00 Java - Servlets
        88          2 18.02.00 Dreamweaver - Webdes
        89          3 18.02.00 Java - Servlets
        90          4 18.02.00 Dreamweaver - Webdes
        91          5 21.02.00 XML - Syntax
        92          6 21.02.00 Access - VBA-Program
        96         10 21.02.00 ActionScript - PHP +
        95          9 21.02.00 Access - VBA-Program
        94          8 21.02.00 XML - Syntax
        93          7 21.02.00 ActionScript - Synta
10 Zeilen ausgewhlt.

*/