SELECT *
  FROM (
SELECT K_Titel AS Titel,
       buchung.T_Nr AS Termin,
       SUM(B_Preis) AS Summe
  FROM buchung INNER JOIN termin
    ON buchung.T_NR = termin.T_Nr
                INNER JOIN kurs
     ON kurs.K_Nr = termin.K_Nr
  GROUP BY K_titel, buchung.T_Nr) a
WHERE Summe = (SELECT MAX(Summe)
                 FROM (SELECT K_Titel AS Titel,
                              buchung.T_Nr AS Termin,
                              SUM(B_Preis) AS Summe
                         FROM buchung INNER JOIN termin
                            ON buchung.T_NR = termin.T_Nr
                                       INNER JOIN kurs
                            ON kurs.K_Nr = termin.K_Nr
                          GROUP BY K_titel, buchung.T_Nr) b 
                   WHERE a.Titel = b.Titel);
-- Ergebnis
/*

TITEL                              TERMIN      SUMME
------------------------------ ---------- ----------
C++                                    16       5742
C++                                    64       5742
C++                                    65       5742
C++                                   142       5742
C++                                   174       5742
C++                                   175       5742
C++                                   213       5742
C++                                   230       5742
C++                                   279       5742
C++                                   280       5742
C++                                   355       5742
C++                                   404       5742
C++                                   496       5742
C++                                   653       5742
PHP                                   118       5742
PHP                                   137       5742
PHP                                   138       5742
PHP                                   211       5742
PHP                                   352       5742
PHP                                   353       5742
PHP                                   498       5742
PHP                                   559       5742
PHP                                   617       5742
SQL                                   410       4260
SQL                                   418       4260
SQL                                   419       4260
SQL                                   499       4260
SQL                                   604       4260
SQL                                   635       4260
UML                                   358       6990
VBA                                   454       4764
XML                                    87       4500
XML                                   503       4500
XML                                   583       4500
HTML                                   48       2004
HTML                                  166       2004
HTML                                  239       2004
HTML                                  261       2004
HTML                                  262       2004
HTML                                  489       2004
Java                                  469       6990
Java                                  520       6990
Java                                  605       6990
Perl                                   27       4500
Perl                                   29       4500
Perl                                  156       4500
Perl                                  427       4500
Word                                  101       4164
Word                                  102       4164
Word                                  315       4164
Word                                  316       4164
Word                                  578       4164
Excel                                  40       1884
Excel                                 247       1884
Excel                                 250       1884
Excel                                 451       1884
Flash                                  85       5136
Flash                                  98       5136
Flash                                 500       5136
Flash                                 248       5136
Flash                                 251       5136
Flash                                 550       5136
Flash                                 572       5136
MySQL                                 130       4392
MySQL                                 133       4392
MySQL                                 209       4392
MySQL                                 394       4392
MySQL                                 487       4392
MySQL                                 564       4392
MySQL                                 632       4392
Visio                                 104       1884
Visio                                 106       1884
Visio                                 591       1884
Access                                 52       4260
Access                                146       4260
Access                                168       4260
Access                                219       4260
Access                                222       4260
Access                                466       4260
Access                                481       4260
Delphi                                504       6990
GoLive                                 72       3450
GoLive                                225       3450
GoLive                                286       3450
GoLive                                393       3450
GoLive                                514       3450
Oracle                                 59       4764
Oracle                                114       4764
Oracle                                119       4764
Oracle                                173       4764
Oracle                                186       4764
Oracle                                202       4764
Oracle                                220       4764
Oracle                                268       4764
Oracle                                273       4764
Oracle                                274       4764
Oracle                                334       4764
Oracle                                339       4764
Oracle                                340       4764
Oracle                                380       4764
Oracle                                381       4764
Oracle                                388       4764
Oracle                                407       4764
Oracle                                436       4764
Oracle                                475       4764
Oracle                                484       4764
Oracle                                486       4764
Oracle                                516       4764
Oracle                                525       4764
Oracle                                562       4764
Oracle                                586       4764
Oracle                                608       4764
Oracle                                611       4764
Python                                 82       5136
Python                                183       5136
Python                                296       5136
TCP IP                                 88       5742
ASP.NET                               245       3912
ASP.NET                               246       3912
ASP.NET                               429       3912
C sharp                                53       4986
C sharp                               167       4986
C sharp                               263       4986
C sharp                               465       4986
Outlook                               132       2832
Outlook                               346       2832
Outlook                               347       2832
Director                              509       5136
Freehand                              190       2370
Freehand                              310       2370
Freehand                              432       2370
InDesign                              584       3786
Fireworks                              20       2370
Fireworks                              79       2370
Fireworks                              81       2370
Fireworks                             103       2370
Fireworks                             153       2370
Fireworks                             234       2370
Fireworks                             295       2370
Fireworks                             317       2370
Fireworks                             319       2370
Fireworks                             537       2370
Fireworks                             565       2370
Pagemaker                             314       3666
Pagemaker                             575       3666
Photoshop                              28       5136
Photoshop                              78       5136
Photoshop                             157       5136
Photoshop                             181       5136
Photoshop                             292       5136
Photoshop                             413       5136
Photoshop                             421       5136
Photoshop                             424       5136
Photoshop                             467       5136
Photoshop                             508       5136
Photoshop                             531       5136
Photoshop                             549       5136
Photoshop                             590       5136
Photoshop                             601       5136
JavaScript                            161       4260
JavaScript                            252       4260
Powerpoint                             73       1710
Powerpoint                            287       1710
Dreamweaver                           399       4644
Dreamweaver                           594       4644
Dreamweaver                           624       4644
Illustrator                           430       3666
MS Exchange                           361       4452
MS Exchange                           363       4452
MS Exchange                           365       4452
MS Exchange                           476       4452
VisualBasic                           580       6990
VisualBasic                           581       6990
ActionScript                           10       4392
ActionScript                          139       4392
ActionScript                          198       4392
ActionScript                          326       4392
ActionScript                          356       4392
MS SQL-Server                         527       4452
Windows 2000 Server                    89       4452
Windows 2000 Server                   110       4452
Windows 2000 Server                   197       4452
Windows 2000 Server                   304       4452
Windows 2000 Server                   324       4452
Windows 2000 Server                   554       4452

185 Zeilen ausgewhlt.


*/                      