-- Regressionsmae

SELECT DISTINCT EXTRACT(YEAR FROM T_Beginn) AS Jahr,
 TO_CHAR((SELECT SUM(buchung.B_Preis)
            FROM buchung INNER JOIN termin b
              ON buchung.T_Nr = b.T_Nr
           WHERE EXTRACT(YEAR FROM b.T_Beginn) = EXTRACT(YEAR FROM a.T_Beginn))
                 ,'L9G999G999D99') AS "Summe Euro",
 TO_CHAR((SELECT SUM(buchung.B_Preis)
            FROM buchung INNER JOIN termin b
              ON buchung.T_Nr = b.T_Nr
           WHERE EXTRACT(YEAR FROM b.T_Beginn) = EXTRACT(YEAR FROM a.T_Beginn))-
         (SELECT SUM(buchung.B_Preis)
            FROM buchung INNER JOIN termin b
              ON buchung.T_Nr = b.T_Nr
           WHERE EXTRACT(YEAR FROM b.T_Beginn) = EXTRACT(YEAR FROM a.T_Beginn)-1)
                 ,'SL9G999G999D99') AS "Delta"           
 FROM termin a;

-- Ergebnis
/*
      JAHR Summe Euro              Delta
---------- ----------------------- -----------------------
      2000             413.543,00
      2001             209.712,00            -203.831,00
      2002             443.435,00            +233.723,00
      2003           1.024.639,00            +581.204,00
4 Zeilen ausgewhlt.
*/