-- ROLLUP
SELECT K_Bereich,
       TO_CHAR(T_Beginn, 'YYYY') AS Jahr,
       SUM(B_Preis)
  FROM teilnehmer INNER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
                  INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
                  INNER JOIN kurs
    ON kurs.K_Nr = termin.K_Nr
  GROUP BY ROLLUP (TO_CHAR(T_Beginn, 'YYYY'), K_Bereich);

-- Ergebnis
/*
K_BEREICH                      JAHR SUM(B_PREIS)
------------------------------ ---- ------------
Grafik                         2000        53070
Office                         2000        13210
Server                         2000        20236
Webdesign                      2000        20739
Datenbanken                    2000        59994
Programmierung                 2000       231672
Programmierung(Office)         2000        14622
                               2000       413543
Grafik                         2001        25509
Office                         2001         5648
Server                         2001         6182
Webdesign                      2001         9994
Datenbanken                    2001        46772
Programmierung                 2001       114038
Programmierung(Office)         2001         1569
                               2001       209712
Grafik                         2002        66031
Office                         2002        11446
Server                         2002        14344
Webdesign                      2002        34445
Datenbanken                    2002        77338
Programmierung                 2002       225839
Programmierung(Office)         2002        13992
                               2002       443435
Grafik                         2003       115670
Office                         2003        14535
Server                         2003        29094
Webdesign                      2003        67678
Datenbanken                    2003       213220
Programmierung                 2003       566631
Programmierung(Office)         2003        17811
                               2003      1024639
                                         2091329

33 Zeilen ausgewhlt.
*/