-- Abfrage ber GROUPING

SELECT SUBSTR(K_Bereich,1,5)               AS Bereich,
       TO_CHAR(T_Beginn, 'YYYY')           AS Jahr,
       SUM(B_Preis)                        AS Summe,
       GROUPING(K_Bereich)                 AS K,
       GROUPING(TO_CHAR(T_Beginn, 'YYYY')) AS T
  FROM teilnehmer INNER JOIN buchung
    ON buchung.TN_Nr = teilnehmer.TN_Nr
                  INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
                  INNER JOIN kurs
    ON kurs.K_Nr = termin.K_Nr
  GROUP BY ROLLUP (TO_CHAR(T_Beginn, 'YYYY'), K_Bereich)
  HAVING GROUPING(TO_CHAR(T_Beginn, 'YYYY')) = 1
      OR GROUPING(K_Bereich) = 1;

-- Ergebnis
/*
B JAHR      SUMME          K          T
- ---- ---------- ---------- ----------
  2000     413543          1          0
  2001     209712          1          0
  2002     443435          1          0
  2003    1024639          1          0
          2091329          1          1
5 Zeilen ausgewhlt.
*/