-- Top n-Abfrage

SELECT Unternehmen, Zahl, Hitparade
  FROM (SELECT U_Nr                         AS Unternehmen,
               COUNT(B_Nr)                  AS Zahl,
               DENSE_RANK() OVER
                (ORDER BY COUNT(B_Nr) DESC)  AS Hitparade       
          FROM unternehmen NATURAL JOIN teilnehmer
                           NATURAL JOIN buchung
         GROUP BY U_Nr) Daten
  WHERE Hitparade <= 5;

-- Ergebnis
/*

UNTERNEHMEN       ZAHL  HITPARADE
----------- ---------- ----------
        108         47          1
        103         42          2
        194         42          2
         68         34          3
        193         34          3
         25         31          4
          4         30          5
        205         30          5
        183         30          5
        163         30          5
        107         30          5
         73         30          5
         65         30          5

13 Zeilen ausgewhlt.


*/