-- Verteilung

SELECT SUBSTR(U_Stadt,1,10) AS Stadt,
       COUNT(U_Nr)          AS Zahl,
       RANK() OVER         (ORDER BY COUNT(U_Nr) DESC)
                            AS Hitparade,
       PERCENT_RANK() OVER (ORDER BY COUNT(U_Nr) ASC)
                            AS Position
  FROM unternehmen
 GROUP BY U_Stadt
HAVING COUNT(U_Nr) > 11
 ORDER BY COUNT(U_Nr) DESC;

-- Ergebnis
/*
STADT            ZAHL  HITPARADE   POSITION
---------- ---------- ---------- ----------
Dortmund           59          1          1
Bochum             48          2        ,75
Dsseldorf         42          3         ,5
Essen, Ruh         28          4        ,25
Duisburg           20          5          0

5 Zeilen ausgewhlt.
*/