-- Dynamisierung von WIDTH_BUCKET

SELECT K_Bereich   AS Bereich,
       COUNT(K_Nr) AS Zahl,
       WIDTH_BUCKET(COUNT(K_Nr),
        (SELECT MIN(COUNT(K_Nr))
           FROM kurs
          GROUP BY K_Bereich),
        (SELECT MAX(COUNT(K_Nr))
           FROM kurs
          GROUP BY K_Bereich),
        (SELECT COUNT(DISTINCT K_Bereich)
           FROM kurs)) AS "Typ"
  FROM kurs
 GROUP BY K_Bereich
 ORDER BY "Typ";

-- Ergebnis
/*
BEREICH                              ZAHL        Typ
------------------------------ ---------- ----------
Programmierung(Office)                  6          1
Server                                  8          1
Webdesign                               7          1
Datenbanken                            13          2
Grafik                                 13          2
Office                                 15          2
Programmierung                         46          8
7 Zeilen ausgewhlt.
*/