-- Einfache Aggregate mit FIRST/LAST

SELECT SUBSTR(K_Bereich,1,10)           AS Bereich,
       AVG(B_Preis) KEEP (DENSE_RANK FIRST
                    ORDER BY (B_Preis)) AS FIRST,
       AVG(B_Preis) KEEP (DENSE_RANK LAST
                    ORDER BY (B_Preis)) AS LAST,
       AVG(B_Preis)                     AS AVG,
       COUNT(TN_Nr)                     AS COUNT
FROM buchung NATURAL JOIN termin
             NATURAL JOIN kurs
GROUP BY K_Bereich;

-- Ergebnis
/*
BEREICH         FIRST       LAST        AVG      COUNT
---------- ---------- ---------- ---------- ----------
Datenbanke        314        926 713,328546        557
Grafik            395        948   677,8125        384
Office            188        631 307,116438        146
Programmie        489       1291 848,754661       1341
Programmie        472        836      631,5         76
Server            742        957 767,648352         91
Webdesign         334        774 553,566667        240
7 Zeilen ausgewhlt.
*/