-- Medianwert

SELECT SUBSTR(K_Bereich,1,20) AS Bereich,
       COUNT(K_Nr)            AS Zahl,
       CUME_DIST()
        OVER (ORDER BY COUNT(K_Nr))    AS Verteilung,
       PERCENTILE_DISC(0.5) WITHIN GROUP
        (ORDER BY COUNT(K_Nr)) OVER () AS Median            
  FROM kurs
 GROUP BY K_Bereich;

-- Ergebnis
/*
BEREICH                    ZAHL VERTEILUNG     MEDIAN
-------------------- ---------- ---------- ----------
Programmierung(Offic          6 ,142857143         13
Webdesign                     7 ,285714286         13
Server                        8 ,428571429         13
Datenbanken                  13 ,714285714         13
Grafik                       13 ,714285714         13
Office                       15 ,857142857         13
Programmierung               46          1         13
7 Zeilen ausgewhlt.
*/