-- Formatierungsattribute ein- und ausschalten

COLUMN K_Titel FORMAT A15 HEADING Titel
COLUMN K_Themen LIKE K_Titel HEADING Themen
COLUMN K_Themen OFF
SELECT K_Titel || ' ' || K_Untertitel AS K_Titel,
       SUBSTR(K_Themen, 1, 50) AS K_Themen
  FROM kurs
 WHERE K_Nr = 1025063;
 
COLUMN K_Themen ON
SELECT K_Titel || ' ' || K_Untertitel AS K_Titel,
       SUBSTR(K_Themen, 1, 50) AS K_Themen
  FROM kurs
 WHERE K_Nr = 1025063;
 
-- Ergebnis

/*
Titel           K_THEMEN
--------------- --------------------------------------------------
Oracle PL/SQL-P A. Grundlagen PL/SQL B. Variablen C. Kontrollstruk
rogrammierung
1 Zeile wurde ausgewhlt.

Titel           Themen
--------------- ---------------
Oracle PL/SQL-P A. Grundlagen P
rogrammierung   L/SQL B. Variab
                len C. Kontroll
                struk
1 Zeile wurde ausgewhlt.
*/ 