-- Gruppierungen
TTITLE COL 25 FORMAT 9 'Seite:' SQL.PNO
BREAK ON Unternehmen SKIP page ON Stadt SKIP 1
SELECT SUBSTR(U_Name, 1, 20) AS Unternehmen,
       SUBSTR(TN_Stadt,1, 10) AS Stadt,
       SUBSTR(TN_Nachname || ', ' || TN_Vorname, 1, 20) AS Teilnehmer
  FROM unternehmen NATURAL JOIN teilnehmer
 WHERE U_Nr IN (75, 89, 92)
 ORDER BY U_Name, TN_Stadt, TN_Nachname;
TTITLE OFF
BREAK
CLEAR BREAKS
 
-- Ergebnis

/*
                        Seite: 1
UNTERNEHMEN          STADT      TEILNEHMER
-------------------- ---------- --------------------
Industrie-Wschereia Bochum     Deming, Dieter

                     Dortmund   Diener, Horst

                     Gelsenkirc Cebula, Peter

                     Recklingha Zurek, Adolf


                        Seite: 2
UNTERNEHMEN          STADT      TEILNEHMER
-------------------- ---------- --------------------
QUABEX GmbH          Bochum     Denneborg, J.

                     Dsseldorf Kiefert, P.
                                Urfell, Inge

                     Gelsenkirc Balz, Michael
                                Depta, Martha
                                Drewes, Winfried
                                Dllmann, Hans-Joach
                                Enes, Carel


                        Seite: 3
UNTERNEHMEN          STADT      TEILNEHMER
-------------------- ---------- --------------------
Stronzo              Bochum     Eckert, Ludwig
                                Gerland, Bernd

                     Dortmund   Siebers, Michael

                     Gelsenkirc Finger, Gnter


16 Zeilen ausgewhlt.

break on Unternehmen page  nodup
          on Stadt skip 1 nodup
breaks entfernt
*/ 