-- Basisform: nur Spaltennamen und Datentypen
CREATE TABLE Scott.Teilnehmer_Aktuell (
 TN_Nr       NUMBER(4,0), 
 TN_Anrede   VARCHAR2(5), 
 TN_Vorname  VARCHAR2(20), 
 TN_Nachname VARCHAR2(30) );

DROP TABLE Teilnehmer_Aktuell;

-- Erweiterte Form mit Einschrnkungen
CREATE TABLE Scott.Teilnehmer_Aktuell (
 TN_Nr       NUMBER(4,0)  NOT NULL, 
 TN_Anrede   VARCHAR2(5)  DEFAULT 'Herr' 
                          CHECK (TN_Anrede IN ('Herr', 'Frau')), 
 TN_Vorname  VARCHAR2(20), 
 TN_Nachname VARCHAR2(30) NOT NULL, 
 TN_Name     VARCHAR2(55) AS (TN_Vorname || ' ' || TN_Nachname) );


-- Nicht-deterministische Funktionen knnen nicht verwendet werden
CREATE OR REPLACE FUNCTION getAlter ( GebDatum IN DATE )
RETURN NUMBER
AS
BEGIN
 RETURN EXTRACT(YEAR FROM SYSDATE)
         - EXTRACT(YEAR FROM GebDatum);
END getAlter;

-- Verboten
-- TN_Alter NUMBER AS (getAlter(TN_GebDatum))

   
