DROP TABLE Teilnehmer_Aktuell;
DROP TABLE Unternehmen_Aktuell;

-- Eltern-Tabelle
CREATE TABLE Unternehmen_Aktuell (
 U_Nr   NUMBER(4,0)  NOT NULL, 
 U_Name VARCHAR2(40) NOT NULL,
 CONSTRAINT Unternehmen_Aktuell_PK PRIMARY KEY (U_Nr) );

-- In der Zeile
CREATE TABLE Teilnehmer_Aktuell (
 TN_Nr       NUMBER(4,0)  NOT NULL PRIMARY KEY,
 U_Nr        NUMBER(4,0)  NOT NULL REFERENCES Unternehmen_Aktuell (U_Nr),
 TN_Vorname  VARCHAR2(20), 
 TN_Nachname VARCHAR2(30) NOT NULL);
 
-- In der Zeile als benannte Einschrnkung
CREATE TABLE Teilnehmer_Aktuell (
 TN_Nr       NUMBER(4,0)  NOT NULL 
  CONSTRAINT Teilnehmer_Aktuell_PK  PRIMARY KEY,
 U_Nr        NUMBER(4,0)  NOT NULL 
  CONSTRAINT Teilnehmer_Unternehmen_FK
   REFERENCES Unternehmen_Aktuell (U_Nr),
 TN_Vorname  VARCHAR2(20), 
 TN_Nachname VARCHAR2(30) NOT NULL);
 
-- Auerhalb der Zeile  
CREATE TABLE Teilnehmer_Aktuell (
 -- Spaltenliste
 TN_Nr       NUMBER(4,0)  NOT NULL,
 U_Nr        NUMBER(4,0)  NOT NULL,
 TN_Vorname  VARCHAR2(20), 
 TN_Nachname VARCHAR2(30) NOT NULL,
 -- Constraint-Liste
 CONSTRAINT Teilnehmer_Aktuell_PK  PRIMARY KEY (TN_Nr),
 CONSTRAINT Teilnehmer_Unternehmen_FK
  FOREIGN KEY (U_Nr) REFERENCES Unternehmen_Aktuell (U_Nr) );