 DROP TABLE Unternehmen_Aktuell;
-- Basis-Tabelle
CREATE TABLE Unternehmen_Aktuell (
 U_Nr      NUMBER(4,0)  NOT NULL,
 U_Konzern NUMBER(4,0)  NULL,
 U_Name    VARCHAR2(40) NOT NULL);
 
-- Primr-/Fremdschlssel erstellen
ALTER TABLE Unternehmen_Aktuell
ADD CONSTRAINT Unternehmen_Aktuell_PK PRIMARY KEY (U_Nr);
ALTER TABLE Unternehmen_Aktuell
ADD CONSTRAINT Unternehmen_Konzern_FK
     FOREIGN KEY (U_Konzern) REFERENCES Unternehmen_Aktuell (U_Nr);
-- Ein-/Ausschalten     
ALTER TABLE Unternehmen_Aktuell
 MODIFY CONSTRAINT Unternehmen_Konzern_FK DISABLE; -- ENABLE
-- Umbenennen
ALTER TABLE Unternehmen_Aktuell
 RENAME CONSTRAINT Unternehmen_Konzern_FK TO Unternehmen_Hierarchie_FK;
-- Lschen
ALTER TABLE Unternehmen_Aktuell
 DROP CONSTRAINT Unternehmen_Hierarchie_FK;
ALTER TABLE Unternehmen_Aktuell
DROP PRIMARY KEY; -- Kurzform
ALTER TABLE Unternehmen_Aktuell
 DROP CONSTRAINT Unternehmen_Aktuell_PK; -- Langform
 
 