DROP TABLE Termin_Ost;
CREATE TABLE Termin_Ost (	
 T_Nr        NUMBER(4,0) PRIMARY KEY, 
 K_Nr        NUMBER(7,0) REFERENCES KURS (K_Nr), 
 T_Beginn    DATE, 
 T_Ende      DATE, 
 T_Ort       VARCHAR2(20) DEFAULT 'Berlin',
 T_Geaendert DATE DEFAULT sysdate);

DROP TABLE Termin_Nord;
CREATE TABLE Termin_Nord (	
 T_Nr        NUMBER(4,0) PRIMARY KEY, 
 K_Nr        NUMBER(7,0) REFERENCES KURS (K_Nr), 
 T_Beginn    DATE, 
 T_Ende      DATE, 
 T_Ort       VARCHAR2(20) DEFAULT 'Hamburg',
 T_Geaendert DATE DEFAULT sysdate);

DELETE FROM Termin_West;

INSERT ALL
  WHEN T_Ort IN ('Essen', 'Dsseldorf', 'Bochum')
  THEN INTO Termin_West
  WHEN T_Ort = 'Hamburg'
  THEN INTO Termin_Nord
  ELSE INTO Termin_Ost
SELECT T_Nr, K_Nr, T_Beginn, T_Ende, T_Ort, SYSDATE
  FROM termin;

DELETE FROM Termin_West;
DELETE FROM Termin_Ost;
DELETE FROM Termin_Nord;

-- Variante
INSERT ALL
  WHEN T_Ort IN ('Essen', 'Dsseldorf', 'Bochum')
  THEN INTO Termin_West
   VALUES (T_Nr, K_NR, T_Beginn, T_Ende, T_Ort, SYSDATE)
  WHEN T_Ort = 'Hamburg'
  THEN INTO Termin_Nord
   VALUES (T_Nr, K_NR, T_Beginn, T_Ende, T_Ort, SYSDATE)
  ELSE INTO Termin_Ost
   VALUES (T_Nr, K_NR, T_Beginn, T_Ende, T_Ort, SYSDATE)
SELECT T_Nr, K_Nr, T_Beginn, T_Ende, T_Ort
  FROM termin;
