-- Log erstellen
EXECUTE DBMS_ERRLOG.CREATE_ERROR_LOG('Kurs_Datenbank', 'FehlerLog');
-- Einschrnkung fr gltige Werte
ALTER TABLE Kurs_Datenbank
 ADD CONSTRAINT PreisMinimum CHECK(K_Preis > 0);
-- Fehlerhafte Aktualisierung
UPDATE Kurs_Datenbank
   SET K_Preis = K_Preis - 1000
   LOG ERRORS INTO FehlerLog ('Kurspreis gendert') 
   REJECT LIMIT 10;
-- Prfung des Fehlerlogs
SELECT ORA_ERR_NUMBER$, Ora_Err_Mesg$, K_Nr, K_Preis 
  FROM  FehlerLog
 WHERE Ora_Err_Tag$ = 'Kurspreis gendert';
-- Leeren des Logs
DELETE FROM FehlerLog;