-- Log erstellen
EXECUTE DBMS_ERRLOG.CREATE_ERROR_LOG('Kurs_Datenbank', 'FehlerLog');
-- Kind-Datenstze erzeugen
DELETE FROM Termin_West;
ALTER TABLE Termin_West
 ADD CONSTRAINT FK_Termin_West_Kurs_Datenbank FOREIGN KEY (K_Nr) REFERENCES Kurs_Datenbank (K_Nr);
INSERT INTO Termin_West
VALUES (TerminZaehler.NextVal, 1025063, '04.04.2012', '06.04.2012',
        'Frankfurt', '25.03.2012');
-- Fehlerhafte Lschung
DELETE FROM Kurs_Datenbank
   LOG ERRORS INTO FehlerLog ('Kurs gelscht') 
   REJECT LIMIT 10;
-- Prfung des Fehlerlogs
SELECT ORA_ERR_NUMBER$, Ora_Err_Mesg$, K_Nr 
  FROM  FehlerLog
 WHERE Ora_Err_Tag$ = 'Kurs gelscht';
-- Lschen des Logs
DROP TABLE FehlerLog;
-- Lschen des Termins
DELETE FROM Termin_West;
DELETE FROM Kurs_Datenbank;

