-- Einfache Abfragen: Spaltenliste
SELECT K_Bereich, K_Titel, K_Untertitel FROM kurs;
SELECT K_Titel, K_Untertitel, K_Bereich FROM kurs;
SELECT K_Titel, K_Untertitel
  FROM kurs
 WHERE K_Dauer = 4
 ORDER BY K_Bereich;

-- Ergebnis
/*

K_BEREICH                      K_TITEL                        K_UNTERTITEL
------------------------------ ------------------------------ ----------------------------------------
Programmierung                 Perl                           Module programmieren in Perl
Programmierung                 Perl                           Programmierung von GUIs mit Perl/Tk
Programmierung                 Perl                           Netzwerkprogrammierung
Programmierung                 Perl                           Systemadministration
Programmierung                 Perl                           Datenbankprogrammierung
Grafik                         Photoshop                      Bildbearbeitung
Grafik                         Photoshop                      Korrektur + Verfremdung
Programmierung                 PHP                            Syntax + Konzepte
Programmierung                 PHP                            Webanwendungen
Programmierung                 PHP                            MySQL Programmbeispiele
Programmierung                 PHP                            Kochrezepte
Office                         Powerpoint                     Prsentationsdesign
Office                         Project                        Projektmanagement
Office                         Publisher                      Satztechnik
Programmierung                 Python                         Syntax + Konzepte
Datenbanken                    SQL                            DDL, DML + DCL
Webdesign                      Suchmaschinen-Optimierung      Web-Controlling
Server                         TCP IP                         TCP/IP 1
Server                         TCP IP                         TCP/IP 2
Programmierung                 UML                            Konzepte und Anwendung
Programmierung                 UML                            Objektorientierung und Strategien
Programmierung                 VBA                            Syntax + Konzepte
Programmierung(Office)         VBA                            XML-Konzepte
Office                         Visio                          Grafikerstellung
Programmierung                 VisualBasic                    Syntax + Konzepte
Programmierung                 VisualBasic                    OOP, APIs + DBs
Programmierung                 VisualBasic                    Kochrezepte
Server                         Windows 2000 Server            Administration
Programmierung(Office)         Word                           VBA-Programmierung
Office                         Word                           Textverarbeitung
Programmierung                 XML                            Syntax
Programmierung                 XML                            XSLT
Programmierung                 XML                            XMLSpy
Grafik                         3D Studio                      3D-Modelling
Programmierung(Office)         Access                         VBA-Kochrezepte
Datenbanken                    Access                         Datenbankbenutzung
Datenbanken                    Access                         Analyse + Kontrolle
Datenbanken                    Access                         VBA-Programmierung
Office                         Acrobat                        Satztechnik
Programmierung                 ActionScript                   Syntax + Konzepte
Programmierung                 ActionScript                   PHP + MySQL
Server                         ActiveDirectory                Konfiguration
Server                         Apache 2                       DB-Administration
Programmierung                 ASP                            XML-Konzepte
Programmierung                 ASP.NET                        Syntax + Konzepte
Programmierung                 ASP.NET                        Webservices und XML
Grafik                         AutoCAD                        CAD-Technik
Programmierung                 C sharp                        Syntax + Konzepte
Programmierung                 C++                            Syntax + Konzepte
Programmierung                 C++                            MFC (Windows-Programmierung)
Programmierung                 C++                            Multithreading
Programmierung                 C++                            COM/ATL
Grafik                         Cinema 4D SE                   3D-Modelling
Programmierung                 Delphi                         Syntax + Konzepte
Programmierung                 Delphi                         Datenbankprogrammierung
Programmierung                 Delphi                         Anwendungsentwicklung
Programmierung                 Delphi                         Programmierbeispiele
Grafik                         Director                       Authoring
Grafik                         Director                       Lingo
Webdesign                      Dreamweaver                    Webdesign
Webdesign                      Dreamweaver                    E-Commerce / Ultra Dev
Webdesign                      Dreamweaver                    DHTML-Erweiterungen
Programmierung(Office)         Excel                          VBA-Programmierung
Programmierung(Office)         Excel                          VBA-Kochrezepte
Office                         Excel                          Datenverabeitung
Office                         Excel                          Datenanalyse
Office                         Excel                          Statistik + Prognose
Office                         Excel                          Kostenrechnung
Office                         Excel                          Controlling
Grafik                         Fireworks                      Webgrafik + Mens
Grafik                         Flash                          Animation
Grafik                         Freehand                       Grafikerstellung
Webdesign                      Frontpage                      Webdesign
Webdesign                      GoLive                         Webdesign
Grafik                         Grafikformate                  Dateitypen und Funktion
Webdesign                      HTML                           Webdesign
Server                         IIS                            Administration
Grafik                         Illustrator                    Grafikerstellung
Office                         InDesign                       Satztechnik
Programmierung                 Java                           Designpatterns
Programmierung                 Java                           Syntax + Konzepte
Programmierung                 Java                           Servlets
Programmierung                 Java                           Enterprise Java Beans
Programmierung                 Java                           Kochrezepte
Programmierung                 Java                           Java fr Oracle
Programmierung                 Java                           Datenbankprogrammierung
Programmierung                 Java                           Java Server Pages (JSP)
Programmierung                 Java                           Netzwerke + Sockets
Programmierung                 JavaScript                     Syntax + Konzepte
Office                         lexware                        FiBu + Controlling
Server                         Lotus Domino                   Administration
Office                         Lotus Notes                    Kommunikation
Programmierung                 Matlab                         Syntax + Konzepte
Server                         MS Exchange                    Administration
Datenbanken                    MS SQL-Server                  DB-Administration
Datenbanken                    MS SQL-Server                  Transact SQL
Datenbanken                    MySQL                          DB-Administration
Datenbanken                    Oracle                         Architektur
Datenbanken                    Oracle                         PL/SQL-Programmierung
Datenbanken                    Oracle                         XML-Konzepte
Datenbanken                    Oracle                         Designer R6i + Developer 6i
Datenbanken                    Oracle                         Networking
Datenbanken                    Oracle                         DB-Administration
Programmierung(Office)         Outlook                        VBA-Programmierung
Office                         Outlook                        Kommunikation
Grafik                         Pagemaker                      Satztechnik
Programmierung                 Perl                           Syntax + Konzepte
Programmierung                 Perl                           Perl + CGI

108 Zeilen ausgewhlt.


K_TITEL                        K_UNTERTITEL                             K_BEREICH
------------------------------ ---------------------------------------- ------------------------------
Perl                           Module programmieren in Perl             Programmierung
Perl                           Programmierung von GUIs mit Perl/Tk      Programmierung
Perl                           Netzwerkprogrammierung                   Programmierung
Perl                           Systemadministration                     Programmierung
Perl                           Datenbankprogrammierung                  Programmierung
Photoshop                      Bildbearbeitung                          Grafik
Photoshop                      Korrektur + Verfremdung                  Grafik
PHP                            Syntax + Konzepte                        Programmierung
PHP                            Webanwendungen                           Programmierung
PHP                            MySQL Programmbeispiele                  Programmierung
PHP                            Kochrezepte                              Programmierung
Powerpoint                     Prsentationsdesign                      Office
Project                        Projektmanagement                        Office
Publisher                      Satztechnik                              Office
Python                         Syntax + Konzepte                        Programmierung
SQL                            DDL, DML + DCL                           Datenbanken
Suchmaschinen-Optimierung      Web-Controlling                          Webdesign
TCP IP                         TCP/IP 1                                 Server
TCP IP                         TCP/IP 2                                 Server
UML                            Konzepte und Anwendung                   Programmierung
UML                            Objektorientierung und Strategien        Programmierung
VBA                            Syntax + Konzepte                        Programmierung
VBA                            XML-Konzepte                             Programmierung(Office)
Visio                          Grafikerstellung                         Office
VisualBasic                    Syntax + Konzepte                        Programmierung
VisualBasic                    OOP, APIs + DBs                          Programmierung
VisualBasic                    Kochrezepte                              Programmierung
Windows 2000 Server            Administration                           Server
Word                           VBA-Programmierung                       Programmierung(Office)
Word                           Textverarbeitung                         Office
XML                            Syntax                                   Programmierung
XML                            XSLT                                     Programmierung
XML                            XMLSpy                                   Programmierung
3D Studio                      3D-Modelling                             Grafik
Access                         VBA-Kochrezepte                          Programmierung(Office)
Access                         Datenbankbenutzung                       Datenbanken
Access                         Analyse + Kontrolle                      Datenbanken
Access                         VBA-Programmierung                       Datenbanken
Acrobat                        Satztechnik                              Office
ActionScript                   Syntax + Konzepte                        Programmierung
ActionScript                   PHP + MySQL                              Programmierung
ActiveDirectory                Konfiguration                            Server
Apache 2                       DB-Administration                        Server
ASP                            XML-Konzepte                             Programmierung
ASP.NET                        Syntax + Konzepte                        Programmierung
ASP.NET                        Webservices und XML                      Programmierung
AutoCAD                        CAD-Technik                              Grafik
C sharp                        Syntax + Konzepte                        Programmierung
C++                            Syntax + Konzepte                        Programmierung
C++                            MFC (Windows-Programmierung)             Programmierung
C++                            Multithreading                           Programmierung
C++                            COM/ATL                                  Programmierung
Cinema 4D SE                   3D-Modelling                             Grafik
Delphi                         Syntax + Konzepte                        Programmierung
Delphi                         Datenbankprogrammierung                  Programmierung
Delphi                         Anwendungsentwicklung                    Programmierung
Delphi                         Programmierbeispiele                     Programmierung
Director                       Authoring                                Grafik
Director                       Lingo                                    Grafik
Dreamweaver                    Webdesign                                Webdesign
Dreamweaver                    E-Commerce / Ultra Dev                   Webdesign
Dreamweaver                    DHTML-Erweiterungen                      Webdesign
Excel                          VBA-Programmierung                       Programmierung(Office)
Excel                          VBA-Kochrezepte                          Programmierung(Office)
Excel                          Datenverabeitung                         Office
Excel                          Datenanalyse                             Office
Excel                          Statistik + Prognose                     Office
Excel                          Kostenrechnung                           Office
Excel                          Controlling                              Office
Fireworks                      Webgrafik + Mens                        Grafik
Flash                          Animation                                Grafik
Freehand                       Grafikerstellung                         Grafik
Frontpage                      Webdesign                                Webdesign
GoLive                         Webdesign                                Webdesign
Grafikformate                  Dateitypen und Funktion                  Grafik
HTML                           Webdesign                                Webdesign
IIS                            Administration                           Server
Illustrator                    Grafikerstellung                         Grafik
InDesign                       Satztechnik                              Office
Java                           Designpatterns                           Programmierung
Java                           Syntax + Konzepte                        Programmierung
Java                           Servlets                                 Programmierung
Java                           Enterprise Java Beans                    Programmierung
Java                           Kochrezepte                              Programmierung
Java                           Java fr Oracle                          Programmierung
Java                           Datenbankprogrammierung                  Programmierung
Java                           Java Server Pages (JSP)                  Programmierung
Java                           Netzwerke + Sockets                      Programmierung
JavaScript                     Syntax + Konzepte                        Programmierung
lexware                        FiBu + Controlling                       Office
Lotus Domino                   Administration                           Server
Lotus Notes                    Kommunikation                            Office
Matlab                         Syntax + Konzepte                        Programmierung
MS Exchange                    Administration                           Server
MS SQL-Server                  DB-Administration                        Datenbanken
MS SQL-Server                  Transact SQL                             Datenbanken
MySQL                          DB-Administration                        Datenbanken
Oracle                         Architektur                              Datenbanken
Oracle                         PL/SQL-Programmierung                    Datenbanken
Oracle                         XML-Konzepte                             Datenbanken
Oracle                         Designer R6i + Developer 6i              Datenbanken
Oracle                         Networking                               Datenbanken
Oracle                         DB-Administration                        Datenbanken
Outlook                        VBA-Programmierung                       Programmierung(Office)
Outlook                        Kommunikation                            Office
Pagemaker                      Satztechnik                              Grafik
Perl                           Syntax + Konzepte                        Programmierung
Perl                           Perl + CGI                               Programmierung

108 Zeilen ausgewhlt.


K_TITEL                        K_UNTERTITEL
------------------------------ ----------------------------------------
Oracle                         Designer R6i + Developer 6i
Oracle                         Networking
Oracle                         DB-Administration
Photoshop                      Bildbearbeitung
3D Studio                      3D-Modelling
Director                       Authoring
Flash                          Animation
AutoCAD                        CAD-Technik
PHP                            Kochrezepte
VBA                            Syntax + Konzepte
C++                            Syntax + Konzepte
C++                            COM/ATL
Delphi                         Programmierbeispiele
Java                           Java fr Oracle
Java                           Kochrezepte
Java                           Syntax + Konzepte
Delphi                         Anwendungsentwicklung
C++                            MFC (Windows-Programmierung)
VisualBasic                    Syntax + Konzepte
VisualBasic                    OOP, APIs + DBs
VisualBasic                    Kochrezepte
Access                         VBA-Kochrezepte
Excel                          VBA-Kochrezepte

23 Zeilen ausgewhlt.


*/