-- Angabe des DB-Links

SELECT *
  FROM  SCOTT.dozent@kurse
  WHERE D_Stadt  = 'Bochum';

-----------------------------------------------------

-- Mgliche Fehlermeldung bei fehlendem Tabellennamen
/*
SELECT *
  FROM  SCOTT.dozent
  WHERE SCOTT.D_Stadt  = 'Bochum';

  WHERE SCOTT.D_Stadt  = 'Bochum'
        *
FEHLER in Zeile 3:
ORA-00904: Ungltiger Spaltenname
*/

-- Mgliche Fehlermeldung bei falschem DB-Link
/*
SELECT *
  FROM  SCOTT.dozent@kursenrw
  WHERE D_Stadt  = 'Bochum';

  FROM  SCOTT.dozent@kursenrw
                     *
FEHLER in Zeile 2:
ORA-02019: Verbindungsbeschreibung fr Fern-Datenbank nicht gefunden
*/
