-- Bereichsuntersuchung fr Zahlwerte mit Between

-- Ersetzte Fassung
SELECT TN_Nachname, TN_Stadt, TN_PLZ
  FROM teilnehmer
  WHERE TN_PLZ >= 16000
    AND TN_PLZ <= 20000;

-- Verkrzte Fassung  
SELECT TN_Nachname, TN_Stadt, TN_PLZ
  FROM teilnehmer
  WHERE TN_PLZ BETWEEN 16000 AND 20000;

-- Ergebnis
/*
TN_NACHNAME              TN_STADT                  TN_PLZ
------------------------ ------------------------- ----------
Baltruschat              Ueckermnde               17373
Stiehler                 Greifswald, Hansestadt    17491
Ehm                      Eberswalde                16225
Berg                     Zehdenick                 16792
4 Zeilen ausgewhlt.
*/

-- Negativierte Fassung  
SELECT TN_Nachname, TN_Stadt, TN_PLZ
  FROM teilnehmer
  WHERE TN_PLZ NOT BETWEEN 16000 AND 20000;