-- Gruppierungen
SELECT TN_Stadt, COUNT(DISTINCT TN_PLZ)
  FROM teilnehmer
 GROUP BY TN_Stadt
 HAVING COUNT(DISTINCT TN_PLZ) > 20
 ORDER BY COUNT(DISTINCT TN_PLZ) DESC;

SELECT TN_Stadt, TN_PLZ, COUNT(TN_Nr)
  FROM teilnehmer
 GROUP BY TN_Stadt, TN_PLZ
 HAVING COUNT(TN_Nr) > 20
 ORDER BY COUNT(TN_Nr) DESC;

-- Ergebnis
/*

TN_STADT                       COUNT(DISTINCTTN_PLZ)
------------------------------ ---------------------
Essen, Ruhr                                       30
Dsseldorf                                        29
Dortmund                                          24
Duisburg                                          21
4 Zeilen ausgewhlt.


TN_STADT                           TN_PLZ COUNT(TN_NR)
------------------------------ ---------- ------------
Gelsenkirchen                       45891           61
Gelsenkirchen                       45896           57
Gelsenkirchen                       45888           55
Gelsenkirchen                       45881           51
Gelsenkirchen                       45894           47
Gelsenkirchen                       45899           44
Bochum                              44866           42
Gelsenkirchen                       45897           39
Gelsenkirchen                       45886           37
Gelsenkirchen                       45883           35
Gelsenkirchen                       45879           32
Bochum                              44795           30
Gelsenkirchen                       45884           30
Bochum                              44879           30
Gelsenkirchen                       45889           29
Gelsenkirchen                       45892           29
Bochum                              44805           27
Bochum                                 44           26
Bochum                              44809           25
Bochum                              44892           25
Bochum                              44791           23
Bochum                              44789           22
Bochum                              44799           22
Bochum                              44869           22
Bochum                              44793           21
Bochum                              44803           21

26 Zeilen ausgewhlt.


*/

SELECT COUNT(DISTINCT TN_PLZ) AS ZahlPLZ
  FROM teilnehmer
 ORDER BY COUNT(TN_PLZ) DESC;

-- Ergebnis
/*
   ZAHLPLZ
----------
       270
1 Zeile wurde ausgewhlt.
*/

-- Ergebnis
