-- Manuelle Verknpfung
SELECT SUBSTR(TN_Nachname, 1, 10) AS Teilnehmer,
       SUBSTR(U_Name, 1, 10)      AS Unternehmen,
       SUBSTR(T_Ort, 1, 10)       AS Ort,
       SUBSTR(K_Titel, 1, 6)      AS Titel,
       B_Preis,
       P_TN1
  FROM buchung, teilnehmer, unternehmen, termin, kurs, preis
 WHERE buchung.TN_Nr = teilnehmer.TN_Nr
   AND teilnehmer.U_Nr = unternehmen.U_Nr
   AND buchung.T_Nr = termin.T_Nr
   AND termin.K_Nr = kurs.K_Nr
   AND kurs.P_Nr = preis.P_Nr
   AND B_Nr = 333;

-- Ergebnis
/*
TEILNEHMER UNTERNEHME ORT        TITEL     B_PREIS      P_TN1
---------- ---------- ---------- ------ ---------- ----------
Msken     OffSet Tec Bochum     PHP           750        920
1 Zeile wurde ausgewhlt.
*/