-- uere Verknpfungen
SELECT kurs.K_Nr, K_Titel, themenverteilung.D_Nr
  FROM kurs LEFT OUTER JOIN themenverteilung
    ON kurs.K_Nr = themenverteilung.K_Nr
    WHERE D_Nr IS NULL
    ORDER BY TH_Nr;

SELECT kurs.K_Nr, K_Titel, themenverteilung.D_Nr
  FROM themenverteilung RIGHT OUTER JOIN kurs
    ON kurs.K_Nr = themenverteilung.K_Nr
    WHERE D_Nr IS NULL
    ORDER BY TH_Nr;

-- Ergebnis
/*
      K_NR K_TITEL                              D_NR
---------- ------------------------------ ----------
   1030100 Lotus Domino
   1010095 Director
   1015085 Delphi
   1015103 Perl
   1015104 Perl
   1015087 Delphi
   1030106 TCP IP
   1025094 Lotus Notes
   1015086 Delphi
   1015102 Perl
   1015099 Java
   2020110 XML
   1015098 ASP
   1015101 Perl
   1015105 Perl
   1015090 UML
   1015092 ASP.NET
   1040097 VBA
   1030107 TCP IP
   1015093 Java
   1025096 MS SQL-Server
   1030108 ActiveDirectory
   1015089 UML
   1015088 Delphi
   1015091 Java
   2020109 XML

26 Zeilen ausgewhlt.
*/

