-- Volle uere Verknpfung
SELECT SUBSTR(TN_nachname, 1, 15) AS Teilnehmer,
       SUBSTR(U_Name, 1, 20)      AS Unternehmen
  FROM teilnehmer  FULL OUTER JOIN unternehmen
    ON teilnehmer.U_Nr = unternehmen.U_Nr;

-- Ergebnis
/*

TEILNEHMER      UNTERNEHMEN
--------------- --------------------
Gabbey          TN Turbinen Nrnberg
Dannenberg      TN Turbinen Nrnberg
Gude            TN Turbinen Nrnberg
Dettmar         TN Turbinen Nrnberg
Dieckmann       TN Turbinen Nrnberg
Feldhordt       TN Turbinen Nrnberg
Swenshon        TN Turbinen Nrnberg
Wittkmper      TN Turbinen Nrnberg
Brinkforth      TN Turbinen Nrnberg
Franz           TN Turbinen Nrnberg
Drewes          TN Turbinen Nrnberg
Plaumann        TN Turbinen Nrnberg
Heutgens        TN Turbinen Nrnberg
Ber             TN Turbinen Nrnberg
Eyring          TN Turbinen Nrnberg
Anemller       TN Turbinen Nrnberg
Ftterer        Offenbach Verpackung
Schller        Offenbach Verpackung
Fleischer       Offenbach Verpackung
Finster         Offenbach Verpackung
Henke           Offenbach Verpackung
Froyez          Offenbach Verpackung
Deutschendorf   Blinks Werbemittel G
Dreesen         Blinks Werbemittel G
Vonau           Blinks Werbemittel G
Gumpricht       Blinks Werbemittel G
Dobric          Blinks Werbemittel G
Lehmann         Blinks Werbemittel G
Spors           Blinks Werbemittel G
Besser          Blinks Werbemittel G
Henk            Kolben Deutschland G
Baltus          Kolben Deutschland G
Gde            Kolben Deutschland G
Wendzich        Kolben Deutschland G
Reteuna         Kolben Deutschland G
Grembowietz     Kolben Deutschland G
Suck            Kolben Deutschland G
Freitag         Kolben Deutschland G
Fizia           Kolben Deutschland G
Seligmann       Kolben Deutschland G
Grtner         Kolben Deutschland G
Redel           Kolben Deutschland G
Kettner         Kolben Deutschland G
Ebke            Kolben Europe
Ntzold         Kolben Europe
Baltruweit      Kolben Europe
Reder           Kolben Europe
Seifer          Kolben Europe
Jaschinski      Kolben Europe
Drewitz         Kolben Europe
Balser          Kolben Europe
Held            Kolben Europe
Drygalla        Kolben Europe
Gardlo          Kolben Europe
Berger          NASS Bder und Ambie
Saloga          NASS Bder und Ambie
Ricken          NASS Bder und Ambie
Antons          NASS Bder und Ambie
Planert         SYS Systemtechnik Gm
Barten          SYS Systemtechnik Gm
Zuber           SYS Systemtechnik Gm
Greske          SYS Systemtechnik Gm
Schrer         Glckner + Kremper O
Erseer          Glckner + Kremper O
Takami          Glckner + Kremper O
Rex             Glckner + Kremper O
Lbbert         DD Auen- und Innenv
Fernicola       DD Auen- und Innenv
Brgger         DD Auen- und Innenv
Hojan           HOCH Aufzugbau GmbH
Gottfried       HOCH Aufzugbau GmbH
Drker          HOCH Aufzugbau GmbH
Damm            HOCH Aufzugbau GmbH
Herweg          HOCH Aufzugsbau GmbH
Malers          HOCH Aufzugsbau GmbH
Chojetzki       HOCH Aufzugsbau GmbH
Goldt           HOCH Aufzugsbau GmbH
Senbach       HOCH Aufzugsbau GmbH
Martin          HOCH Aufzugsbau GmbH
Balszen        Klick Automaten GmbH
Plattner        Klick Automaten GmbH
Edeler          Klick Automaten GmbH
Emde            Klick Automaten GmbH
Goldkuhle       Klick Automaten GmbH
Gerdemann       Grumbiegel Baumanage
Schnieders      Grumbiegel Baumanage
Dreszer         Grumbiegel Baumanage
Baltzer         Winkel Bautreuhand G
Dreszer         Winkel Bautreuhand G
Nolting         Winkel Bautreuhand G
Freitag         Coco Beratungsservic
Cocci           Coco Beratungsservic
Wurm            Coco Beratungsservic
Fohrmann        Coco Beratungsservic
Hellwig         Coco Beratungsservic
Groth           Coco Beratungsservic
Bessel          Coco Beratungsservic
Winter          Dorma Bettenfachmark
Malzahn         Dorma Bettenfachmark
Meier           Dorma Bettenfachmark
Ackermann       Dorma Bettenfachmark
Glomb           BS Brandsanierung Gm
Dymek           BS Brandsanierung Gm
Stiehl          BS Brandsanierung Gm
Feld            BS Brandsanierung Gm
Elsing          BS Brandsanierung Gm
Taboschat       BH Boarding-House Gb
Flamma          BH Boarding-House Gb
Fromm           BH Boarding-House Gb
Krah            CT Computer Trading
Drockenmller   CT Computer Trading
Beth            CT Computer Trading
Volkmann        CT Computer Trading
Emde            DD Datadesign GmbH
Formann         DD Datadesign GmbH
Fimmers         DD Datadesign GmbH
Droth           DD Datadesign GmbH
Seibt           PRINT Druck GmbH
Mandt           PRINT Druck GmbH
Graser          PRINT Druck GmbH
Robegalle      PRINT Druck GmbH
Basikara        PRINT Druck GmbH
Ewers           PRINT Druckservice
Asbeck          PRINT Druckservice
Best Print Offs PRINT Druckservice
Coton Garcia    PRINT Druckservice
Gasch           PRINT Druckservice
Meinhold        PRINT Druckservice
Glotz           Vogue Merchandising
Domaser         Vogue Merchandising
Brning         Vogue Merchandising
Balz jun.       Vogue Merchandising
Marquardt       Vogue Merchandising
Gans            Vogue Merchandising
Dames           Trmmel Maschinenfab
Kornadt         Trmmel Maschinenfab
Beler          Trmmel Maschinenfab
Echtermeyer     H + U Metallbau GmbH
Ziesler         H + U Metallbau GmbH
Grabosch        H + U Metallbau GmbH
Meese           H + U Metallbau GmbH
Doering         Gockel Montageservic
Kolk            Gockel Montageservic
Vuk             Gockel Montageservic
Baltz           Gockel Montageservic
Geldermann      Gockel Montageservic
Rosslan         Lot Parkhaus GmbH
Drewek          Lot Parkhaus GmbH
Drews           OUT Publishing GmbH
Kessler         OUT Publishing GmbH
Theuring        OUT Publishing GmbH
Seifen          OUT Publishing GmbH
Lbert          Retour Recycling GmH
Fern            Retour Recycling GmH
Rickmann        Retour Recycling GmH
Helmchen        Retour Recycling GmH
Gellert         Retour Recycling GmH
Dhler          Retour Recycling GmH
Damaske         R + R Service Produk
Thiem           R + R Service Produk
Steinbchel     R + R Service Produk
de Graaff       R + R Service Produk
Besse           R + R Service Produk
Sander          R + R Service Produk
Balve           R + R Service Produk
Beling         R + R Service Produk
Rickenbrock     R + R Service Produk
Faber           R + R Service Produk
Vierbaum        R + R Service Produk
Fink            Ivoire Stahl- u. Auf
Gertloff        Ivoire Stahl- u. Auf
Zoladz          Ivoire Stahl- u. Auf
Nohlen          Ivoire Stahl- u. Auf
Finke           Echanges Salesmanage
Drobny          Echanges Salesmanage
Zipfel          Echanges Salesmanage
Mller          Echanges Salesmanage
Restle          Echanges Salesmanage
Reiff           Echanges Salesmanage
Gaudl           Echanges Salesmanage
Fels            Echanges Salesmanage
Kicinski        SH Systemhaus GmbH
Scheiko         SH Systemhaus GmbH
Garnich         SH Systemhaus GmbH
Reis            SH Systemhaus GmbH
Even            SH Systemhaus GmbH
Brauner         SH Systemhaus GmbH
Gdigk          Niederhffer Worksta
Best            Niederhffer Worksta
Balster-De Beer Niederhffer Worksta
Sumina          Niederhffer Worksta
Ottenberg       Kautschuk GmbH
Loebe           Kautschuk GmbH
Granek          Kautschuk GmbH
Gasser          Kautschuk GmbH
Besl            T + E Bau
Dreler         T + E Bau
Frhlich        T + E Bau
Glaser          T + E Bau
Menke           T + E Bau
Dabelstein      T + E Bau
Daube           T + E Bau
Gantz           Cadre OHG
Grf            Cadre OHG
Behnke          Cadre OHG
Drewa           Cadre OHG
Riecks          Cadre OHG
Vierbcher      Cadre OHG
Grewe           ConIB Consult Indust
Zuleger         ConIB Consult Indust
Goltz           ConIB Consult Indust
Krger          ConIB Consult Indust
Dormann         Trunk Consulting Gro
Adam            Trunk Consulting Gro
Endrulat        Trunk Consulting Gro
Burkert         Trunk Consulting Gro
Heining         Trunk Consulting Gro
Tamm            Trunk Consulting Gro
Adam            Mnninghoff Internat
Drker          Mnninghoff Internat
Liebern         Mnninghoff Internat
Elpelt          Mnninghoff Internat
Adam            Mnninghoff Internat
Eicher          Bullock Pass-System
von Cieminski   Bullock Pass-System
Boltendahl      Bullock Pass-System
Sitter          Bullock Pass-System
Driemel         Bullock Pass-System
Ewers           Bullock Pass-System
Drewlo          Bullock Pass-System
Ehrhardt        Stern Maschinen- und
Kreutz          Stern Maschinen- und
Schleich        Stern Maschinen- und
Balster         Stern Maschinen- und
Schmidt         Stern Maschinen- und
Glowatsch       Stern Maschinen- und
Phling         Stern Maschinen- und
Besse           OffSet Technische Pl
Frber          OffSet Technische Pl
Meisborn        OffSet Technische Pl
Genster         OffSet Technische Pl
Msken          OffSet Technische Pl
Fischer         Meyer Automatengroh
Syhring         Meyer Automatengroh
Gmmer          Meyer Automatengroh
Gler           T + E Bau GmbH
Geske           T + E Bau GmbH
Rexhuser       T + E Bau GmbH
Dressler        T + E Bau GmbH
Svidlov         Trend Abdichtungstec
Gebhard         Trend Abdichtungstec
Elmer           Wonningrath Filteran
Supernok        Wonningrath Filteran
Otten           Wonningrath Filteran
Mateblowski     Wonningrath Filteran
Uselli          Wonningrath Filteran
Menne           Wonningrath Filteran
Selke           Wonningrath Filteran
Erdmann         Wonningrath Filteran
Curino          Wonningrath Filteran
Gutsell         Wonningrath Filteran
Breilmann       Wonningrath Filteran
Gilbert         Ultimo Industrietech
Balthasar       Ultimo Industrietech
Erwin           Ultimo Industrietech
Rethers         Nouvelle vague Mode
Switala         Nouvelle vague Mode
Mller          Frank Buxter Klinker
Grbner         Frank Buxter Klinker
Gelsin          Frank Buxter Klinker
Wawrzyniak      Frank Buxter Klinker
Flo            Frank Buxter Klinker
Besser          Frank Buxter Klinker
Fernandes       Frank Buxter Klinker
Gerhard         Ammelt Kfz-Handels G
Gaudl           Ammelt Kfz-Handels G
Meiner         Ammelt Kfz-Handels G
Buchmller      Ammelt Kfz-Handels G
Fryc            Ammelt Kfz-Handels G
Beling         90 Products Analysen
Ewert           90 Products Analysen
Beler          90 Products Analysen
Landwehr        90 Products Analysen
Brockmeyer      COM Profi Tel AG
Drisang         COM Profi Tel AG
Anemller       COM Profi Tel AG
Cremer          COM Profi Tel AG
Hennig          COM Profi Tel AG
Krah            F + E Regionalbau Gm
Baltruschat     Prof. Knig Consulti
Kremser         Prof. Knig Consulti
Syniuga         Prof. Knig Consulti
Arndt           Wendel Steuerungstec
Best            Wendel Steuerungstec
Zumbach         Wendel Steuerungstec
Brech           Polska GmbH + Co. KG
Dewitz          Polska GmbH + Co. KG
Siepert         Polska GmbH + Co. KG
Gerdts          Polska GmbH + Co. KG
Blessing        Polska GmbH + Co. KG
Besser          Relect Messe-Design
Wemhoff         Relect Messe-Design
Balt            Relect Messe-Design
Eicher          Relect Messe-Design
Dressler        Relect Messe-Design
Weidel          Konrad Anlagentechni
Henschek        U + R Mobilfunk GmbH
Gashi           U + R Mobilfunk GmbH
Eweleit         U + R Mobilfunk GmbH
Falk            U + R Mobilfunk GmbH
Meilenbrock     U + R Mobilfunk GmbH
Fulland         U + R Mobilfunk GmbH
Meitza          U + R Mobilfunk GmbH
Porz            Holland Immobilien
Reza            Holland Immobilien
Reifenscheidt   Holland Immobilien
Betge           Holland Immobilien
Gerdes          Prsenta GmbH
Manik           Prsenta GmbH
Fohr            Prsenta GmbH
Baska           Prsenta GmbH
Klaczynski      Ullrich Mineralprodu
Dudziak         Ullrich Mineralprodu
Halm            Ullrich Mineralprodu
Bessel          Ullrich Mineralprodu
Wurmbach        Ullrich Mineralprodu
Drevermann      Foster Trans GmbH
Schulte-Pelkum  Foster Trans GmbH
Gersema         Foster Trans GmbH
Lechte          Jlich Management u.
Reuter          Jlich Management u.
Drevermann      Dybenstahl Deutschla
Besler          Dybenstahl Deutschla
Armgart         Dybenstahl Deutschla
Besser          Dybenstahl Deutschla
Abel            Dybenstahl Deutschla
Cyron           Dybenstahl Deutschla
Kortas          Dybenstahl Deutschla
Kauth           Dybenstahl Deutschla
Graf            Dybenstahl Deutschla
Packheiser      Dybenstahl Deutschla
Biermann        Dybenstahl Deutschla
Frodermann      Dybenstahl Deutschla
Flieger         Dybenstahl Deutschla
Suttka          Dybenstahl Deutschla
Finken          Dybenstahl Deutschla
Ehrenberg       Dybenstahl Deutschla
Armbruster      Dybenstahl Deutschla
Best            Dybenstahl Deutschla
Syren           Heinrich Pick GmbH
Dressler        Heinrich Pick GmbH
Hennemann       Heinrich Pick GmbH
Acosta Garcia   Heinrich Pick GmbH
Cugusi          Heinrich Pick GmbH
Dahle           Tollwandt Automaten
Dorn            Tollwandt Automaten
Etz             Tollwandt Automaten
Besser          Tollwandt Automaten
Frhlich        Herrlich
Baltussen       Herrlich
Brock           Herrlich
Hbbertz        Heinrich Pick GmbH
Drse           Heinrich Pick GmbH
Flgel          Heinrich Pick GmbH
Maahoff        Heinrich Pick GmbH
Emrich          Heinrich Pick GmbH
Czeranski       Heinrich Pick GmbH
Koll            XY PR Multimediakonz
Gesatzki        XY PR Multimediakonz
Spieckermann    XY PR Multimediakonz
Flobach        XY PR Multimediakonz
Gerdes          XY PR Multimediakonz
Frster         A.B.T. Quasitek GmbH
Sulik           A.B.T. Quasitek GmbH
Est             A.B.T. Quasitek GmbH
Plogmacher      A.B.T. Quasitek GmbH
Hennies         A.B.C. + Co.
Wiese           A.B.C. + Co.
Flesch          A.B.C. + Co.
Adam            A.B.C. + Co.
Dilba           A.B.C. + Co.
Filbrandt       Elektro-Bau Heinrich
Isermann        Elektro-Bau Heinrich
Bartelt         Elektro-Bau Heinrich
Gollub          Elektro-Bau Heinrich
Drke           Elektro-Bau Heinrich
Drigalla        Elektro-Bau Heinrich
Zschirner       Elektro-Bau Heinrich
Geuder          Elektro-Bau Heinrich
Besl            Elektro-Bau Heinrich
Scheiper        Elektro-Bau Heinrich
Hrter          Elektrotechnik Fleis
Voigt           Elektrotechnik Fleis
Fritzsche       Elektrotechnik Fleis
Fink            Elektrotechnik Fleis
Poda            Elektrotechnik Fleis
Meier-Prnte    Elektrotechnik Fleis
Balsing         Elektrotechnik Fleis
Dring          Elektrotechnik Fleis
Georg           ELMO Elektro Mommse
Fntmann        ELMO Elektro Mommse
Drake           ELMO Elektro Mommse
Seidler         Zwinger
Padberg         Zwinger
Gemir           Zwinger
Briese          Zwinger
Delzer          Zwinger
Lenschen        Heck Treuhand Steuer
Arndt           Heck Treuhand Steuer
Sundermann      Heck Treuhand Steuer
Meinhvel       Heck Treuhand Steuer
Balzar          Heck Treuhand Steuer
Reimann         Heck Treuhand Steuer
Winskowski      Heck Treuhand Steuer
Dreyfeldt       KB Koch + Bund GmbH
Fckler         KB Koch + Bund GmbH
Efken           KB Koch + Bund GmbH
Mehlmann        KB Koch + Bund GmbH
Dropalla        KB Koch + Bund GmbH
Gniewotta       KB Koch + Bund GmbH
Eschenrder     KB Koch + Bund GmbH
Depkat          Leuchtfeldt Fenster-
Reisach         Meime
Christmann      Meime
Janetzki        Meime
Gmyrek          Frster
Fechte          Frster
Wendt           Frster
Dreler         Frster
Adam            Frster
Pilger          Frster
Hempel          Frommstedt Baustoffh
Rttgers        Frommstedt Baustoffh
Menne           Frommstedt Baustoffh
Richthofer      Frommstedt Baustoffh
Gttel          Frommstedt Baustoffh
Gottbeht       Frommstedt Baustoffh
Driger        Muck Industrietechni
Bender          Muck Industrietechni
Adam            Muck Industrietechni
Wiemann         Muck Industrietechni
Giebe           KIURE Hartbeton GmbH
Staudt          KIURE Hartbeton GmbH
Fortkamp        KIURE Hartbeton GmbH
Fh             KIURE Hartbeton GmbH
Sudau           KIURE Hartbeton GmbH
Senft           Flachnicki
Gerkens         Flachnicki
Machemehl       Flachnicki
Loof            Flachnicki
Both            Flachnicki
Dorra           Uckster E. B. KG
Grtner         Uckster E. B. KG
Folkers         Uckster E. B. KG
Gorny           Hans-Werner Steiger
Stolfik         Hans-Werner Steiger
Werdelmann      Hans-Werner Steiger
Frank           Hans-Werner Steiger
Glapa           Hans-Werner Steiger
Gttler         Mckenberg GmbH + Co
George          Mckenberg GmbH + Co
Pilawa          Mckenberg GmbH + Co
Beste           Mckenberg GmbH + Co
Zorn            Mckenberg GmbH + Co
Drewer          Mckenberg GmbH + Co
Zhlke          OPV Frderanlagen Gm
Ackermann       OPV Frderanlagen Gm
Drevermann      OPV Frderanlagen Gm
Elvers          KS Khl-System- GmbH
Wiemeier        KS Khl-System- GmbH
Tamoschus       KS Khl-System- GmbH
Karduck         KS Khl-System- GmbH
Maier           LKM-Steuerberatungsg
Dubiella        LKM-Steuerberatungsg
Eschenbach      Quabeck GmbH Brandsc
Pilgrim         Quabeck GmbH Brandsc
Wurzinger       Quabeck GmbH Brandsc
Gesell          Quabeck GmbH Brandsc
Besser          Quabeck GmbH Brandsc
Wengelnik       Quabeck GmbH Brandsc
Ferdin          Kchenstudio Mittela
Kremski         Kchenstudio Mittela
Faltin          Kchenstudio Mittela
Efa             Kchenstudio Mittela
Gutt            Kchenstudio Mittela
Fuchs           Fleckner + Shne Gmb
Friedrich       Fleckner + Shne Gmb
Szepanek        Fleckner + Shne Gmb
Giering         Fleckner + Shne Gmb
Fiegert         Fleckner + Shne Gmb
Ketterling      Fleckner + Shne Gmb
Besser          Fleckner + Shne Gmb
Uertz           Fleckner + Shne Gmb
Malchow         Fleckner + Shne Gmb
Dremschak       Baum Baustoffgrohan
Fiedler         Baum Baustoffgrohan
Grave           Baum Baustoffgrohan
Hveler         Baum Baustoffgrohan
Barton          Baum Baustoffgrohan
Kandel          Kunststoff Gesellsch
Schrder        Kunststoff Gesellsch
Erdelkamp       Kunststoff Gesellsch
Greifenberg     Kunststoff Gesellsch
Gerland         Kunststoff Gesellsch
Sumann         Kunststoff Gesellsch
Gallbeck        Knig Hof Weinkeller
Claus           Knig Hof Weinkeller
Vatteroth       Knig Hof Weinkeller
Semistan        Knig Hof Weinkeller
Gratze          Knig Hof Weinkeller
Goldmann        Wellmer Wohnungsbau
Dombrowski      Wellmer Wohnungsbau
Gerstenberger   Wellmer Wohnungsbau
Delzer          Kirzich
Franzen         Kirzich
Drevermann      Kirzich
Mantel          Kirzich
Wei            Kirzich
Farenski        Kirzich
Hemmerich       Kirzich
Wengler         Blattwerk Marktforsc
Mller          Blattwerk Marktforsc
Best-Line       Blattwerk Marktforsc
Liebenow        Blattwerk Marktforsc
Uerling         Willmich und Gbler
Best            Willmich und Gbler
Fischer         Willmich und Gbler
Disse           Willmich und Gbler
Kirstein        Willmich und Gbler
Cremers         LES Immobilien GmbH
Dinkelbach      LES Immobilien GmbH
Chrzon          MU-SA GmbH
Schfer         MU-SA GmbH
Fethi           Fleischerei Bochum G
Bromberg        Fleischerei Bochum G
Zubrowski       Fleischerei Bochum G
Klein           Fleischerei Bochum G
Benstein        Fleischerei Bochum G
Seebacher       Fleischerei Bochum G
Hasselberg      Fleischerei Bochum G
Kirste          Treffer Maschinenbau
Dreier          Treffer Maschinenbau
Tahmass         Heinmann Immobilien-
Besler          Heinmann Immobilien-
Doelle          Heinmann Immobilien-
Seefeldt        Heinmann Immobilien-
Vorholt         Kchs Gesellschaft f
Kiehne          Kchs Gesellschaft f
Flottemesch     Kchs Gesellschaft f
Bendkowski      Wohn+Licht GmbH
Timm            Wohn+Licht GmbH
Emerich         Wohn+Licht GmbH
Wortmann        Wohnwrme GmbH
Funke           Wohnwrme GmbH
Gelbhaar        QA Shows, Marketing
Steinbi        QA Shows, Marketing
Baltz           QA Shows, Marketing
Gabel           QA Shows, Marketing
Naserke         QA Shows, Marketing
Fromme          QA Shows, Marketing
Drisang         QA Shows, Marketing
Seidler         QA Shows, Marketing
Gertz           5D Trading Computer
Vorberg         5D Trading Computer
Best Print Offs 5D Trading Computer
Galka           5D Trading Computer
Ehm             5D Trading Computer
Gora            5D Trading Computer
Fink            5D Trading Computer
Frericks        5D Trading Computer
Tillmann        Herberts Objekteinri
Henkel          Herberts Objekteinri
Na             Akrobat Wirtschaftsb
Werske          Akrobat Wirtschaftsb
Goerigk         Akrobat Wirtschaftsb
Balster         Akrobat Wirtschaftsb
Wienert         Akrobat Wirtschaftsb
Lippert         Akrobat Wirtschaftsb
Arnold          Akrobat Wirtschaftsb
Jaschke         Akrobat Wirtschaftsb
Kiel            tu+mach
Fentner         tu+mach
Derse           tu+mach
Deininger       BRAND Immobilien Gmb
Zuhorn          BRAND Immobilien Gmb
Flach           BRAND Immobilien Gmb
Grebhart        BRAND Immobilien Gmb
Gerding         Trommp Spedition Gmb
Uerkwitz        Trommp Spedition Gmb
Hoche           Trommp Spedition Gmb
Gaudl           Trommp Spedition Gmb
Gottlob         Trommp Spedition Gmb
Bolte           Stadt-Hotel Dortmund
Mues            Stadt-Hotel Dortmund
Dahmer          Stadt-Hotel Dortmund
Surmann         Stadt-Hotel Dortmund
Hellen          Stadt-Hotel Dortmund
Fazlic          Deutsche Vermgensra
Schlmer        Deutsche Vermgensra
Gransow         Deutsche Vermgensra
Maxton          IKO Trend-Spirituose
Podlesch        IKO Trend-Spirituose
Fenske          IKO Trend-Spirituose
Frhner         IKO Trend-Spirituose
Ferber          VOL-Baugesellschaft
Straube         VOL-Baugesellschaft
Herz            VOL-Baugesellschaft
Dauer           Kalb Gesellschaft mi
Besser          Kalb Gesellschaft mi
Foitzik         Kalb Gesellschaft mi
Frder          Kalb Gesellschaft mi
Arlt            Kalb Gesellschaft mi
Richhardt       PUK Software + Syste
Thielmann       PUK Software + Syste
Malczewski      Michels Industrie- u
Driller         Michels Industrie- u
Weikert         Michels Industrie- u
Mhlhaus        Michels Industrie- u
Douma           Strner GmbH
Hausberg        Strner GmbH
Best-Hahnke     Strner GmbH
Guse            Strner GmbH
Landmann        Strner GmbH
Garstka         Strner GmbH
Kmpfer         Strner GmbH
Tielmann        Strner GmbH
Fth            Trunk Gesellschaft f
Cenk            Trunk Gesellschaft f
Hammerich       Trunk Gesellschaft f
Kranz           Sanft Gartenbau Hart
Gralla          Sanft Gartenbau Hart
Menne           Sanft Gartenbau Hart
Grein           Sanft Gartenbau Hart
Dressel         Neuhaus TEAM GmbH
Delling         Neuhaus TEAM GmbH
Fensch          Neuhaus TEAM GmbH
Borggreve       Neuhaus TEAM GmbH
Kolk            Neuhaus TEAM GmbH
Eckert          Immobilien-Multimedi
Baltruschat     Immobilien-Multimedi
Weidenmller    Immobilien-Multimedi
Ebert           Immobilien-Multimedi
Elzner          Immobilien-Multimedi
Zllig          Dominum Immobilien V
Driescher       Dominum Immobilien V
Gemballa        Dominum Immobilien V
Balz            Dominum Immobilien V
Hrnschemeyer   Industrie-Metallbau
Beste Ware Ansp Industrie-Metallbau
Thiel           Industrie-Metallbau
Szaj            Industrie-Metallbau
Dacal Otero     Industrie-Metallbau
Mhlenbrock     Industrie-Metallbau
Dreske          Industrie-Metallbau
Gohl            Industrie-Metallbau
Krolak          Industrie-Metallbau
Bessel          INFOMAX GmbH Unterne
Hallmann        INFOMAX GmbH Unterne
Hueber          INFOMAX GmbH Unterne
Best-Line       Ingenieurbro fr El
Sivakaran       Ingenieurbro fr El
Scheit          Ingenieurbro fr El
Dreiskemper     Ingenieurbro fr El
Besner          Ingenieurbro fr El
Skrotzki-Kozlow Ingenieurbro fr El
Seemann         Ingenieurbro fr El
Dreler         Ingenieurbro fr El
Foit            Ingenieurbro fr Pr
Feldhausen      Ingenieurbro fr Pr
Festor          Ingenieurbro fr Pr
Cornelius       Ingenieurbro fr Pr
Kandemir        Ingenieurbro fr Pr
Benstm         Ingenieurbro fr Pr
Gdecke         Ingenieurbro fr Pr
Rehkamp         Ingenieurbro fr Pr
Weihrauch       Ingenieurbro fr Pr
Best            Ingenieurbro fr Pr
Gabelmann       Ingenieurbro am Haf
Gebhard         Ingenieurbro am Haf
Webelsiep       Ingenieurbro am Haf
Fischer         Ingenieurbro am Haf
Anello          Ingenieurbro am Haf
Baltz           Ingenieurbro am Haf
Effling         Ingenieurbro am Haf
Witting         Ingenieurbro am Haf
Fiesseler       Initiative Qualitts
Adam            Initiative Qualitts
Golfmann        Initiative Qualitts
Sylvester       Initiative Qualitts
Puschhof        Innenausbau Pfand He
Gbel           Innenausbau Pfand He
Frmgen         Innenausbau Pfand He
Bordmann        Innenausbau Pfand He
Drwald         Institut fr Datenve
Escher          Institut fr Datenve
Zuber           Institut fr Datenve
Best            Institut fr Datenve
Gellhaus        Institut fr Datenve
Ferse           Institut fr Datenve
Nohse           Institut fr Datenve
Wersinski       Institut fr Datenve
Kroker          Institut fr Datenve
Sablina         Institut fr Datenve
Pluska          Institut fr Datenve
Ehmke           Institut fr Umweltt
Balser          Institut fr Umweltt
Jrgen          Institut fr Umweltt
Dornseifer      HYGO Hygiene GmbH
Siepmann        HYGO Hygiene GmbH
Deering         HYGO Hygiene GmbH
Bestek          Krachmann Software u
Brandt          Krachmann Software u
Dillmann        Krachmann Software u
Elsenbruch      Krachmann Software u
Drewniok        NET Netzwerk- und Da
Ricken          NET Netzwerk- und Da
Menke           NET Netzwerk- und Da
Fitzek          NET Netzwerk- und Da
Baltrusch       NET Netzwerk- und Da
Lipperheide     NET Netzwerk- und Da
Lipinski        NET Netzwerk- und Da
Fhr            Isolierbau Peter Pfe
Franke          Isolierbau Peter Pfe
Ganer          Isolierbau Peter Pfe
Rehrmann        Isolierbau Peter Pfe
Wahlen          Isolierbau Peter Pfe
Ackermann-Wanti Isolierbau Peter Pfe
Merz            Isolierbau Peter Pfe
Florian         Isolierbau Peter Pfe
Dix             IKO-Bro Krummer + C
Brockstdt      IKO-Bro Krummer + C
Wieners         IKO-Bro Krummer + C
Faust           IKO-Bro Krummer + C
Mende           IKO-Bro Krummer + C
Baltz           IKO-Bro Krummer + C
Diener         Industrie-Wschereia
Deming          Industrie-Wschereia
Zurek           Industrie-Wschereia
Cebula          Industrie-Wschereia
Drewa           KMU D. Holzmann KG
Ribka           KMU D. Holzmann KG
Dors            KMU D. Holzmann KG
Ackermann       KMU D. Holzmann KG
Schock          KMU D. Holzmann KG
Nonn            Schwitters Spezial-S
Mller          Schwitters Spezial-S
Fork            Schwitters Spezial-S
Zirkenbach      Schwitters Spezial-S
Diaz            Schwitters Spezial-S
Gollann         Schwitters Spezial-S
Gietmann        Schwitters Spezial-S
Adam            TAZZ das kreative Pu
Frstenberg     TAZZ das kreative Pu
Selig           TAZZ das kreative Pu
Goldmann        TAZZ das kreative Pu
Brune           TAZZ das kreative Pu
Evertz          Amper Bauunternehmun
Czarnetzki      Amper Bauunternehmun
Balz            Amper Bauunternehmun
Hellmich        Amper Bauunternehmun
Ghrs           Amper Bauunternehmun
Krengel         Amper Bauunternehmun
Meinker         Winke
Glckner        Winke
Eggenstein      Winke
Gerbermann      Winke
Vaupel          Winke
Bundesmann      Winke
Besse           NAZU
Besirevic       NAZU
Kurka           NAZU
Cupok           QCat Software AG
Balster         QCat Software AG
Gerding         QCat Software AG
Baltasar        QCat Software AG
Weiss           QCat Software AG
Tiller          QCat Software AG
Demmler         QCat Software AG
Feustel         Brink Gesellschaft f
Felske          Brink Gesellschaft f
Angler          Brink Gesellschaft f
Mller          Brink Gesellschaft f
Brunn           Brink Gesellschaft f
Fox             Stolz + Prall GmbH,
Broska          Stolz + Prall GmbH,
Balsing         Stolz + Prall GmbH,
Ehlen           Stolz + Prall GmbH,
Meiritz         Liedchen GmbH + Co.
Goletzko        Liedchen GmbH + Co.
Webels          Liedchen GmbH + Co.
Corbach         Liedchen GmbH + Co.
Best            Liedchen GmbH + Co.
Erler           Knstlertermine GbR
Drckler        Knstlertermine GbR
Melzer          Knstlertermine GbR
Filskowski      Knstlertermine GbR
Behr            Knstlertermine GbR
Zipper          Rabatzek
Zurek           Rabatzek
Ackom           Rabatzek
Mendes          Rabatzek
Meinhardt       Rabatzek
Lanfer          Rabatzek
Zeh             Fernhost
Hallensleben    Fernhost
Finger          Stronzo
Eckert          Stronzo
Siebers         Stronzo
Gerland         Stronzo
Besser          Winkelmeyer
Drewer          Winkelmeyer
Dondrup         Winkelmeyer
Htker          Winkelmeyer
Garborek        Winkelmeyer
Foltinek        Winkelmeyer
Dahm            Winkelmeyer
Gantenberg      Taub Recycling GmbH
Fokkink         Taub Recycling GmbH
Ghrs           Taub Recycling GmbH
Fontana         Taub Recycling GmbH
Cirkel          Taub Recycling GmbH
Depta           QUABEX GmbH
Denneborg       QUABEX GmbH
Dllmann        QUABEX GmbH
Urfell          QUABEX GmbH
Enes            QUABEX GmbH
Balz            QUABEX GmbH
Kiefert         QUABEX GmbH
Drewes          QUABEX GmbH
Besser          Personalberatung Dr.
Bethge          Personalberatung Dr.
Erdle           Personalberatung Dr.
Meier           Kunze Schwertranspor
Baluda          Kunze Schwertranspor
Dowidat         Kunze Schwertranspor
Gusdek          Kunze Schwertranspor
Heinke          Quo DV  Software Gmb
Balthasar       Quo DV  Software Gmb
Senff           Quo DV  Software Gmb
Vowinkel       Quo DV  Software Gmb
Betge           Top Plan
Baltzer         Top Plan
Best            Top Plan
Arendt          Top Plan
Zlobinski       Top Plan
Gerloff         Top Plan
Angsten         Top Plan
Skrzeba         Schrill Werbung GmbH
Hochheim        Schrill Werbung GmbH
Kreutz          Schrill Werbung GmbH
Grabowski       Schrill Werbung GmbH
Gosdzinski      Schrill Werbung GmbH
Drke           Schrill Werbung GmbH
Jung            Schrill Werbung GmbH
Gransow         Schrill Werbung GmbH
Redies          Harald Menne Contai
Fitzner         Harald Menne Contai
Froese          Harald Menne Contai
Nolte           Harald Menne Contai
Mnig           Harald Menne Contai
Czech           Harald Menne Contai
Brodowski       Harald Menne Contai
Adam            Data Integrata
Dell            Data Integrata
Flothwedel      Data Integrata
Gerland         Data Integrata
Dietsche        Data Integrata
Cimpel          Halbers Baugesellsch
Gercek          TRANS Gesellschaft f
Martin          TRANS Gesellschaft f
Dischereit      TRANS Gesellschaft f
Podschwadek     TRANS Gesellschaft f
Christ          Bimsmeier GmbH Mbel
Karcher         Bimsmeier GmbH Mbel
Meier           Bimsmeier GmbH Mbel
Drevermann      Lux Werbetechnik Gmb
Feierabend      Lux Werbetechnik Gmb
Fidora          Lux Werbetechnik Gmb
Drevermann      Lux Werbetechnik Gmb
Fahr            Lux Werbetechnik Gmb
Erwig           Lux Werbetechnik Gmb
Wurzalla        Lux Werbetechnik Gmb
Meiner         LOM-Datentechnik
Ziska           LOM-Datentechnik
Fischer         LOM-Datentechnik
Freerksen       LOM-Datentechnik
Hennebhl       LOM-Datentechnik
Balz            LOM-Datentechnik
Fiebich         LOM-Datentechnik
Filipe          LOM-Datentechnik
Burkert         LOM-Datentechnik
Gralke          LOM-Datentechnik
Falkowski       Einrichtungshaus Gun
Falkowski       Einrichtungshaus Gun
Ehlert          Einrichtungshaus Gun
Gonczik         Einrichtungshaus Gun
Feder           Einrichtungshaus Gun
Esch            Einrichtungshaus Gun
Wahlich         Einrichtungshaus Gun
Fust            GSE Gesellschaft fr
Krger          GSE Gesellschaft fr
Znkler         GSE Gesellschaft fr
Acosta Sandoval GSE Gesellschaft fr
Graw            Kreischke
Dreier          Kreischke
Lenort          Kreischke
Dopheide        Kreischke
Kornatzki       Kreischke
Seidel          Kreischke
Engel           Kreischke
Bartsch         DOC Gesellschaft fr
Fidut           DOC Gesellschaft fr
Surmann         DOC Gesellschaft fr
Grtner         DOC Gesellschaft fr
Drewel          DOC Gesellschaft fr
Schlochtermeyer DOC Gesellschaft fr
Fligge          DOC Gesellschaft fr
Glaser          DOC Gesellschaft fr
Hamada          DOC Gesellschaft fr
Stavrianos      DOC Gesellschaft fr
Olschewski      DOC Gesellschaft fr
Elsner          DOC Gesellschaft fr
Frantzki        DOC Gesellschaft fr
Balser          TOIT GmbH berdachun
Meister         TOIT GmbH berdachun
Mannel          TOIT GmbH berdachun
Baltruschat     TOIT GmbH berdachun
Niederges     TOIT GmbH berdachun
Flecken         TOIT GmbH berdachun
Dahlbeck        CELL Informatik GmbH
Gase            CELL Informatik GmbH
Nolting         CELL Informatik GmbH
Zimmermann      CELL Informatik GmbH
Freuken         CELL Informatik GmbH
Disseldorp      CELL Informatik GmbH
Ellermann       CELL Informatik GmbH
Vo             PH Petrol-Chemical G
Seebruch        PH Petrol-Chemical G
Zimmermann      PH Petrol-Chemical G
Deptolla        PH Petrol-Chemical G
Baaz            PH Petrol-Chemical G
Engelhard       SOLARIS Vermgensver
Soika           SOLARIS Vermgensver
Kortenhorn      SOLARIS Vermgensver
Balta           SOLARIS Vermgensver
Ghrs           SOLARIS Vermgensver
Drobnitza       SOLARIS Vermgensver
Schlmer        SOLARIS Vermgensver
Antons          SOLARIS Vermgensver
Jung            DB-Admin OHG
Baltes          DB-Admin OHG
Gengenbacher    Ingenieurbro fr Ve
Menges          Ingenieurbro fr Ve
Gutschow        Ingenieurbro fr Ve
Eichstdt       Ingenieurbro fr Ve
De Cock         Ingenieurbro fr Ve
Baltes          Ingenieurbro fr Ve
Marchewka       Caput GmbH
Finis           Caput GmbH
Dudek           Caput GmbH
Ishender        Caput GmbH
Garbas          Caput GmbH
Lennertz-Finger Caput GmbH
Drobing         Caput GmbH
Balyemez        Caput GmbH
Amort           Caput GmbH
Zimmer          Schwingel GmbH + Co.
Besser          Schwingel GmbH + Co.
Drost           Schwingel GmbH + Co.
Genge           Schwingel GmbH + Co.
Kasemann        Schwingel GmbH + Co.
Fey             Schwingel GmbH + Co.
Meiner         Concrete Beton Rhein
Duda            Concrete Beton Rhein
Eggarter        Concrete Beton Rhein
Kmper          Rehabilitationsklini
Weinforth       Rehabilitationsklini
Zimmer          Rehabilitationsklini
Voss            Rehabilitationsklini
Fels            Goldsteier
Zimmermann      Goldsteier
Melech          Goldsteier
Berg            Goldsteier
Gremme          Goldsteier
Schroeder       Goldsteier
Domnitsch       Goldsteier
Balser          Goldsteier
Nolte           Goldsteier
Gaffke          Legnum Immobilien Gm
Fuhrmann        Legnum Immobilien Gm
Beling         Trisch Feinmechanik
Sendel          Trisch Feinmechanik
Hentzschel      Trisch Feinmechanik
Anemller       Gebrder Mondschein
Poschmann       Gebrder Mondschein
Feider          Gebrder Mondschein
Hamacher        Gebrder Mondschein
Hagen            KVZ Bank Essen eG
Buxbaum          KVZ Bank Essen eG
Wieschalka       KVZ Bank Essen eG
Ploch            KVZ Bank Essen eG
Dryja            KVZ Bank Essen eG
Gemnd           KVZ Bank Essen eG
Adam             KVZ Bank Essen eG
Weigand         Privatbank Essen
Emerich         Privatbank Essen
Woschek         Privatbank Essen
Straube         Privatbank Essen
Fahrmeyer       Privatbank Essen
Golinski        Privatbank Essen
Faust           Privatbank Essen
Ferber          Privatbank Essen
Decke           Privatbank Essen
Szostak         Privatbank Essen
Pielok          Abfallentsorgungs- u
Fahle           Abfallentsorgungs- u
Votschel        Lucis LICHTTECHNIK G
Dost            Lucis LICHTTECHNIK G
Sudmant         Lucis LICHTTECHNIK G
Sender          Lucis LICHTTECHNIK G
Domnick         Anlagenbau und Monta

TEILNEHMER      UNTERNEHMEN
--------------- --------------------
Gertler-Wasmer  Anlagenbau und Monta
Mller          Anlagenbau und Monta
Hasselbeck      Anlagenbau und Monta
Gdtner         Anlagenbau und Monta
Dosedal         Reponse EDV GmbH
Besirevic       Reponse EDV GmbH
Pusch           Reponse EDV GmbH
Gick            Reponse EDV GmbH
Suhle           Reponse EDV GmbH
Drilling        Reponse EDV GmbH
Gajewski        Reponse EDV GmbH
Deufel          Automatisierungstech
Michel          Automatisierungstech
Hopp            Automatisierungstech
Baltzer         Automatisierungstech
Fork            Automatisierungstech
Elsner          Automatisierungstech
Besse           Automatisierungstech
Dressler        Filtertechnik Bernd
Brosch          Filtertechnik Bernd
Engler          Filtertechnik Bernd
Faeser          Filtertechnik Bernd
Gutzeit         Filtertechnik Bernd
Sehr            Filtertechnik Bernd
Frodermann      Filtertechnik Bernd
Guddeit         First EDV-Dienst-lei
Helfer          First EDV-Dienst-lei
Drewermann      First EDV-Dienst-lei
Diehm           First EDV-Dienst-lei
Funk            G + K Gladbach ART G
Korte           G + K Gladbach ART G
Dubois          G + K Gladbach ART G
Foltmann        G + K Gladbach ART G
Bredeck         G + K Gladbach ART G
Fuchs           Blechmann GmbH Armat
Swientek        Blechmann GmbH Armat
Tadhfer        Blechmann GmbH Armat
Krumbach        Blechmann GmbH Armat
Glser          Blechmann GmbH Armat
Kerber          Blechmann GmbH Armat
Bethuser       Blechmann GmbH Armat
Nieder          Beratung fr Natursc
Adam            Beratung fr Natursc
Hvel           Globalix Auenhandel
Balte           Globalix Auenhandel
Fichtner        Globalix Auenhandel
Frieg           Globalix Auenhandel
Czaplewski      Globalix Auenhandel
Fabender       Globalix Auenhandel
Balte           advertising services
Echterhoff      advertising services
Meier           Accessoires + Mode H
Gent            Accessoires + Mode H
Baltrusch       Accessoires + Mode H
Henning         Accessoires + Mode H
Tietze          Accessoires + Mode H
Franke          COK Agentur fr Werb
Lippe           COK Agentur fr Werb
Will            COK Agentur fr Werb
Tietje          COK Agentur fr Werb
Belke           COK Agentur fr Werb
Drge           COK Agentur fr Werb
Weil            COK Agentur fr Werb
Zorn            COK Agentur fr Werb
Dora            Kolck Wirtschaftspr
Salzbrenner     Kolck Wirtschaftspr
Bier            Kolck Wirtschaftspr
Theusz          Kolck Wirtschaftspr
Adam            Kolck Wirtschaftspr
Mnz            Kolck Wirtschaftspr
Mnchhalfen     Kolck Wirtschaftspr
Dykta           Graff Hochbau GMBH
Cibulski        Graff Hochbau GMBH
Amore           Graff Hochbau GMBH
Formella        Graff Hochbau GMBH
Balt            OL Metall Agentur Gm
Gillmann        OL Metall Agentur Gm
Bessel GmbH     OL Metall Agentur Gm
Frieser         OL Metall Agentur Gm
Moeller         OL Metall Agentur Gm
Matheus         OL Metall Agentur Gm
Civak           OL Metall Agentur Gm
Fenslau         OL Metall Agentur Gm
Asbeck          OL Metall Agentur Gm
BEST rzte-Serv OL Metall Agentur Gm
Senger          Struzz Satz + Druck
Merten          Struzz Satz + Druck
Fortmann        Struzz Satz + Druck
Frey            Arbeit Textilhandel
Hagemann        Arbeit Textilhandel
Exner           Arbeit Textilhandel
Gellert         Arbeit Textilhandel
Drewello        Flinke
Drolshagen      Flinke
Chomiak         Flinke
Krullmann       Flinke
Fonnell         Handlender
Besner          Handlender
Beneke          Handlender
Plger          Glotz + Struck GmbH,
Judith          Glotz + Struck GmbH,
Balthasar       Glotz + Struck GmbH,
Zander          Gesellschaft fr Inf
Krahe           Gesellschaft fr Inf
Fink            Gesellschaft fr Inf
Erb             Gesellschaft fr Inf
Gndel          Gesellschaft fr Inf
Mngler         Witz
Bollermann      Witz
Focken          Witz
Dressler        Team 1 GmbH Planungs
Flthe          Team 1 GmbH Planungs
Flakamp        Team 1 GmbH Planungs
Falk            Team 1 GmbH Planungs
Wagner          Team 1 GmbH Planungs
Digna          O.L.Injektions- und
Friele          O.L.Injektions- und
Flottau         O.L.Injektions- und
Figger          O.L.Injektions- und
Engel           O.L.Injektions- und
Utech           O.L.Injektions- und
Stiehler        O.L.Injektions- und
Bester          Gold-Enterprises Ltd
Drevermann      Gold-Enterprises Ltd
Beskow          Gold-Enterprises Ltd
Rtzel          Gold-Enterprises Ltd
Lennardt        Gold-Enterprises Ltd
Klein           Gold-Enterprises Ltd
Driemeyer       Gold-Enterprises Ltd
Domnick         Gold-Enterprises Ltd
Fligge          Gold-Enterprises Ltd
Adam            HELLMICH GMBH
Spletter        HELLMICH GMBH
Frechen         HELLMICH GMBH
Lanfer          HELLMICH GMBH
Brunkow         HELLMICH GMBH
Brosda          HELLMICH GMBH
Dasbach         HELLMICH GMBH
Adam GmbH, Udo  VILLAGE Grundstcksv
Balz            VILLAGE Grundstcksv
Mengel          VILLAGE Grundstcksv
Drlich        VILLAGE Grundstcksv
Rehmann         VILLAGE Grundstcksv
Skrzypczyk      Orient-Teppich-Hande
Schloemer       Lothmann GmbH
Kaudelka        Lothmann GmbH
Fst            Lothmann GmbH
Golman          Lothmann GmbH
Adam            Lothmann GmbH
Frster         Steyer GmbH Assekura
Florian         Steyer GmbH Assekura
Fischer         Steyer GmbH Assekura
Flotte Ecke     Steyer GmbH Assekura
Ehl             Steyer GmbH Assekura
Brepohl         Haut-AUFZGE Horst B
Ganzer          Haut-AUFZGE Horst B
Balthasar       Haut-AUFZGE Horst B
Choroba         IYW-Ingenieure Wasse
Goldhagen       IYW-Ingenieure Wasse
Emde            IYW-Ingenieure Wasse
Beck            Overnight Transport
Dreler         Overnight Transport
Fehrmann        Overnight Transport
Fhrmann        Grundstcksverwertun
Balthasar       Grundstcksverwertun
Prschke        Grundstcksverwertun
Mnch           Grundstcksverwertun
Falk            LOOK Gesellschaft f
Krol            LOOK Gesellschaft f
Franken         LOOK Gesellschaft f
Balve           LOOK Gesellschaft f
Dotter          LOOK Gesellschaft f
Arlov           LOOK Gesellschaft f
Deutschmann     LOOK Gesellschaft f
Feldmann        Plankontor
Goldmann        Gluck Capital GmbH,
Gudelj          Gluck Capital GmbH,
Schnitzler      Gluck Capital GmbH,
Steinbring      Gluck Capital GmbH,
Otterbein       Schrother Broeinric
Wensing         Schrother Broeinric
Baltes          Schrother Broeinric
Frontzek        Schrother Broeinric
Armstrong       Schrother Broeinric
Brudny          Gluth Handelsgesells
Elssser        Gluth Handelsgesells
Rosenthal       Gluth Handelsgesells
Sedler          Gluth Handelsgesells
Erler           Gluth Handelsgesells
Dolinski        Gluth Handelsgesells
Franzke         Gluth Handelsgesells
Schlsser       Amante Unternehmensb
Bauer           Amante Unternehmensb
Bessert         Amante Unternehmensb
Endra          Amante Unternehmensb
Droste          Amante Unternehmensb
del Duca        Amante Unternehmensb
Mnx            Amante Unternehmensb
Vaysband        Amante Unternehmensb
Legrand         Flox Textilhandels-
Gantz           Flox Textilhandels-
Genske          Flox Textilhandels-
Noll            Flox Textilhandels-
Malik           Flox Textilhandels-
Mendrina        Flox Textilhandels-
Mller          Golpp Treuhandgesell
Tabak           Golpp Treuhandgesell
Srmeli         Golpp Treuhandgesell
Kandler         Golpp Treuhandgesell
Ertmer          Golpp Treuhandgesell
Zink            Golpp Treuhandgesell
Dammasch        Golpp Treuhandgesell
Zum Nordpol     Marketing Research P
Drewello        Marketing Research P
Baltasar        Marketing Research P
Dalian          Marketing Research P
Heming          Marketing Research P
Semo            Marketing Research P
Arndt           Marketing Research P
Garnier         AAA Modeagentur GmbH
Flsch          AAA Modeagentur GmbH
Tadus          AAA Modeagentur GmbH
Kirschstein     AAA Modeagentur GmbH
Plger          Niemeyer BANK GmbH +
Grabert         Niemeyer BANK GmbH +
Lipka           Niemeyer BANK GmbH +
Drexler         Niemeyer BANK GmbH +
Bolz            ETOFFES MONDE Textil
Dreszkowski     ETOFFES MONDE Textil
Brocksch        ETOFFES MONDE Textil
Jaske           ETOFFES MONDE Textil
Frohnhfer-Hoy  ETOFFES MONDE Textil
Gollan          ETOFFES MONDE Textil
Gierth          Bildungsforum gGmbH
Punkt           Bildungsforum gGmbH
Ebke            Bildungsforum gGmbH
Balsmeier       Bildungsforum gGmbH
Fller          Bildungsforum gGmbH
Gregorowius     Bildungsforum gGmbH
Werdelmann      Bildungsforum gGmbH
Besters         Bildungsforum gGmbH
Mller          Bildungswerk der OLK
Fabian          Bildungswerk der OLK
Flttmann       HJK Winklers Handels
Degner          HJK Winklers Handels
Franke          HJK Winklers Handels
Enderle         Key Wohnungsbau GmbH
Eckai           Key Wohnungsbau GmbH
Weidinger       Key Wohnungsbau GmbH
Nonnweiler      Key Wohnungsbau GmbH
Brune           Key Wohnungsbau GmbH
Plichta         Key Wohnungsbau GmbH
Fernholz        CLH Chemie Logistik
Menne           CLH Chemie Logistik
Grabarz         CLH Chemie Logistik
Elschenbroich   CLH Chemie Logistik
Friebe          CLH Chemie Logistik
Klo            Pulito Gebudereinig
Emmerich        Pulito Gebudereinig
Richard         Pulito Gebudereinig
Cierpka         Pulito Gebudereinig
Theuerl         Pulito Gebudereinig
Efker           Pulito Gebudereinig
Pilarski        Wisch-Reinigung
Faber           Wisch-Reinigung
Benduch         Wisch-Reinigung
Gloe            Wisch-Reinigung
Gtzen          Energieanlagenbau u.
Szymanski       Energieanlagenbau u.
Faust           Energieanlagenbau u.
Besthorn        Ehrmanns
Gler           Ehrmanns
Schroelkamp     Ehrmanns
Zimolong        Ehrmanns
Wendland        Ehrmanns
Sporreiter      Ehrmanns
Takahashi       Ehrmanns
Garus           Gruppe 7 Technischer
Zopp            Gruppe 7 Technischer
Gems            Gruppe 7 Technischer
Reimann         Gruppe 7 Technischer
Greiffer        Gruppe 7 Technischer
Vonnemann       Gruppe 7 Technischer
Meier           Zukunftshandel e.K.
Kauch           Zukunftshandel e.K.
Forkel          Zukunftshandel e.K.
Domke           Zukunftshandel e.K.
Stielow         Zukunftshandel e.K.
Admmer         Zukunftshandel e.K.
Kerber          Baustahlhandels GmbH
Filges          Baustahlhandels GmbH
Adam            Baustahlhandels GmbH
Meis            Lumper
Eisele          Lumper
Gollan          Lumper
Jansen          Lumper
Werther         Lumper
Dries           Abraham Transporte G
Bollermann      Abraham Transporte G
Zinnschlag      Abraham Transporte G
Gerken          Abraham Transporte G
Flgge          OKI Industrietechnik
Schroer         OKI Industrietechnik
Schneider       OKI Industrietechnik
Bessel          OKI Industrietechnik
Zimmermann      IKS Entwicklungsges.
Brning         IKS Entwicklungsges.
Faulwetter      IKS Entwicklungsges.
Balte           IKS Entwicklungsges.
Erdem           IKS Entwicklungsges.
Feldmann        IKS Entwicklungsges.
Conradi         IKS Entwicklungsges.
Dotter          Libert Damenmoden G
Schoengraf      Libert Damenmoden G
Hbbers         Libert Damenmoden G
Guttkorn        Libert Damenmoden G
Schfer         CASA Grundstcksverw
Drewello        CASA Grundstcksverw
Fischer         CASA Grundstcksverw
Ketz            CASA Grundstcksverw
Zuk             CASA Grundstcksverw
Bessel          CASA Grundstcksverw
Kessler         Eiche AG Werksgruppe
Vorderwlbeke   Eiche AG Werksgruppe
Friehoff        Eiche AG Werksgruppe
Sehrt           Eiche AG Werksgruppe
Wiengarn        Eiche AG Werksgruppe
Ackermann       Eiche AG Werksgruppe
Freund          Eiche AG Werksgruppe
Schmidt         Eiche AG Werksgruppe
Drevermann      Eiche AG Werksgruppe
Wagner          Stdt. Seniorenheim
Nigbur          Stdt. Seniorenheim
Gerding         Stdt. Seniorenheim
Balthasar       Stdt. Seniorenheim
Dchting        Stdt. Seniorenheim
Dewitz          Stdt. Seniorenheim
Hohnwald        Stdt. Seniorenheim
Drinkhut        Stdt. Seniorenheim
Adali           Stdt. Seniorenheim
Paczenski       MER Mllentsorgungs-
Galuch          MER Mllentsorgungs-
Crosberger      MER Mllentsorgungs-
Frbel          MER Mllentsorgungs-
Frechen         MER Mllentsorgungs-
Doerwald        Schlund GmbH
Even            Schlund GmbH
Mller          Schlund GmbH
Fach            Schlund GmbH
Besl            Schlund GmbH
Heimeshoff      Berufsfortbildungswe
Dreyer          Berufsfortbildungswe
Gosdzick        Berufsfortbildungswe
Dietzel         Berufsfortbildungswe
Bock            Kuschel Polstermbel
Gleisberg       Kuschel Polstermbel
Wormland        Kuschel Polstermbel
Legel           Kuschel Polstermbel
Eichstdt       Kuschel Polstermbel
Kaveh           Messer Stahlbau GmbH
Goedecke        Messer Stahlbau GmbH
Drevermann      Messer Stahlbau GmbH
Mekelburg       Marienhospital GmbH
Weinberg        Marienhospital GmbH
Cink            Marienhospital GmbH
Feicht          Marienhospital GmbH
Pletz           Marienhospital GmbH
Golibrzuch      Marienhospital GmbH
Mnter          Marienhospital GmbH
Wenzel          Weiland GmbH
Fankhauser      Weiland GmbH
Shling         Weiland GmbH
Balz            Weiland GmbH
Friebe          Weiland GmbH
Bunde           Grn Fruchthandels G
Clever          Grn Fruchthandels G
Janko           Grn Fruchthandels G
Drevermann      Grn Fruchthandels G
Adali           Froid Klte, Klima-S
Meier           Froid Klte, Klima-S
Jandt           Froid Klte, Klima-S
Boldt           Froid Klte, Klima-S
Zuralsky        Froid Klte, Klima-S
Richter         Tucholski Textil-Han
Drube           Tucholski Textil-Han
Vorbrodt        Tucholski Textil-Han
Bodirsky        Tucholski Textil-Han
Bergmann
Gransow
Gant
Ertmann
Dressler
Bete Deutschlan
Klaassen
Fiedler
Duch
Schmidt
Dauschek
Kornath
Gluth
Flack
Gerdes
Feuersaenger
Gengenbacher
Eckardt
Lieber
Glawatz
Best
Ganskop
Daum
Kerbaum
Frett
Janke
Goschau
Balter
Glos
Dreler
Drinkmann
Bauer
Balster
Gonska
Weigelt
Faschina
Frank
Vorgang
Manske
Sudek
Gagg
                Die Zuckerstange Gmb
                Orange GmbH

1451 Zeilen ausgewhlt.


*/