-- Unterabfragen

SELECT AVG(P_TN1)
  FROM kurs INNER JOIN preis
    ON kurs.P_Nr = preis.P_Nr;

-- Ergebnis
/*
AVG(P_TN1)
----------
       890
1 Zeile wurde ausgewhlt.
*/

SELECT K_Titel, K_Untertitel, P_TN1
  FROM kurs INNER JOIN preis
    ON kurs.P_Nr = preis.P_Nr
 WHERE P_TN1 > 890;

SELECT K_Titel, K_Untertitel, P_TN1
  FROM kurs INNER JOIN preis
    ON kurs.P_Nr = preis.P_Nr
 WHERE P_TN1 > (SELECT AVG(P_TN1)
                  FROM kurs INNER JOIN preis
                    ON kurs.P_Nr = preis.P_Nr);

SELECT SUBSTR(K_Titel,1,15)      AS K_Titel,
       SUBSTR(K_Untertitel,1,15) AS K_Untertitel,
       P_TN1
  FROM kurs INNER JOIN preis
    ON kurs.P_Nr = preis.P_Nr
 WHERE P_TN1 > (SELECT AVG(P_TN1)
                  FROM kurs INNER JOIN preis
                    ON kurs.P_Nr = preis.P_Nr);

-- Ergebnis
/*

K_TITEL         K_UNTERTITEL              P_TN1
--------------- -------------------- ----------
Photoshop       Bildbearbeitung            1050
Photoshop       Korrektur + Verfremd       1050
PHP             Syntax + Konzepte           920
PHP             Webanwendungen              900
PHP             MySQL Programmbeispi        900
PHP             Kochrezepte                1175
Python          Syntax + Konzepte          1050
TCP IP          TCP/IP 1                   1175
TCP IP          TCP/IP 2                   1175
UML             Konzepte und Anwendu       1430
UML             Objektorientierung u        900
VBA             Syntax + Konzepte           975
VBA             XML-Konzepte                975
VisualBasic     Syntax + Konzepte          1175
VisualBasic     OOP, APIs + DBs            1175
VisualBasic     Kochrezepte                1430
Windows 2000 Se Administration              910
XML             XMLSpy                      920
3D Studio       3D-Modelling               1050
Access          VBA-Kochrezepte            1175
ActionScript    Syntax + Konzepte           900
ActionScript    PHP + MySQL                 900
ActiveDirectory Konfiguration              1175
Apache 2        DB-Administration           910
ASP             XML-Konzepte                975
ASP.NET         Webservices und XML         900
AutoCAD         CAD-Technik                1050
C sharp         Syntax + Konzepte          1020
C++             Syntax + Konzepte          1175
C++             MFC (Windows-Program       1175
C++             COM/ATL                    1430
Delphi          Syntax + Konzepte           920
Delphi          Datenbankprogrammier        920
Delphi          Anwendungsentwicklun       1430
Delphi          Programmierbeispiele       1430
Director        Authoring                  1050
Director        Lingo                       900
Dreamweaver     DHTML-Erweiterungen         950
Excel           VBA-Kochrezepte            1175
Excel           Statistik + Prognose        920
Excel           Kostenrechnung              920
Excel           Controlling                 920
Flash           Animation                  1050
IIS             Administration              910
Java            Designpatterns              920
Java            Syntax + Konzepte          1175
Java            Servlets                   1000
Java            Enterprise Java Bean       1020
Java            Kochrezepte                1430
Java            Java fr Oracle             975
Java            Datenbankprogrammier       1430
Java            Java Server Pages (J        900
Java            Netzwerke + Sockets        1175
lexware         FiBu + Controlling         1050
Lotus Domino    Administration             1175
Lotus Notes     Kommunikation               900
Matlab          Syntax + Konzepte          1025
MS Exchange     Administration              910
MS SQL-Server   DB-Administration           910
MS SQL-Server   Transact SQL                900
MySQL           DB-Administration           900
Oracle          Architektur                 975
Oracle          PL/SQL-Programmierun        975
Oracle          XML-Konzepte                975
Oracle          Designer R6i + Devel        975
Oracle          Networking                  975
Oracle          DB-Administration           975
Perl            Syntax + Konzepte           920
Perl            Perl + CGI                  920

69 Zeilen ausgewhlt.


*/
