-- Unterabfragen in der Spaltenliste
SELECT DISTINCT
       (SELECT COUNT(B_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr= 200) AS Gesamt,
       (SELECT SUM(B_Preis)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = 200) AS Gesamtpreis,
       (SELECT COUNT(DISTINCT T_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr
         WHERE U_Nr = 200) AS Termine
  FROM buchung;  

SELECT DISTINCT
       (SELECT COUNT(B_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr) AS Gesamt,
       (SELECT SUM(B_Preis)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr) AS Gesamtpreis,
       (SELECT COUNT(DISTINCT T_Nr)
          FROM buchung INNER JOIN teilnehmer
            ON buchung.TN_Nr = teilnehmer.TN_Nr) AS Termine
  FROM buchung INNER JOIN teilnehmer
    ON buchung.TN_Nr = teilnehmer.TN_Nr; 

-- Ergebnisse
/*
    GESAMT GESAMTPREIS    TERMINE
---------- ----------- ----------
        12        9000          2
1 Zeile wurde ausgewhlt.
    GESAMT GESAMTPREIS    TERMINE
---------- ----------- ----------
      2794     2067004        555
1 Zeile wurde ausgewhlt.
*/