-- Korrelierte Unterabfragen
SELECT c.D_Nachname, a.K_Nr, a.TH_Tagessatz
  FROM themenverteilung a INNER JOIN kurs  b
    ON a.K_Nr = b.K_Nr
                          INNER JOIN dozent c
    ON a.D_Nr = c.D_Nr                        
  WHERE TH_Tagessatz = (SELECT MIN(d.TH_Tagessatz)
                          FROM themenverteilung d
                         WHERE d.K_Nr = a.K_Nr); 

-- Ergebnis
/*
D_NACHNAME                           K_NR TH_TAGESSATZ
------------------------------ ---------- ------------
Hostell                           1010004          350
Klapp                             1010005          400
Rollstein                         1010006          350
Brchen                           1010007          350
Brchen                           1010008          350
Klapp                             1010009          400
Brchen                           1010010          350
Brchen                           1010011          350
Klapp                             1010074          350
Scheffchen                        1010077          420
Scheffchen                        1010078          520
Rollstein                         1010079          400
Rollstein                         1010084          400
Schnellschuss                     1015024          500
Dnn                              1015025          400
Doppelt                           1015026          450
Erdbau                            1015027          500
Erdbau                            1015028          500
Erdbau                            1015029          500
Gelddreh                          1015030          450
Dnn                              1015031          550
Ebenhof                           1015031          550
Erdbau                            1015032          500
Erdbau                            1015033          500
Dnn                              1015034          550
Ebenhof                           1015034          550
Bergluft                          1015035          560
Dnn                              1015036          550
Doppelt                           1015037          450
Dnn                              1015038          550
Rollstein                         1015040          500
Schnellschuss                     1015041          500
Rollstein                         1015042          500
Schnellschuss                     1015043          500
Schnellschuss                     1015044          500
Sonnenschein                      1015064          450
Sonnenschein                      1015065          450
Sonnenschein                      1015066          450
Dnn                              1015067          550
Schnellschuss                     1015068          500
Hostell                           1020052          300
Hostell                           1020053          350
Hostell                           1020054          350
Fingerflink                       1020055          380
Hostell                           1020056          350
Hostell                           1020057          350
Dnn                              1020058          350
Hostell                           1020059          350
Sonnenschein                      1025012          350
Sonnenschein                      1025013          300
Sonnenschein                      1025014          300
Ordinarius                        1025014          300
Ordinarius                        1025015          340
Sonnenschein                      1025017          400
Sonnenschein                      1025018          400
Sonnenschein                      1025019          400
Sonnenschein                      1025020          300
Latz                              1025021          450
Brchen                           1025022          350
Sonnenschein                      1025039          480
Still                             1025047          480
Still                             1025048          480
Feder                             1025051          540
Feder                             1025061          540
Sonnenschein                      1025062          400
Feder                             1025063          540
Feder                             1025071          540
Feder                             1025072          540
Feder                             1025073          540
Brchen                           1025075          350
Brchen                           1025080          350
Ordinarius                        1025081          320
Ordinarius                        1025082          320
Ordinarius                        1025083          320
Still                             1030045          500
Schnellschuss                     1030048          450
Still                             1030049          500
Bodensee                          1030050          500
Dnn                              1030073          550
Ordinarius                        1040016          340
Sonnenschein                      1040023          350
Sonnenschein                      1040060          400
Sonnenschein                      1040069          400
Ordinarius                        1040070          350
Sonnenschein                      1040076          450
Ordinarius                        1040076          450

86 Zeilen ausgewhlt.
*/