-- Korrelierte Unterabfragen in der Spaltenliste
SELECT DISTINCT SUBSTR(K_Bereich,1,22) AS Bereich,
 ROUND(1-((SELECT COUNT(DISTINCT buchung.T_Nr)
            FROM buchung INNER JOIN termin
              ON buchung.T_Nr = termin.T_Nr
                         INNER JOIN kurs b
              ON termin.K_Nr = b.K_Nr
           WHERE b.K_Bereich = a.K_Bereich) /
         (SELECT COUNT(DISTINCT termin.T_Nr)
            FROM termin INNER JOIN kurs b
              ON termin.K_Nr = b.K_Nr
           WHERE b.K_Bereich = a.K_Bereich)),3)*100 AS Ausgefallen,
   ROUND((SELECT COUNT(DISTINCT buchung.T_Nr)
            FROM buchung INNER JOIN termin
              ON buchung.T_Nr = termin.T_Nr
                         INNER JOIN kurs b
              ON termin.K_Nr = b.K_Nr
           WHERE b.K_Bereich = a.K_Bereich) /
         (SELECT COUNT(DISTINCT termin.T_Nr)
            FROM termin INNER JOIN kurs b
              ON termin.K_Nr = b.K_Nr
           WHERE b.K_Bereich = a.K_Bereich),3)*100 AS Gebucht,
         (SELECT COUNT(DISTINCT buchung.T_Nr)
            FROM buchung INNER JOIN termin
              ON buchung.T_Nr = termin.T_Nr
                         INNER JOIN kurs b
              ON termin.K_Nr = b.K_Nr
           WHERE b.K_Bereich = a.K_Bereich) AS Nachfrage,
         (SELECT COUNT(DISTINCT termin.T_Nr)
            FROM termin INNER JOIN kurs b
              ON termin.K_Nr = b.K_Nr
           WHERE b.K_Bereich = a.K_Bereich) AS Angebot
 FROM kurs a;

-- Ergebnisse
/*
BEREICH         AUSGEFALLEN    GEBUCHT  NACHFRAGE    ANGEBOT
--------------- ----------- ---------- ---------- ----------
Datenbanken            16,9       83,1        113        136
Grafik                 16,3       83,7         72         86
Office                 21,1       78,9         30         38
Programmierung         14,2       85,8        260        303
Programmierung(Office) 12,5       87,5         14         16
Server                 14,3       85,7         18         21
Webdesign              18,6       81,4         48         59
7 Zeilen ausgewhlt.
*/