-- ROWNUM

SELECT ROWNUM, T_Nr, K_Nr, T_Beginn,
       SUBSTR(K_Titel||' - '||K_Untertitel,1,20) AS Titel
  FROM termin NATURAL JOIN kurs
 WHERE ROWNUM < 5;
SELECT ROWNUM, T_Nr, K_Nr, T_Beginn,
       SUBSTR(K_Titel||' - '||K_Untertitel,1,20) AS Titel
  FROM termin NATURAL JOIN kurs
 WHERE ROWNUM < 5
 ORDER BY T_Beginn DESC;

-- Ergebnis
/*

    ROWNUM       T_NR       K_NR T_BEGINN TITEL
---------- ---------- ---------- -------- ------------------
       1        573    1015034 06.09.03 Java - Syntax + Konz
       2        574    1015034 06.09.03 Java - Syntax + Konz
       3        575    1010007 11.09.03 Pagemaker - Satztech
       4        576    1015085 13.09.03 Delphi - Syntax + Ko
4 Zeilen ausgewhlt.

    ROWNUM       T_NR       K_NR T_BEGINN TITEL
---------- ---------- ---------- -------- ------------------
       4        576    1015085 13.09.03 Delphi - Syntax + Ko
       3        575    1010007 11.09.03 Pagemaker - Satztech
       1        573    1015034 06.09.03 Java - Syntax + Konz
       2        574    1015034 06.09.03 Java - Syntax + Konz
4 Zeilen ausgewhlt.




*/