SELECT DISTINCT CASE 
         WHEN T_Ort IN ('Leipzig', 'Berlin')
          THEN 'Osten'
         ELSE 'Westen'
        END AS Gegend,
       CASE 
         WHEN T_Ort IN ('Leipzig', 'Berlin')
          THEN (SELECT SUM(B_Preis)
                  FROM buchung NATURAL JOIN termin
                 WHERE T_Ort IN ('Leipzig', 'Berlin'))
         ELSE (SELECT SUM(B_Preis)
                 FROM buchung NATURAL JOIN termin
                WHERE T_Ort NOT IN ('Leipzig', 'Berlin'))
        END AS Umsatz
  FROM termin
  ORDER BY Gegend DESC;

-- Ergebnis
/*

GEGEND     UMSATZ
------ ----------
Westen    2057433
Osten       33896
*/