
SELECT SUM(CASE
           WHEN Jahr = 2000
            THEN Summe
           ELSE NULL END) AS "2000",
       SUM(CASE 
            WHEN Jahr = 2001 
            THEN Summe
           ELSE NULL END) AS "2001",
       SUM(CASE 
            WHEN Jahr = 2002 
             THEN Summe
            ELSE NULL END) AS "2002",
       SUM(CASE
           WHEN Jahr = 2003
            THEN Summe
           ELSE NULL END) AS "2003"
  FROM (
       SELECT EXTRACT(YEAR FROM T_Beginn)AS Jahr,
              SUM(B_Preis) AS Summe
         FROM buchung INNER JOIN termin
           ON buchung.T_Nr = termin.T_Nr
        GROUP BY EXTRACT(YEAR FROM T_Beginn));

-- Ergebnis
/*
      2000       2001       2002       2003
---------- ---------- ---------- ----------
    413543     209712     443435    1024639
*/