-- hnlichkeiten

SELECT DISTINCT a.TN_Nachname, SOUNDEX(a.TN_Nachname), b.TN_Nachname
  FROM teilnehmer a , teilnehmer b
 WHERE SOUNDEX(a.TN_Nachname) = SOUNDEX(b.TN_Nachname)
   AND a.TN_Nr != b.TN_Nr
   AND a.TN_Nachname > 'Zuber';

-- Ergebnis
/*
TN_NACHNAME                    SOUN TN_NACHNAME
------------------------------ ---- ------------------------------
Zuk                            Z200 Ziska
Zllig                         Z420 Zhlke
Zhlke                         Z420 Zllig
Znkler                        Z524 Zinnschlag
Zurek                          Z620 Zurek
Zuhorn                         Z650 Zorn
6 Zeilen ausgewhlt.
*/