-- Zeitinformationen extrahieren

SELECT EXTRACT(MONTH FROM SYSDATE)       AS Monat,
       EXTRACT(YEAR FROM SYSDATE)        AS Jahr,
       EXTRACT(HOUR FROM SYSTIMESTAMP)   AS Stunde,
       EXTRACT(MINUTE FROM SYSTIMESTAMP) AS Minute,
       EXTRACT(TIMEZONE_HOUR FROM CURRENT_TIMESTAMP)
                                         AS Zeitzone
  FROM dual;

-- Ergebnis
/*
     MONAT       JAHR     STUNDE     MINUTE   ZEITZONE
---------- ---------- ---------- ---------- ----------
         5       2003         12         44          2
1 Zeile wurde ausgewhlt.
*/