-- Datumsformatierung

SELECT TO_DATE('24.12.2003'),
       TO_DATE('24-12-2003'),
       TO_DATE('24.12.03'),
       TO_DATE('Gennaio 15, 1998, 11:00',
               'Month dd, YYYY, HH:MI',
               'NLS_DATE_LANGUAGE = Italian'),
       TO_CHAR(SYSDATE,
               'Month Day dd DDD, YYYY, HH24:MI:SS A.M.',
               'NLS_DATE_LANGUAGE = French'),
       SYSDATE
  FROM DUAL;

-- Ergebnis
/*
TO_DATE( TO_DATE( TO_DATE( TO_DATE( TO_CHAR(SYSDATE,'MONTHDAYDDDDD,YYYY,HH24:MI: SYSDATE
-------- -------- -------- -------- -------------------------------------------- --------
24.12.03 24.12.03 24.12.03 15.01.89 Mai       Mardi    27 147, 2003, 15:50:37 PM 27.05.03

1 Zeile wurde ausgewhlt.
*/