-- Korrelationsmae

SELECT COVAR_POP(B_Preis, B_TZahl)  AS Cov_GG,
       COVAR_SAMP(B_Preis, B_TZahl) AS Cov_SP,
       ABS(COVAR_POP(B_Preis, B_TZahl) /
       (STDDEV_POP(B_Preis)*STDDEV_POP(B_TZahl))) AS Korr1,
       CORR(B_Preis, B_TZahl) AS Korr2
  FROM buchung INNER JOIN termin
    ON buchung.T_Nr = termin.T_Nr
               INNER JOIN kurs
    ON termin.K_Nr = kurs.K_Nr
 WHERE K_Titel = 'Oracle';

-- Ergebnis
/*
    COV_GG     COV_SP      KORR1      KORR2
---------- ---------- ---------- ----------
 -22,52642 -22,610161 ,898455305 -,89845531
1 Zeile wurde ausgewhlt.
*/