-- Dimensionen

SELECT K_Bereich                 AS "Bereich",
       COUNT(DISTINCT kurs.K_Nr) AS "Anzahl Kurse",
       COUNT(B_Nr)               AS "Anzahl Buchungen"
  FROM kurs INNER JOIN termin
    ON kurs.K_Nr = termin.K_Nr
            INNER JOIN buchung
    ON termin.T_Nr = buchung.T_Nr
 GROUP BY K_Bereich;

-- Ergebnis
/*
Bereich                        Anzahl Kurse Anzahl Buchungen
------------------------------ ------------ ----------------
Datenbanken                              13              557
Grafik                                    8              384
Office                                    6              146
Programmierung                           41             1341
Programmierung(Office)                    3               76
Server                                    3               91
Webdesign                                 5              240
7 Zeilen ausgewhlt.
*/