-- Zeilennummern

SELECT SUBSTR(U_Stadt,1,15)           AS Stadt,
       COUNT(U_Nr)                    AS Zahl,
       RANK()       OVER (ORDER BY COUNT(U_Nr) DESC)
                                      AS Hitparade,
       ROW_NUMBER() OVER (ORDER BY COUNT(U_Nr) DESC)
                                      AS Nr
  FROM unternehmen
 GROUP BY U_Stadt;

-- Ergebnis
/*
STADT                 ZAHL  HITPARADE         NR
--------------- ---------- ---------- ----------
Dortmund                59          1          1
Bochum                  48          2          2
Dsseldorf              42          3          3
Essen, Ruhr             28          4          4
Duisburg                20          5          5
Hattingen, Ruhr         11          6          6
Berlin                   7          7          7
Gelsenkirchen            7          7          8
Nrnberg, Mitte          2          9          9
Wiesbaden                2          9         10
Alsbach-Hhnlei          1         11         11
Aschheim                 1         11         12
Bielefeld                1         11         13
Emden, Ostfries          1         11         14
Hamm, Westf              1         11         15
Hamburg                  1         11         16
Halberstadt              1         11         17
Haag a d Amper           1         11         18
Groschweidnitz          1         11         19
Grohelfendorf           1         11         20
Glashtten, Tau          1         11         21
Gera                     1         11         22
Frankfurt am Ma          1         11         23
Moers                    1         11         24
Merseburg                1         11         25
Mering, Schwab           1         11         26
Mainz a Rhein            1         11         27
Magdeburg                1         11         28
Ltzelbach, Ode          1         11         29
Lbeck                   1         11         30
Ludwigshafen am          1         11         31
Lonsee                   1         11         32
Wincheringen             1         11         33
Vlklingen               1         11         34
Usedom                   1         11         35
Stuttgart                1         11         36
Straubing                1         11         37
Schwerin, Meckl          1         11         38
Ratingen                 1         11         39
Raa-Besenbek             1         11         40
Plochingen               1         11         41
Plauen, Vogtl            1         11         42
Pforzheim                1         11         43
Ostseebad Selli          1         11         44
Olpe, Biggesee           1         11         45
Oldenburg, Oldb          1         11         46
Neuberg, Hess            1         11         47
Neckarsulm               1         11         48
Mnchen                  1         11         49
Limburg a d Lah          1         11         50
Leipzig                  1         11         51
Laichingen               1         11         52
Knigstein im T          1         11         53
Kassel, Hess             1         11         54
Hopsten                  1         11         55
Holzminden               1         11         56
Hannover                 1         11         57
Chemnitz, Sachs          1         11         58
Diepensee                1         11         59
Chieming                 1         11         60
Burscheid, Rhei          1         11         61
Birstein                 1         11         62
Bernkastel-Kues          1         11         63
Bad Drkheim             1         11         64

64 Zeilen ausgewhlt.


*/