-- Rangfolgen einrichten

SELECT SUBSTR(U_Stadt,1,20)           AS Stadt,
       COUNT(U_Nr)                    AS Zahl,
       RANK() OVER       (ORDER BY COUNT(U_Nr) DESC)
                                      AS Hitparade1,
       DENSE_RANK() OVER (ORDER BY COUNT(U_Nr) DESC)
                                      AS Hitparade2
  FROM unternehmen
 GROUP BY U_Stadt;

-- Ergebnis
/*


STADT                      ZAHL HITPARADE1 HITPARADE2
-------------------- ---------- ---------- ----------
Dortmund                     59          1          1
Bochum                       48          2          2
Dsseldorf                   42          3          3
Essen, Ruhr                  28          4          4
Duisburg                     20          5          5
Hattingen, Ruhr              11          6          6
Berlin                        7          7          7
Gelsenkirchen                 7          7          7
Nrnberg, Mittelfr            2          9          8
Wiesbaden                     2          9          8
Alsbach-Hhnlein              1         11          9
Aschheim                      1         11          9
Bielefeld                     1         11          9
Emden, Ostfriesland           1         11          9
Hamm, Westf                   1         11          9
Hamburg                       1         11          9
Halberstadt                   1         11          9
Haag a d Amper                1         11          9
Groschweidnitz               1         11          9
Grohelfendorf                1         11          9
Glashtten, Taunus            1         11          9
Gera                          1         11          9
Frankfurt am Main             1         11          9
Moers                         1         11          9
Merseburg                     1         11          9
Mering, Schwab                1         11          9
Mainz a Rhein                 1         11          9
Magdeburg                     1         11          9
Ltzelbach, Odenw             1         11          9
Lbeck                        1         11          9
Ludwigshafen am Rhei          1         11          9
Lonsee                        1         11          9
Wincheringen                  1         11          9
Vlklingen                    1         11          9
Usedom                        1         11          9
Stuttgart                     1         11          9
Straubing                     1         11          9
Schwerin, Meckl               1         11          9
Ratingen                      1         11          9
Raa-Besenbek                  1         11          9
Plochingen                    1         11          9
Plauen, Vogtl                 1         11          9
Pforzheim                     1         11          9
Ostseebad Sellin              1         11          9
Olpe, Biggesee                1         11          9
Oldenburg, Oldb               1         11          9
Neuberg, Hess                 1         11          9
Neckarsulm                    1         11          9
Mnchen                       1         11          9
Limburg a d Lahn              1         11          9
Leipzig                       1         11          9
Laichingen                    1         11          9
Knigstein im Taunus          1         11          9
Kassel, Hess                  1         11          9
Hopsten                       1         11          9
Holzminden                    1         11          9
Hannover                      1         11          9
Chemnitz, Sachs               1         11          9
Diepensee                     1         11          9
Chieming                      1         11          9
Burscheid, Rheinl             1         11          9
Birstein                      1         11          9
Bernkastel-Kues               1         11          9
Bad Drkheim                  1         11          9

64 Zeilen ausgewhlt.




*/