-- CUME_DIST und die relative Hufigkeit

SELECT SUBSTR(U_Stadt,1,10)      AS Stadt,
       COUNT(U_Nr)               AS Zahl,
       SUM(COUNT(U_Nr)) OVER ()  AS Gesamt,
       CUME_DIST() OVER
        (ORDER BY COUNT(U_Nr))   AS Position,
       ROUND(RATIO_TO_REPORT
        (COUNT(U_Nr)) OVER (),4) AS Absolut                            
  FROM unternehmen
 GROUP BY U_Stadt
 HAVING COUNT(U_Nr) > 7;

-- Ergebnis
/*
STADT            ZAHL     GESAMT   POSITION    ABSOLUT
---------- ---------- ---------- ---------- ----------
Hattingen,         11        208 ,166666667      ,0529
Duisburg           20        208 ,333333333      ,0962
Essen, Ruh         28        208         ,5      ,1346
Dsseldorf         42        208 ,666666667      ,2019
Bochum             48        208 ,833333333      ,2308
Dortmund           59        208          1      ,2837
6 Zeilen ausgewhlt.
*/