-- Vorhersage ber Quantilsaufteilung

SELECT Quantil,
       COUNT(Quantil)
  FROM (SELECT NTILE(5) OVER (ORDER BY COUNT(U_Nr) DESC) AS Quantil
          FROM unternehmen
         GROUP BY U_Stadt) Daten                                      
 GROUP BY Quantil;

-- Ergebnis
/*
   QUANTIL COUNT(QUANTIL)
---------- --------------
         1             13
         2             13
         3             13
         4             13
         5             12
5 Zeilen ausgewhlt.
*/