-- Histogramm

SELECT K_Bereich   AS Bereich,
       COUNT(K_Nr) AS Zahl,
       WIDTH_BUCKET(COUNT(K_Nr), 1, 46, 7) AS "Typ"
  FROM kurs
 GROUP BY K_Bereich
 ORDER BY "Typ";

-- Ergebnis
/*
BEREICH                              ZAHL        Typ
------------------------------ ---------- ----------
Programmierung(Office)                  6          1
Webdesign                               7          1
Datenbanken                            13          2
Grafik                                 13          2
Server                                  8          2
Office                                 15          3
Programmierung                         46          8
7 Zeilen ausgewhlt.
*/