-- Gleitender Durchschnitt

SELECT TO_CHAR(T_Beginn, 'YYYY')           AS Jahr,
       TO_CHAR(SUM(B_Preis), 'L9G999G999') AS Jahresumsatz,
       TO_CHAR(AVG(SUM(B_Preis))
         OVER (ORDER BY TO_CHAR(T_Beginn, 'YYYY')
               ROWS 2 PRECEDING),
                       'L999G999G999')     AS "2-Jahresschnitt"
  FROM buchung NATURAL JOIN termin
 GROUP BY TO_CHAR(T_Beginn, 'YYYY')
 ORDER BY TO_CHAR(T_Beginn, 'YYYY');
-- Ergebnis
/*

JAHR JAHRESUMSATZ         2-Jahresschnitt
---- -------------------- ----------------------
2000             413.543               413.543
2001             209.712               311.628
2002             443.435               355.563
2003           1.024.639               559.262
4 Zeilen ausgewhlt.


*/