-- Relative Hufigkeiten berechnen

SELECT K_Bereich AS Bereich,
       TO_CHAR(SUM(B_Preis),'9G999G999') AS Pro,
       TO_CHAR(SUM(SUM(B_Preis)) OVER (),
                            '9G999G999') AS Gesamt,
       ROUND((RATIO_TO_REPORT(SUM(B_Preis)) OVER ())*100,2)
                                         AS "%"
  FROM buchung NATURAL JOIN termin
               NATURAL JOIN kurs
 WHERE K_Bereich IN ('Datenbanken', 'Programmierung', 
                     'Programmierung(Office)')
 GROUP BY K_Bereich;


-- Ergebnis
/*
BEREICH                     PRO        GESAMT              %
--------------------------- ---------- ---------- ----------
Datenbanken                   397.324  1.583.498      25,09
Programmierung              1.138.180  1.583.498      71,88
Programmierung(Office)         47.994  1.583.498       3,03
3 Zeilen ausgewhlt.

*/