-- Zeilenversetzte Daten

SELECT EXTRACT(YEAR FROM T_Beginn)       AS Jahr,
       TO_CHAR(SUM(B_Preis),'9G999G999') AS Umsatz,
       TO_CHAR(LAG(SUM(B_Preis),1)
        OVER (ORDER BY EXTRACT(YEAR FROM T_Beginn)),
                            '9G999G999') AS LAG1,
       TO_CHAR(LEAD(SUM(B_Preis),1)
        OVER (ORDER BY EXTRACT(YEAR FROM T_Beginn)),
                            '9G999G999') AS LEAD1
  FROM buchung NATURAL JOIN termin
GROUP BY EXTRACT(YEAR FROM T_Beginn);

-- Ergebnis
/*
      JAHR UMSATZ     LAG1       LEAD1
---------- ---------- ---------- ----------
      2000    413.543               209.712
      2001    209.712    413.543    443.435
      2002    443.435    209.712  1.024.639
      2003  1.024.639    443.435
4 Zeilen ausgewhlt.
*/