-- Kumulationen erzeugen

SELECT EXTRACT(YEAR FROM T_Beginn) AS Jahr,
       SUM(B_Preis) AS Absolut,
       (LEAD(SUM(B_Preis),0)
        OVER (ORDER BY EXTRACT(YEAR FROM T_Beginn)))-
        (LAG(SUM(B_Preis),1,0)
        OVER (ORDER BY EXTRACT(YEAR FROM T_Beginn)))
                                        AS Differenz,                                       
        SUM(SUM(B_Preis))  OVER () AS Total,
        ROUND((RATIO_TO_REPORT(SUM(B_Preis))
        OVER ())*100,2) AS Anteil
  FROM buchung NATURAL JOIN termin
GROUP BY EXTRACT(YEAR FROM T_Beginn);

-- Ergebnis
/*
      JAHR    ABSOLUT  DIFFERENZ      TOTAL     ANTEIL
---------- ---------- ---------- ---------- ----------
      2000     413543     413543    2091329      19,77
      2001     209712    -203831    2091329      10,03
      2002     443435     233723    2091329       21,2
      2003    1024639     581204    2091329      48,99
4 Zeilen ausgewhlt.
*/