-- Hypothetische Verteilungen

SELECT P_TN1 AS Preis,
       RANK(650) WITHIN GROUP
        (ORDER BY P_TN1)      AS HRANK,
       PERCENT_RANK(650) WITHIN GROUP
        (ORDER BY P_TN1 DESC) AS HPERC_RANK,
       CUME_DIST (650) WITHIN GROUP
        (ORDER BY P_TN1)      AS HCUME_DIST
  FROM kurs NATURAL JOIN preis
 WHERE K_Bereich = 'Programmierung'
 GROUP BY P_TN1;

-- Ergebnis
/*
     PREIS      HRANK HPERC_RANK HCUME_DIST
---------- ---------- ---------- ----------
       600          3          0          1
       615          4          0          1
       800          1          1         ,5
       870          1          1         ,2
       900          1          1       ,125
       920          1          1       ,125
       975          1          1        ,25
      1000          1          1         ,5
      1020          1          1 ,333333333
      1025          1          1         ,5
      1050          1          1         ,5
      1175          1          1       ,125
      1430          1          1       ,125
13 Zeilen ausgewhlt.
*/