-- Gruppierungen und Aggregate

BREAK ON Ort SKIP 1
COMPUTE SUM LABEL Summe AVG LABEL Schnitt MAXIMUM LABEL Hoch OF Termine ON Ort
SELECT Titel,
       Ort,
       COUNT(Termin) AS Termine
  FROM (SELECT SUBSTR(K_Titel || ' ' || K_Untertitel, 1, 20) AS Titel,
               SUBSTR(T_Ort, 1, 10) AS Ort,
               T_Nr AS Termin
          FROM termin NATURAL JOIN kurs
         WHERE K_Titel = 'Oracle')        
  GROUP BY Ort, Titel
  ORDER BY Ort, Titel;
 
-- Ergebnis

/*
TITEL                ORT           TERMINE
-------------------- ---------- ----------
Oracle Architektur   Berlin              1
Oracle DB-Administra                     1
Oracle Designer R6i                      1
Oracle Networking                        1
Oracle PL/SQL-Progra                     1
Oracle XML-Konzepte                      1
                     ********** ----------
                     Schnitt             1
                     Hoch                1
                     Summe               6

Oracle Architektur   Bochum             24
Oracle DB-Administra                     9
Oracle Designer R6i                      2
Oracle Networking                        2
Oracle PL/SQL-Progra                     8
Oracle XML-Konzepte                      7
                     ********** ----------
                     Schnitt    8,66666667
                     Hoch               24
                     Summe              52

Oracle Architektur   Dortmund            1
Oracle DB-Administra                     1
Oracle Designer R6i                      1
Oracle Networking                        1
Oracle PL/SQL-Progra                     1
Oracle XML-Konzepte                      1
                     ********** ----------
                     Schnitt             1
                     Hoch                1
                     Summe               6

Oracle DB-Administra Kln                1
Oracle PL/SQL-Progra                     1
                     ********** ----------
                     Schnitt             1
                     Hoch                1
                     Summe               2


20 Zeilen ausgewhlt.
*/