-- Statistische Analysen

BREAK ON Stadt
COMPUTE AVG LABEL Schnitt STD LABEL StdAbw VARIANCE LABEL Varianz OF Anzahl ON Stadt
SELECT SUBSTR(U_Stadt,1,10) AS Stadt,
              SUBSTR(U_Name, 1,10) AS Unternehmen,
              COUNT(TN_Nr) AS Anzahl
  FROM unternehmen NATURAL JOIN teilnehmer
 WHERE U_Stadt IN ('Dortmund', 'Bochum', 'Essen')
 GROUP BY U_Stadt, U_Name
 ORDER BY U_Stadt;

-- Ergebnis
/*
STADT      UNTERNEHME     ANZAHL
---------- ---------- ----------
Bochum     Elektrotec          8
           KS Khl-Sy          4
           Kunststoff          6
           Wohnwrme           2
           Heck Treuh          7
           Kchenstud          5
           KB Koch +           7
           Herrlich            3
           Treffer Ma          2
           XY PR Mult          5
           Tollwandt           4
           Zwinger             5
           Meime               3
           Frommstedt          6
           Fleckner +          9
           A.B.T. Qua          4
           MU-SA GmbH          2
           Dybenstahl         18
           Frster             6
           Wellmer Wo          3
           Knig Hof           5
           Muck Indus          4
           LES Immobi          2
           Kirzich             7
           Quabeck Gm          6
           Wohn+Licht          3
           Uckster E.          3
           LKM-Steuer          2
           Baum Baust          5
           Hans-Werne          5
           Elektro-Ba         10
           Heinrich P         11
           OPV Frder          3
           A.B.C. + C          5
           ELMO Elekt          3
           Fleischere          7
           Mckenberg          6
           Heinmann I          4
           Leuchtfeld          1
           Flachnicki          5
           KIURE Hart          5
           Kchs Gese          3
           Blattwerk           4
           Willmich u          5
**********            ----------
Schnitt               5,06818182
StdAbw                2,95231661
Varianz               8,71617336
Dortmund   Kalb Gesel          5
           Knstlerte          5
           5D Trading          8
           Industrie-          4
           KMU D. Hol          5
           TAZZ das k          5
           Krachmann           4
           Kunze Schw          4
           Deutsche V          3
           BRAND Immo          4
           Innenausba          4
           PUK Softwa          2
           QA Shows,           8
           Stolz + Pr          4
           IKO-Bro K          6
           Immobilien          5
           Industrie-          9
           Stronzo             4
           Dominum Im          4
           NAZU                3
           Kolben Deu          4
           Institut f          3
           IKO Trend-          4
           Winkelmeye          7
           HYGO Hygie          3
           Initiative          4
           Stadt-Hote          5
           Amper Bauu          6
           Michels In          4
           Ingenieurb          8
           QCat Softw          7
           TN Turbine          6
           Personalbe          3
           INFOMAX Gm          3
           Ingenieurb         10
           Akrobat Wi          8
           Isolierbau          8
           Fernhost            2
           Schrill We          8
           Liedchen G          5
           Rabatzek            6
           QUABEX Gmb          8
           Ingenieurb          8
           Trunk Gese          3
           Neuhaus TE          5
           Strner Gm          8
           NET Netzwe          7
           Brink Gese          5
           Taub Recyc          5
           Trommp Spe          5
           Schwitters          7
           VOL-Bauges          3
           Winke               6
           Quo DV  So          4
           Herberts O          2
           Institut f         11
           Top Plan            7
           Sanft Gart          4
           tu+mach             3
**********            ----------
Schnitt               5,27118644
StdAbw                2,09951151
Varianz               4,40794857

103 Zeilen ausgewhlt.
*/