-- Titelformatierung

-- Seitengren
SET PAGESIZE 15
SET NEWPAGE 1
SET LINESIZE 45
-- Spaltenwert
COLUMN Titel NEW_VALUE v_Titel NOPRINT
-- Berichtstitel
REPHEADER OFF
-- Titel
TTITLE CENTER 'Terminliste ' _DATE SKIP 1 - 
CENTER *-*-*-*-*-* SKIP 1 -
LEFT 'Titel: ' v_Titel RIGHT 'S.: ' SQL.PNO SKIP 1


BREAK ON Titel SKIP Page ON Ort
SELECT SUBSTR(K_Untertitel,1,20) AS Titel,
       T_Ort AS Ort,
       T_Beginn AS Beginn,
       T_Ende AS Ende
  FROM termin NATURAL JOIN kurs
 WHERE K_Titel = 'Oracle'
   AND EXTRACT(YEAR FROM T_Beginn) IN ('2013', '2012')
 ORDER BY K_Untertitel, T_Ort;
 
-- Ergebnis
/*
             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: Architektur             S.:          1
ORT                  BEGINN   ENDE
-------------------- -------- --------
Berlin               21.02.12 23.02.12
                     21.02.12 23.02.12
                     13.05.12 15.05.12
                     10.03.13 12.03.13
Dsseldorf           29.05.13 31.05.13
                     13.05.12 15.05.12
                     24.02.13 26.12.13
                     10.02.13 12.02.13
                     31.05.12 01.06.12

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: Architektur             S.:          2
ORT                  BEGINN   ENDE
-------------------- -------- --------
Dsseldorf           15.10.13 17.10.13
                     28.10.13 30.10.13
Essen                28.10.12 30.10.12
                     31.05.12 01.06.12
                     13.05.13 15.05.13
                     10.02.13 12.02.13
Hamburg              16.10.12 18.10.12
                     28.10.12 30.10.12
Mnchen              16.10.12 18.10.12

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: Architektur             S.:          3
ORT                  BEGINN   ENDE
-------------------- -------- --------
Mnchen              21.02.13 23.02.13

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: DB-Administration       S.:          4
ORT                  BEGINN   ENDE
-------------------- -------- --------
Berlin               10.11.13 13.12.13
                     07.10.13 10.10.13
                     07.10.12 10.10.12
Dsseldorf           10.11.13 13.11.13
                     10.03.13 13.03.13
Essen                08.12.13 11.12.13
Hamburg              08.12.13 11.12.13
                     13.10.13 16.10.13
Mnchen              07.10.12 10.10.12

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: Designer R6i + Devel    S.:          5
ORT                  BEGINN   ENDE
-------------------- -------- --------
Berlin               25.08.13 28.08.13
                     11.08.13 14.08.13
                     04.08.13 07.08.13
Dsseldorf           11.08.13 14.08.13

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: Networking              S.:          6
ORT                  BEGINN   ENDE
-------------------- -------- --------
Berlin               13.10.13 16.10.13
Dsseldorf           22.09.13 25.09.13
Essen                06.10.13 09.10.13
Mnchen              13.10.13 16.10.13

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: PL/SQL-Programmierun    S.:          7
ORT                  BEGINN   ENDE
-------------------- -------- --------
Berlin               27.05.12 29.05.12
                     19.05.13 21.05.13
Dsseldorf           14.04.13 16.04.13
                     27.05.12 29.05.12
Essen                17.11.13 19.11.13
Hamburg              27.05.13 29.05.13
                     07.02.13 09.02.13
Mnchen              17.03.13 19.03.13
                     07.02.13 09.02.13

             Terminliste 24.12.11
                 *-*-*-*-*-*
Titel: XML-Konzepte            S.:          8
ORT                  BEGINN   ENDE
-------------------- -------- --------
Berlin               10.06.13 12.06.13
                     16.03.13 18.06.13
Dsseldorf           27.06.13 29.06.13
                     14.08.13 16.08.13
                     16.08.12 18.08.12
                     16.03.13 18.06.13
Essen                07.07.13 09.07.13

52 Zeilen ausgewhlt.
*/