-- HTML-Ausgabe
/*
Dieses Skript starten mit, um SQL-Ausgabe zu verhindern.
START 'C:\...\653_06.sql'
/
*/

SET MARKUP HTML ON SPOOL ON PREFORMAT OFF ENTMAP ON -
HEAD "<TITLE>Terminliste</TITLE> -
<STYLE type='text/css'> -
<!-- BODY { font-family: Arial; } -
     TH { background: lightgrey; font-size: 12px; } -
     TD { font-size: 11px; color: black;} --> -
</STYLE>" -
BODY "TEXT='blue'" -
TABLE "WIDTH='500' BORDER='1'"
-- Spaltenkpfe
COLUMN Titel HEADING 'Kurs'
COLUMN Ort HEADING 'Ort'
COLUMN Beginn HEADING 'Start'
COLUMN Ende HEADING 'Ende'
-- Dateiausgabe
SET ECHO OFF
SPOOL 'C:\oraText\termine2012_3_2.html' 

BREAK ON Titel ON Ort
SELECT SUBSTR(K_Untertitel,1,20) AS Titel,
       T_Ort AS Ort,
       T_Beginn AS Beginn,
       T_Ende AS Ende
  FROM termin NATURAL JOIN kurs
 WHERE K_Titel = 'Oracle'
   AND EXTRACT(YEAR FROM T_Beginn) IN ('2013', '2012')
 ORDER BY K_Untertitel, T_Ort;
 
-- Dateispeicherung ausstellen
SPOOL OFF
SET MARKUP HTML OFF
SET ECHO ON

-- Ergebnis
/*
<br>
<br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; <br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<p>
<table WIDTH='500' BORDER='1'>
<tr>
<th scope="col">
Kurs
</th>
<th scope="col">
Ort
</th>
<th scope="col">
Start
</th>
<th scope="col">
Ende
</th>
</tr>
<tr>
<td>
Architektur
</td>
<td>
Berlin
</td>
<td>
10.02.03
</td>
<td>
12.02.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Bochum
</td>
<td>
10.02.03
</td>
<td>
12.02.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
13.05.02
</td>
<td>
15.05.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
13.05.02
</td>
<td>
15.05.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
28.10.03
</td>
<td>
30.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
15.10.03
</td>
<td>
17.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
31.05.02
</td>
<td>
01.06.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
31.05.02
</td>
<td>
01.06.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
29.05.03
</td>
<td>
31.05.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
13.05.03
</td>
<td>
15.05.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
16.10.02
</td>
<td>
18.10.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
16.10.02
</td>
<td>
18.10.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
28.10.02
</td>
<td>
30.10.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
28.10.02
</td>
<td>
30.10.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
24.02.03
</td>
<td>
26.12.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
21.02.03
</td>
<td>
23.02.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
21.02.02
</td>
<td>
23.02.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
21.02.02
</td>
<td>
23.02.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Dortmund
</td>
<td>
10.03.03
</td>
<td>
12.03.03
</td>
</tr>
<tr>
<td>
DB-Administrati
</td>
<td>
Berlin
</td>
<td>
08.12.03
</td>
<td>
11.12.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Bochum
</td>
<td>
10.03.03
</td>
<td>
13.03.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
08.12.03
</td>
<td>
11.12.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
10.11.03
</td>
<td>
13.12.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
07.10.03
</td>
<td>
10.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
07.10.02
</td>
<td>
10.10.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
07.10.02
</td>
<td>
10.10.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Dortmund
</td>
<td>
13.10.03
</td>
<td>
16.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Kln
</td>
<td>
10.11.03
</td>
<td>
13.11.03
</td>
</tr>
<tr>
<td>
Designer R6i +
</td>
<td>
Berlin
</td>
<td>
11.08.03
</td>
<td>
14.08.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Bochum
</td>
<td>
11.08.03
</td>
<td>
14.08.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
04.08.03
</td>
<td>
07.08.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Dortmund
</td>
<td>
25.08.03
</td>
<td>
28.08.03
</td>
</tr>
<tr>
<td>
Networking
</td>
<td>
Berlin
</td>
<td>
13.10.03
</td>
<td>
16.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Bochum
</td>
<td>
06.10.03
</td>
<td>
09.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
13.10.03
</td>
<td>
16.10.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Dortmund
</td>
<td>
22.09.03
</td>
<td>
25.09.03
</td>
</tr>
<tr>
<td>
PL/SQL-Programm
</td>
<td>
Berlin
</td>
<td>
07.02.03
</td>
<td>
09.02.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Bochum
</td>
<td>
14.04.03
</td>
<td>
16.04.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
27.05.03
</td>
<td>
29.05.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
17.03.03
</td>
<td>
19.03.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
27.05.02
</td>
<td>
29.05.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
07.02.03
</td>
<td>
09.02.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
27.05.02
</td>
<td>
29.05.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Dortmund
</td>
<td>
19.05.03
</td>
<td>
21.05.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Kln
</td>
<td>
17.11.03
</td>
<td>
19.11.03
</td>
</tr>
<tr>
<td>
XML-Konzepte
</td>
<td>
Berlin
</td>
<td>
16.03.03
</td>
<td>
18.06.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Bochum
</td>
<td>
14.08.03
</td>
<td>
16.08.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
16.08.02
</td>
<td>
18.08.02
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
16.03.03
</td>
<td>
18.06.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
27.06.03
</td>
<td>
29.06.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
&nbsp;
</td>
<td>
10.06.03
</td>
<td>
12.06.03
</td>
</tr>
<tr>
<td>
&nbsp;
</td>
<td>
Dortmund
</td>
<td>
07.07.03
</td>
<td>
09.07.03
</td>
</tr>
</table>
<p>

52 Zeilen ausgewhlt.<br>
<br>


<br>
<br>
<br>
<br>

*/