CREATE TABLE Teilnehmer_Aktuell (
 TN_Nr       NUMBER(4,0)  NOT NULL PRIMARY KEY, 
 TN_Vorname  VARCHAR2(20), 
 TN_Nachname VARCHAR2(30) NOT NULL );
 
 
CREATE INDEX ix_Teilnehmer_Aktuell
   ON Teilnehmer_Aktuell ( TN_Nachname );

CREATE INDEX ix_Teilnehmer_Aktuell 
   ON Teilnehmer_Aktuell ( TN_Vorname || ' ' || TN_Nachname );

CREATE INDEX ix_Teilnehmer_Aktuell 
   ON Teilnehmer_Aktuell ( TN_Vorname, TN_Nachname );



ALTER INDEX ix_Teilnehmer_Aktuell RENAME TO ix_Teilnehmer;
ALTER INDEX ix_Teilnehmer REBUILD;

CREATE INDEX ix_Teilnehmer_Aktuell 
   ON Teilnehmer_Aktuell ( UPPER(TN_Nachname) );
ALTER INDEX ix_Teilnehmer_Aktuell DISABLE; -- ENABLE
ALTER INDEX ix_Teilnehmer ENABLE; 
 
DROP INDEX ix_Teilnehmer_Aktuell;
DROP INDEX ix_Teilnehmer;
DROP TABLE Teilnehmer_Aktuell;