DROP TABLE Termin_West;
CREATE TABLE Termin_West (	
 T_Nr        NUMBER(4,0) NOT NULL PRIMARY KEY, 
 K_Nr        NUMBER(7,0) NOT NULL REFERENCES KURS (K_Nr), 
 T_Beginn    DATE NOT NULL, 
 T_Ende      DATE NOT NULL, 
 T_Ort       VARCHAR2(20) DEFAULT 'Bochum',
 T_Geaendert DATE DEFAULT sysdate,
 CONSTRAINT BeginnEnde CHECK (T_Beginn <= T_Ende));

-- Erstellen des Logs 
EXECUTE DBMS_ERRLOG.CREATE_ERROR_LOG('Termin_West', 'FehlerLog');
-- Fehlerhafter Eintrag
INSERT INTO Termin_West
(T_Nr, K_nr, T_Beginn, T_Ende)
VALUES (TerminZaehler.NextVal, NULL, '04.04.2012', '01.04.2012')
   LOG ERRORS INTO FehlerLog ('Termin West Eintrag') REJECT LIMIT 10;

SELECT * FROM FehlerLog;

DROP TABLE FehlerLog;

