SET SERVEROUTPUT ON; 

DECLARE
 TYPE t_KNr IS TABLE OF Kurs_Datenbank.K_Nr%TYPE
  INDEX BY BINARY_INTEGER;
 v_KNrListe t_KNr;
BEGIN
-- Daten aktualisieren
UPDATE Kurs_Datenbank
   SET K_Dauer = 3,
       K_Preis = 1250
 WHERE K_Titel = 'Oracle'
RETURNING K_Nr 
BULK COLLECT INTO v_KNrListe;
-- Variablen ausgeben
FOR i IN v_KNrListe.FIRST..v_KNrListe.LAST LOOP
 DBMS_OUTPUT.PUT_LINE(i || ' gendert: ' || v_KNrListe(i));
END LOOP;
END;

-- Ergebnis
/*
anonymer Block abgeschlossen
1 gendert: 1025051
2 gendert: 1025063
3 gendert: 1025061
4 gendert: 1025071
5 gendert: 1025072
6 gendert: 1025073
*/